<?php

	$path = str_replace('/autorun','',str_replace('/controlpanel','',dirname($_SERVER['SCRIPT_FILENAME'])).'/');
	#$path = '../';
	require($path.'start/autorun.php');
	
	# Remove the amazon requests, in case it gets toooo big
	$db->query('DELETE FROM amazonrequests WHERE requested < DATE_SUB(CURDATE() , INTERVAL 7 DAY)');
	$db->query('DELETE FROM amazonerrors WHERE created < DATE_SUB(CURDATE() , INTERVAL 7 DAY)');
	
	# Remove deleted messages older than 7 days, and all messages older then 30 days
	$db->query("DELETE FROM messages WHERE created < DATE_SUB(CURDATE() , INTERVAL 7 DAY) AND dismissed <> '0000-00-00 00:00:00'");
	$db->query("DELETE FROM messages WHERE created < DATE_SUB(CURDATE() , INTERVAL 30 DAY)");
	
	
	# Clean up some tables just in case
	$db->query("DELETE FROM products_categories WHERE product_id NOT IN (SELECT id FROM products)");
	$db->query("DELETE FROM productoffers WHERE product_id NOT IN (SELECT id FROM products)");
	$db->query("DELETE FROM productattributes WHERE product_id NOT IN (SELECT id FROM products)");
	$db->query("DELETE FROM productreviews WHERE product_id NOT IN (SELECT id FROM products)");
	
	# Optimise Tables
	# $tables = $db->query('SHOW TABLE STATUS WHERE Data_free / Data_length > 0.1 AND Data_free > 102400')->getFullArray();
	
	$tables = $db->query('SHOW TABLES')->getFullArray();
	foreach ($tables as $table)
	{
		$table = $table[0];
		# Recreate Indexes
		$db->query("REPAIR TABLE $table QUICK");
		
		# Optimize
		$db->query("OPTIMIZE TABLE $table");
		
		#echo $table.'<br />';
	}

	# Reset the time difference
	$date = $db->query("SELECT NOW()")->getSingleResult();
	$time = strtotime($date);
	$offset = time() - $time;
	$db->query("UPDATE parameters SET value = '{$offset}' WHERE parameter = 'MYSQL_TIMEZONE_OFFSET'");
	
?>