<?php
	$path = str_replace('/autorun','',str_replace('/controlpanel','',dirname($_SERVER['SCRIPT_FILENAME'])).'/');
	#$path = '../';
	require($path.'start/autorun.php');
	
	# https://www.google.com/webmasters/tools/docs/en/protocol.html
	
	$sitemapindexfiles = array();
	
	# Pages
	$sitemap = new GoogleSiteMap();
	$sitemapitems = array();
	$pages = $db->query('SELECT * FROM pages WHERE xmlsitemap = 1');
	$pages = $pages->getFullArray();
	foreach ($pages as $page)
	{	
		if(!in_array($page['pagename'], array('basket', 'buy-amazon', 'checkout', 'checkout-amazon')))
		{
			$temp = array();
			$temp['loc'] = URL_SITE.$page['pagename'].($page['pagename'] != '' ? '/' : '');
			$temp['lastmod'] = '';
			$temp['changefreq'] = 'daily';
			$temp['priority'] = '0.4';
			$sitemap->Add($temp);
		}
	}
	$sitemap->Close();
	$sitemap->Write(PATH_SITEMAPS.'sitemap_pages.xml');
	$sitemapindexfiles[] = URL_SITEMAPS.'sitemap_pages.xml';
	
	
	# Categories
	$sitemap = new GoogleSiteMap();
	$sitemapitems = array();
	$categories = getCategoryList();
	foreach ($categories as $category)
	{	
		$temp = array();
		$temp['loc'] = URL_SITE.$category['pagename'].'/';
		$temp['lastmod'] = '';
		$temp['changefreq'] = 'always';
		$temp['priority'] = '0.6';
		$sitemap->Add($temp);
		$sitemap->AddIndex(URL_SITEMAPS.'sitemap1.xml');
	}
	$sitemap->Close();
	$sitemap->Write(PATH_SITEMAPS.'sitemap_categories.xml');
	$sitemapindexfiles[] = URL_SITEMAPS.'sitemap_categories.xml';
	

	$products = $db->query('SELECT * FROM products WHERE parent_id = 0 AND enabled = 1 AND hidden = 0 AND pagename <> "" AND id IN (SELECT product_id FROM products_categories)');
	$i = 0;
	$productsitemapcount = 0;
	while (($product = $products->fetch()) !== false)
	{	
		$i++;
		if ($i == 1 || ($i-1) % 1000 == 0)
		{
			$productsitemapclosed = false;
			$sitemap = new GoogleSiteMap();
		}
		
		# Main Product
		$temp = array();
		$temp['loc'] = URL_SITE.$product['pagename'].'/';
		$temp['lastmod'] = '';
		$temp['changefreq'] = 'daily';
		$temp['priority'] = ($product['salesrank'] < 100 ? '0.9' : '0.8');
		$sitemap->Add($temp);
		
		# Reviews
		/*
		$temp = array();
		$temp['loc'] = URL_SITEMAPS.$product['pagename'].'/reviews/';
		$temp['lastmod'] = '';
		$temp['changefreq'] = 'weekly';
		$temp['priority'] = '0.7';
		$sitemap->Add($temp);
		*/

		if ($i % 1000 == 0)
		{
			$productsitemapclosed = true;
			$productsitemapcount++;
			$sitemap->Close();		
			$sitemap->Write(PATH_SITEMAPS.'sitemap_products_'.$productsitemapcount.'.xml');
			$sitemapindexfiles[] = URL_SITEMAPS.'sitemap_products_'.$productsitemapcount.'.xml';
		}
	}
	
	if (!$productsitemapclosed)
	{
		$productsitemapclosed = true;
		$productsitemapcount++;
		$sitemap->Close();		
		$sitemap->Write(PATH_SITEMAPS.'sitemap_products_'.$productsitemapcount.'.xml');
		$sitemapindexfiles[] = URL_SITEMAPS.'sitemap_products_'.$productsitemapcount.'.xml';
	}
	

	# Now write the index file
	$sitemap = new GoogleSiteMap();
	foreach ($sitemapindexfiles as $item)
	{
		$sitemap->AddIndex($item);
	}
	$sitemap->CloseIndex();
	$sitemap->WriteIndex(PATH_ROOT.'sitemap.xml');
	

	# Don't ping if the site is not live
	if (SITE_LIVE == 0) exit();
	
	# Ping the search engines
	
	$google = 'www.google.com';
	if( $fp=@fsockopen($google, 80) )
	{
	  $req =  'GET /webmasters/sitemaps/ping?sitemap=' .
			  urlencode( URL_SITE.'sitemap.xml' ) . " HTTP/1.1\r\n" .
			  "Host: $google\r\n" .
			  "User-Agent: Mozilla/5.0 (compatible; " .
			  PHP_OS . ") PHP/" . PHP_VERSION . "\r\n" .
			  "Connection: Close\r\n\r\n";
	  fwrite( $fp, $req );
	  while( !feof($fp) )
	  {
		 if( @preg_match('~^HTTP/\d\.\d (\d+)~i', fgets($fp, 128), $m) )
		 {
			$status = intval( $m[1] );
			break;
		 }
	  }
	  fclose( $fp );
	}
	
	
	# Ping Yahoo
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, 'http://search.yahooapis.com/SiteExplorerService/V1/ping?sitemap='.URL_SITE.'sitemap.xml');
	curl_setopt($ch, CURLOPT_HEADER, 0);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_exec($ch);
	curl_close($ch);

	# Ping MSN Live
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, 'http://webmaster.live.com/ping.aspx?siteMap='.URL_SITE.'sitemap.xml');
	curl_setopt($ch, CURLOPT_HEADER, 0);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_exec($ch);
	curl_close($ch);
	
	# Ping Ask.com
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, 'http://submissions.ask.com/ping?sitemap='.URL_SITE.'sitemap.xml');
	curl_setopt($ch, CURLOPT_HEADER, 0);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_exec($ch);
	curl_close($ch);

	exit();	
?>

