<?php

	$path = str_replace('/autorun','',str_replace('/controlpanel','',dirname($_SERVER['SCRIPT_FILENAME'])).'/');
	
	if ($_GET['web'])
	{
		$path = '../';
	}
	require($path.'start/autorun.php');


	# This sends a daily summary email and keeps a record of what has been sent
	
	# Figure out the dates
	$yesterday = date('Y-m-d', time()-(60*60*24));
	$ra = $db->query("SELECT * FROM dailysummary ORDER BY summaryday DESC LIMIT 1")->fetch();
	
	# Ok no previous information, so lets do the last 90 days just to give us an overview
	if(!$ra)
	{
		$fromdate = date('Y-m-d', time()-(60*60*24*90));
	}
	else
	{
		$fromdate = $ra['summaryday'];
	}
	
	if ($fromdate == $yesterday)
	{
		echo 'Up to date!';
		exit();
	}
	
	$currentday = date('Y-m-d',strtotime($fromdate) + (60*60*24));
	$finishedall = false;
	
	$count = 0;
	while(!$finishedall)
	{
		# Sort out dates
		$from = $currentday.' 00:00:00.000';
		$from_time = strtotime($from);
		$to = $currentday.' 23:59:59.000';
		$to_time = strtotime($to);
		
		$dailysummary = array();
		
		# Checkouts explained
		$dailysummary['checkoutsexplained'] = $db->query("SELECT COUNT(DISTINCT(gauser_id)) FROM tracker_action WHERE action IN ('checkout_explain') AND timestamp > $from_time AND timestamp < $to_time")->getSingleResult();
		
		# Checkouts sent
		$dailysummary['checkoutssent'] = $db->query("SELECT COUNT(DISTINCT(gauser_id)) FROM tracker_action WHERE action IN ('checkout_framed', 'checkout_amazon') AND timestamp > $from_time AND timestamp < $to_time")->getSingleResult();
		
		# Unique visitors
		$dailysummary['uniquevisitors'] = $db->query("SELECT COUNT(DISTINCT(user_id)) FROM ga_pageviews WHERE timestamp > $from_time AND timestamp < $to_time")->getSingleResult();
		
		# Page views
		$dailysummary['pageviews'] = $db->query("SELECT COUNT(*) FROM ga_pageviews WHERE timestamp > $from_time AND timestamp < $to_time")->getSingleResult();
		
		# Unique baskets
		$dailysummary['uniquebaskets'] = $db->query("SELECT COUNT(DISTINCT(gauser_id)) FROM tracker_action WHERE action = 'basket_add' AND timestamp > $from_time AND timestamp < $to_time")->getSingleResult();
		
		# Total Basket adds
		$dailysummary['basketadds'] = $db->query("SELECT COUNT(*) FROM tracker_action WHERE action = 'basket_add' AND timestamp > $from_time AND timestamp < $to_time")->getSingleResult();
		
		# Newsletter Adds
		$dailysummary['newsletteradds'] = $db->query("SELECT COUNT(*) FROM newsletterusers WHERE created > '$from' AND created < '$to' AND deleted = 0")->getSingleResult();
		
		# Total Newsletter Users (at the time)
		$dailysummary['totalnewsletteradds'] = $db->query("SELECT COUNT(*) FROM newsletterusers WHERE created < '$to' AND deleted = 0")->getSingleResult();
		
		# Active products
		$dailysummary['activeproducts'] = $db->query("SELECT COUNT(*) FROM products WHERE enabled = 1 AND hidden = 0")->getSingleResult();
		if ($currentday != $yesterday) $dailysummary['activeproducts'] = -1;
		
		# Active Products without offers
		$dailysummary['productsnooffers'] = $db->query("SELECT COUNT(*) FROM products WHERE enabled = 1 AND hidden = 0 AND offers = 0")->getSingleResult();
		if ($currentday != $yesterday) $dailysummary['productsnooffers'] = -1;
		
		# Orphan Products
		$dailysummary['orphanproducts'] = $db->query("SELECT COUNT(*) FROM products WHERE enabled = 1 AND hidden = 0 AND id NOT IN (SELECT product_id FROM products_categories)")->getSingleResult();
		if ($currentday != $yesterday) $dailysummary['orphanproducts'] = -1;
		
		# Hidden Products
		$dailysummary['hiddenproducts'] = $db->query("SELECT COUNT(*) FROM products WHERE hidden = 1")->getSingleResult();
		if ($currentday != $yesterday) $dailysummary['hiddenproducts'] = -1;
		
		# Searches
		$dailysummary['searches'] = $db->query("SELECT COUNT(*) FROM searches WHERE timestamp > '$from' AND timestamp < '$to'")->getSingleResult();
		
		# Amazon Buy Clicks
		$dailysummary['amazonbuyclicks'] = $db->query("SELECT COUNT(*) FROM tracker_action WHERE action = 'amazon_link_click' AND timestamp > $from_time AND timestamp < $to_time")->getSingleResult();
		
		$dailysummary['summaryday'] = $currentday;
		$dailysummary['created'] = 'NOW()';
		# Add all the info to the daily summary
		$db->insert('dailysummary', $dailysummary);
		
		#Get totals for yesterday
		$previous_day = date('Y-m-d', strtotime($currentday)-(60*60*24));
		$previous_day = $db->query("SELECT * FROM dailysummary WHERE summaryday = '$previous_day'")->fetch();
		if (!$previous_day) $previous_day = array();
		
		#Get totals for this month
		$start_this_month = date('Y-m-01', strtotime($currentday));
		$end_this_month = date('Y-m-01', strtotime($start_this_month) + (60*60*24*32));
		$sql = "SELECT	SUM(checkoutsexplained) as checkoutsexplained,
						SUM(checkoutssent) as checkoutssent,
						SUM(amazonbuyclicks) as amazonbuyclicks,
						SUM(uniquebaskets) as uniquebaskets,
						SUM(basketadds) as basketadds,
						SUM(uniquevisitors) as uniquevisitors,
						SUM(pageviews) as pageviews,
						SUM(newsletteradds) as newsletteradds,
						COUNT(totalnewsletteradds) as totalnewsletteradds,
						MAX(activeproducts) as activeproducts,
						MAX(productsnooffers) as productsnooffers,
						MAX(orphanproducts) as orphanproducts,
						MAX(hiddenproducts) as hiddenproducts
				FROM dailysummary WHERE summaryday > '$start_this_month' AND summaryday < '$end_this_month'";
		$this_month = $db->query($sql)->fetch();
		
		#Get totals for last month
		$end_last_month = date('Y-m-01', strtotime($currentday));
		$start_last_month = date('Y-m-01', strtotime($end_last_month)-1);
		$sql = "SELECT	SUM(checkoutsexplained) as checkoutsexplained,
						SUM(checkoutssent) as checkoutssent,
						SUM(amazonbuyclicks) as amazonbuyclicks,
						SUM(uniquebaskets) as uniquebaskets,
						SUM(basketadds) as basketadds,
						SUM(uniquevisitors) as uniquevisitors,
						SUM(pageviews) as pageviews,
						SUM(newsletteradds) as newsletteradds,
						COUNT(totalnewsletteradds) as totalnewsletteradds,
						MAX(activeproducts) as activeproducts,
						MAX(productsnooffers) as productsnooffers,
						MAX(orphanproducts) as orphanproducts,
						MAX(hiddenproducts) as hiddenproducts
				FROM dailysummary WHERE summaryday > '$start_last_month' AND summaryday < '$end_last_month'";
		$last_month = $db->query($sql)->fetch();
		

		# Sort out and send the email
		$content = file_get_contents(PATH_ROOT.'/emails/dailysummary/email.tpl');
		$content = str_replace('{URL_SITE}', URL_SITE, $content);
		$content = str_replace('{SITE_NAME}', SITE_NAME, $content);
		$content = str_replace('{DATE}', $currentday ,$content);
		
		$content = str_replace('{CHECKOUTSEXPLAINED}', $dailysummary['checkoutsexplained'], $content);
		$content = str_replace('{CHECKOUTSEXPLAINED_YESTERDAY}', $previous_day['checkoutsexplained'], $content);
		$content = str_replace('{CHECKOUTSEXPLAINED_MONTH}', $this_month['checkoutsexplained'], $content);
		$content = str_replace('{CHECKOUTSEXPLAINED_LASTMONTH}', $last_month['checkoutsexplained'], $content);
		
		$content = str_replace('{CHECKOUTSSENT}', $dailysummary['checkoutssent'], $content);
		$content = str_replace('{CHECKOUTSSENT_YESTERDAY}', $previous_day['checkoutssent'], $content);
		$content = str_replace('{CHECKOUTSSENT_MONTH}', $this_month['checkoutssent'], $content);
		$content = str_replace('{CHECKOUTSSENT_LASTMONTH}', $last_month['checkoutssent'], $content);
		
		$content = str_replace('{AMAZONBUYCLICKS}', $dailysummary['amazonbuyclicks'],$content);
		$content = str_replace('{AMAZONBUYCLICKS_YESTERDAY}', $previous_day['amazonbuyclicks'], $content);
		$content = str_replace('{AMAZONBUYCLICKS_MONTH}', $this_month['amazonbuyclicks'], $content);
		$content = str_replace('{AMAZONBUYCLICKS_LASTMONTH}', $last_month['amazonbuyclicks'], $content);
		
		$content = str_replace('{UNIQUEBASKETS}', $dailysummary['uniquebaskets'],$content);
		$content = str_replace('{UNIQUEBASKETS_YESTERDAY}', $previous_day['uniquebaskets'], $content);
		$content = str_replace('{UNIQUEBASKETS_MONTH}', $this_month['uniquebaskets'], $content);
		$content = str_replace('{UNIQUEBASKETS_LASTMONTH}', $last_month['uniquebaskets'], $content);
		
		$content = str_replace('{BASKETADDS}', $dailysummary['basketadds'],$content);
		$content = str_replace('{BASKETADDS_YESTERDAY}', $previous_day['basketadds'], $content);
		$content = str_replace('{BASKETADDS_MONTH}', $this_month['basketadds'], $content);
		$content = str_replace('{BASKETADDS_LASTMONTH}', $last_month['basketadds'], $content);
		
		$content = str_replace('{UNIQUEVISITORS}', $dailysummary['uniquevisitors'],$content);
		$content = str_replace('{UNIQUEVISITORS_YESTERDAY}', $previous_day['uniquevisitors'], $content);
		$content = str_replace('{UNIQUEVISITORS_MONTH}', $this_month['uniquevisitors'], $content);
		$content = str_replace('{UNIQUEVISITORS_LASTMONTH}', $last_month['uniquevisitors'], $content);
		
		$content = str_replace('{PAGEVIEWS}', $dailysummary['pageviews'],$content);
		$content = str_replace('{PAGEVIEWS_YESTERDAY}', $previous_day['pageviews'], $content);
		$content = str_replace('{PAGEVIEWS_MONTH}', $this_month['pageviews'], $content);
		$content = str_replace('{PAGEVIEWS_LASTMONTH}', $last_month['pageviews'], $content);
		
		$content = str_replace('{NEWSLETTERADDS}', $dailysummary['newsletteradds'],$content);
		$content = str_replace('{NEWSLETTERADDS_YESTERDAY}', $previous_day['newsletteradds'], $content);
		$content = str_replace('{NEWSLETTERADDS_MONTH}', $this_month['newsletteradds'], $content);
		$content = str_replace('{NEWSLETTERADDS_LASTMONTH}', $last_month['newsletteradds'], $content);
		
		$content = str_replace('{TOTALNEWSLETTERADDS}', $dailysummary['totalnewsletteradds'],$content);
		$content = str_replace('{TOTALNEWSLETTERADDS_YESTERDAY}', $previous_day['totalnewsletteradds'], $content);
		$content = str_replace('{TOTALNEWSLETTERADDS_MONTH}', $this_month['totalnewsletteradds'], $content);
		$content = str_replace('{TOTALNEWSLETTERADDS_LASTMONTH}', $last_month['totalnewsletteradds'], $content);
		
		$content = str_replace('{ACTIVEPRODUCTS}', $dailysummary['activeproducts'],$content);
		$content = str_replace('{ACTIVEPRODUCTS_YESTERDAY}', $previous_day['activeproducts'], $content);
		$content = str_replace('{ACTIVEPRODUCTS_MONTH}', $this_month['activeproducts'], $content);
		$content = str_replace('{ACTIVEPRODUCTS_LASTMONTH}', $last_month['activeproducts'], $content);
		
		$content = str_replace('{PRODUCTSNOOFFERS}', $dailysummary['productsnooffers'],$content);
		$content = str_replace('{PRODUCTSNOOFFERS_YESTERDAY}', $previous_day['productsnooffers'], $content);
		$content = str_replace('{PRODUCTSNOOFFERS_MONTH}', $this_month['productsnooffers'], $content);
		$content = str_replace('{PRODUCTSNOOFFERS_LASTMONTH}', $last_month['productsnooffers'], $content);
		
		$content = str_replace('{ORPHANPRODUCTS}', $dailysummary['orphanproducts'],$content);
		$content = str_replace('{ORPHANPRODUCTS_YESTERDAY}', $previous_day['orphanproducts'], $content);
		$content = str_replace('{ORPHANPRODUCTS_MONTH}', $this_month['orphanproducts'], $content);
		$content = str_replace('{ORPHANPRODUCTS_LASTMONTH}', $last_month['orphanproducts'], $content);
		
		$content = str_replace('{HIDDENPRODUCTS}', $dailysummary['hiddenproducts'],$content);
		$content = str_replace('{HIDDENPRODUCTS_YESTERDAY}', $previous_day['hiddenproducts'], $content);
		$content = str_replace('{HIDDENPRODUCTS_MONTH}', $this_month['hiddenproducts'], $content);
		$content = str_replace('{HIDDENPRODUCTS_LASTMONTH}', $last_month['hiddenproducts'], $content);

		$subject = SITE_NAME.' - Daily Summary - '.$currentday;
		$headers = "From: " . EMAIL_FROM . "\r\n";
		$headers .= "Reply-To: ". EMAIL_FROM . "\r\n";
		$headers .= "MIME-Version: 1.0\r\n";
		$headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";


		if ($currentday == $yesterday)
		{
			mail(EMAIL_TO, $subject, $content, $headers);
		}
		
		if ($currentday == $yesterday) $finishedall = true;
		$currentday = date('Y-m-d', strtotime($currentday)+(60*60*24));
		
		$count++;
		if ($count > 100) die("What's Occurin'?");
	}
	
	
	/*
	- Checkouts succesfull
	- Visitors
	- Unique baskets
	- Add to baskets
	- Email Subscribers/Total
	- Comparison to previous day/week/month
	- Counts for day/week/month
	- Score for improvement in day/week/month
	- Record in db and have admin section showing graphs et al
	- Searches
	- amazonbuyclicks
	*/



?>