<?php

	# Fix for IIS, which doesn't set REQUEST_URI
	if (empty( $_SERVER['REQUEST_URI'] ))
	{
		$_SERVER['REQUEST_URI'] = $_SERVER['SCRIPT_NAME']; // Does this work under CGI?
	
		// Append the query string if it exists and isn't null
		if (isset($_SERVER['QUERY_STRING']) && !empty($_SERVER['QUERY_STRING'])) {
			$_SERVER['REQUEST_URI'] .= '?' . $_SERVER['QUERY_STRING'];
		}
	}
	
	# Fix for PHP as CGI hosts that set SCRIPT_FILENAME to something ending in php.cgi for all requests
	if (isset($_SERVER['SCRIPT_FILENAME']) && ( strpos($_SERVER['SCRIPT_FILENAME'], 'php.cgi') == strlen($_SERVER['SCRIPT_FILENAME']) - 7 ))
		$_SERVER['SCRIPT_FILENAME'] = $_SERVER['PATH_TRANSLATED'];
	
	# Fix for Dreamhost and other PHP as CGI hosts
	if ( strstr($_SERVER['SCRIPT_NAME'], 'php.cgi' ))
		unset($_SERVER['PATH_INFO']);
	
	# Fix empty PHP_SELF
	if (empty($_SERVER['PHP_SELF']) || $_SERVER['PHP_SELF'] == '')
	{
		$_SERVER['PHP_SELF'] = preg_replace("/(\?.*)?$/",'',$_SERVER["REQUEST_URI"]);
	}
	
	# Fix for empty SCRIPT_FILENAME
	if (empty($_SERVER['SCRIPT_FILENAME']) || $_SERVER['SCRIPT_FILENAME'] == '')
	{
		$_SERVER['SCRIPT_FILENAME'] = preg_replace("/(\?.*)?$/",'',$_SERVER["PATH_TRANSLATED"]);
	}
	
	# Fix HTTPS indication
	if (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == 'off') $_SERVER['HTTPS'] = '';

	
	define('PATH_ROOT', str_replace(DIRECTORY_SEPARATOR.'install', '', str_replace(DIRECTORY_SEPARATOR.'testscripts','',str_replace(DIRECTORY_SEPARATOR.'ajax','',str_replace(DIRECTORY_SEPARATOR.'autorun','',str_replace(DIRECTORY_SEPARATOR.'freshadmin','',dirname($_SERVER['SCRIPT_FILENAME'])).DIRECTORY_SEPARATOR)))));
		
	define('PATH_CONTROLPANEL',PATH_ROOT.'freshadmin/');
	define('PATH_CONTROLPANEL_TEMPLATES',PATH_CONTROLPANEL.'templates/');
	define('PATH_CONFIG',PATH_ROOT.'config/');
	define('PATH_INCLUDES',PATH_ROOT.'includes/');
	define('PATH_LIBRARY',PATH_ROOT.'library/');
	define('PATH_TEMPLATES',PATH_ROOT.'templates/');
	define('PATH_CONTROLLERS',PATH_ROOT.'controllers/');
	define('PATH_SITEMAPS',PATH_ROOT.'sitemaps/');
	
	define('PATH_IMAGES',PATH_ROOT.'images/');
	define('PATH_IMAGES_CATEGORY', PATH_IMAGES.'category/');
	define('PATH_IMAGES_MANUFACTURER', PATH_IMAGES.'manufacturer/');
	define('PATH_IMAGES_BANNER', PATH_IMAGES.'banner/');
	define('PATH_IMAGES_TEMPLATE', PATH_IMAGES.'template/');
	
?>
