<?php

	# Get page information
	$page = getPage(PAGENAME, 'pagename');
	$breadcrumb = getBreadcrumb($pagetype, $page);
	require('page.php');
	
	# Current pagination options
	$pagination = getPaginationCurrentOptions();

	# No index depending on options chosen
	if ($pagination['currentsort'] != 'bestselling' || $pagination['currentperpage'] != $defaultperpage || !empty($_SESSION['productfilters']))
	{
		$metanoindex = true;
	}
	
	# Meta Tags
	$page_title = $page['metatitle'];
	$page_description = $page['metadescription'];
	$page_keywords = $page['metakeywords'];
	
	# Caching
	$cacheidentifier = getCacheIdentifier(array(PAGENAME, $_GET, isset($_SESSION['productfilters']) ? $_SESSION['productfilters'] : ''));
	#$pagecontents = getCacheFile($cacheidentifier);
	if ($pagecontents)
	{
		require(pickTemplateFile('layout_default.php'));
		exit();
	}
	
	# Filter details
	$filtersql = getProductFilterSQL();
	$currentproductfilters = getSessionProductFilters();
	$sidebarfilters = getFilterOptions(true);
	$stocksql = (PRODUCT_OFFERS_WITHOUT == 1)? '' : 'AND offers > 0';
			
	$rs = $db->query("SELECT COUNT(*) FROM products p WHERE parent_id = 0 AND hidden = 0 AND enabled = 1 {$stocksql} AND ".implode('AND ', $filtersql));
	
	$pagination['quantity'] = $rs->getSingleResult();
	$pagination['pages'] = ceil($pagination['quantity']/$pagination['currentperpage']);
	$pagination['baselink'] = URL_SITE.PAGENAME.'/';

	# Sort options
	$pagination['sortoptions'] = getPaginationSortOptions('products');
	
	# Sort Order
	$orderby = $pagination['sortoptions'][$pagination['currentsort']]['sql'];

	# Limit
	$limitstart = ($pagination['currentpage'] - 1) * $pagination['currentperpage'];
	
	# Get the products
	$sql = "SELECT p.* FROM products p
		WHERE p.parent_id = 0
		AND hidden = 0
		AND enabled = 1
		{$stocksql}
		AND ".implode('AND ', $filtersql)."
		ORDER BY $orderby
		LIMIT $limitstart, ".$pagination['currentperpage'];
	$rs = $db->query($sql);
	$ra = $rs->getFullArray();

	# Redirect if no results and not on page 1
	if ($pagination['currentpage'] <> 1 && !$ra)
	{	
		$redirectto = buildListingLink(URL_SITE.PAGENAME.'/', $pagination['pages'], $pagination['currentsort'], 'relevance', $pagination['currentperpage']);
		redirect($redirectto);
	}

	$products = array();
	$includesParents = false;
	foreach ($ra as $product)
	{
		if ($product['parent'])
		{
			$product['optionsummary'] = getParentProductOptionSummary($product['id']);
			$product['price'] = $product['optionsummary']['minprice'];
		}
		else
		{
			$product['offer'] = getProductOffer($product['id']);
		}
		$product['variationcount'] = getProductVariationCount($product['id']);
		$product['manufacturer'] = getManufacturer($product['manufacturer_id']);
		$product['image'] = $db->get('productimages', $product['id'], 'product_id', 'sortorder');
		$product['reviewcount'] = $db->value('productreviews', 'COUNT(*)', $product['id'], 'product_id');
		$product['offer'] = getProductOffer($product['id']);
		$products[] = $product;
	}
	

	$pagecontents = getFileContents(pickTemplateFile('allproducts.php'));	
	require(pickTemplateFile('layout_default.php'));
	
	# Create cache file
	createCacheFile($pagecontents, $cacheidentifier);