<?php
	if ($_GET['var1'])
	{
		$action = $_GET['var1'];
	
		if ($action == 'add')
		{
			# Vars		
			$product_id = $_GET['var2'];
			$offer_id = $_GET['var3'];
			$product = $db->get('products', $product_id);
			
			if (!$product)
			{
				setMessage('error', 'Product could not be found and was not added to your basket.');
				redirect(URL_SITE.'basket/');
				exit();
			}
			
			# Action Tracking
			$temp = array();
			$temp['product_id']	= $product['id'];
			$temp['asin']		= $product['asin'];
			$temp['quantity']	= 1;
			$temp['price']		= $product['price'];
	 		$temp['title']		= $product['title'];
			$temp['pagename']	= $product['pagename'];
			$temp['url']		= $product['url'];
			$products[] = $temp;
			
			
			# Get Offer Listing Id
			$offerlistingid = $db->value('productoffers', 'offerlistingid', $offer_id);
			
			# Make sure product offer listing id is current
			updateProductOffers($product);
			
			# Check offer listing id again, after update
			$offerlistingid = $db->value('productoffers', 'offerlistingid', $offerlistingid, 'offerlistingid');
			
			if (!$offerlistingid)
			{
				$offer = getProductOffer($product['id']);
				$offerlistingid = $offer['offerlistingid'];
			}
				
			# Check if no offer listing id, send back and set message
			if (!$offerlistingid)
			{
				$analyticslocal->recordAction('basket_add_failed', '', $products);
			
				setMessage('error', 'Sorry, this offer is no longer available. Please check the price and try again.');
				redirect(URL_SITE.$product['pagename'].'/');
			}
			
			$analyticslocal->recordAction('basket_add', '', $products);
									
			# Add to Cart
			$amazon->addToCart($offerlistingid, $product['asin']);
			
							
			redirect(URL_SITE.'basket/');
		}
		else if ($action == 'remove')
		{
			$asin = $_GET['var2'];
			
			if (trim($asin) != '')
			{
				if ($amazon->removeFromCart($asin))
				{
					setMessage('success', 'Item removed from your Shopping Cart');
				}
			}
			else
			{
				setMessage('error', 'Item not found in your Shopping Cart');
			}
			
			redirect(URL_SITE.'basket/');
			exit();
		}
		else if ($action == 'change-quantity')
		{
			$asin = $_POST['asin'];
			$quantity = $_POST['quantity'];
			
			if (trim($asin) != '')
			{
				if ($amazon->changeCartQuantity($asin,$quantity))
				{
					setMessage('success', 'Quantity Changed');
				}
			}
			else
			{
				setMessage('error', 'Item not found in your Shopping Cart');
			}
			redirect(URL_SITE.'basket/');
			exit();
		}
		else
		{
			redirect(URL_SITE.'basket/');
			exit();
		}
	}
	
	# Common stuff
	$page = getPage(PAGENAME, 'pagename');
	$breadcrumb = getBreadcrumb($pagetype, $page);	
	require('page.php');
	
	
	# Get info on the cart products
	$basketitems = array();
	if ($amazon->cart)
	{
		foreach ($amazon->cart['items'] as $id => $item)
		{
			$product = $db->get('products', $item['asin'], 'asin');
			
			if (!$product) continue;
			
			if ($product['parent_id'] != 0)
			{
				$parent = $db->get('products', $product['parent_id']);
				$item['title']		= $parent['title'];
				$item['pagename']	= $parent['pagename'];
				$item['options']	= getProductOptions($product['id']);
				$item['image']	= getMainProductImage($product['id'], 100, false);
				if (!$item['image'])
				{
					$item['image'] = getMainProductImage($parent['id'], 100);
					$item['imagelarge']	= getMainProductImage($parent['id'], 500);
				}
				else
				{
					$item['imagelarge']	= getMainProductImage($product['id'], 500);
				}
			}
			else
			{
				$item['image']		= getMainProductImage($product['id'], 100);
				$item['imagelarge']	= getMainProductImage($product['id'], 500);
				$item['title']		= $product['title'];
				$item['pagename']	= $product['pagename'];
			}
			
			$basketitems[] = $item;
		}
	}
		
	# Get information from products
	$products = array();
	$supersavercount = 0;
	if (is_array($amazon->cart['items']))
	{
		foreach ($amazon->cart['items'] as $id => $item)
		{
			$product = $db->get('products', $item['asin'], 'asin');
			
			$offer = $db->query('SELECT o.* FROM productoffers o, products p WHERE o.product_id = p.id AND p.asin = "'.$item['asin'].'" AND o.merchantid = "'.$item['merchantid'].'" LIMIT 1');
			$offer = $offer->fetch();
	
			if ($offer['supersavershipping'] == 1) $supersavercount++;
	
			$temp = array();
			$temp['product_id']	= $product['id'];
			$temp['asin']		= $product['asin'];
			$temp['quantity']	= $item['quantity'];
			$temp['price']		= $product['price'];
			$temp['title']		= $product['title'];
			$temp['pagename']	= $product['pagename'];
			$temp['url']		= $product['url'];
			
			$products[] = $temp;
		}
	}	
	$analyticslocal->recordAction('basket_view', '', $products);
	
	$freedelivery = false;
	if ($supersavercount == sizeof($products)) $freedelivery = true;
	
	$showcheckoutbutton = false;
		
	$page_title = $page['metatitle'];
	$page_description = $page['metadescription'];
	$page_keywords = $page['metakeywords'];

	$pagecontents = getFileContents(pickTemplateFile('basket.php'));
	require(pickTemplateFile('layout_default.php'));