<?php

	$page = getPage(PAGENAME, 'pagename');
	$breadcrumb = getBreadcrumb($pagetype, $page);
	require('page.php');
	
	# Meta
	$page_title = $page['metatitle'];
	$page_description = $page['metadescription'];
	$page_keywords = $page['metakeywords'];

	# Filter details
	$filtersql = getProductFilterSQL();
	$currentproductfilters = getSessionProductFilters();
	$sidebarfilters = getFilterOptions(true);
	$stocksql = (PRODUCT_OFFERS_WITHOUT == 1)? '' : 'AND offers > 0';

	# Current pagination options
	$pagination = getPaginationCurrentOptions();

	# Make the title unique, if necessary
	if($pagination['currentpage'] > 1)
	{
		$page_title .= " - ".gTT('PRODUCT_LISTING_PAGE')." {$pagination['currentpage']}";
		$page_description .= "(".gTT('PRODUCT_LISTING_PAGE')." {$pagination['currentpage']})";
	}

	if ($pagination['currentpage'] < 1) redirect(buildListingLink(URL_SITE.PAGENAME.'/', 1, $pagination['currentsort'], 'relevance', $pagination['currentperpage']));

	# No index depending on options chosen, or if product filters set
	if ($pagination['currentsort'] != 'bestselling' || $pagination['currentperpage'] != $defaultperpage || !empty($_SESSION['productfilters']))
	{
		$metanoindex = true;
	}
	
	# Caching
	$cacheidentifier = getCacheIdentifier(array(PAGENAME, $_GET));
	$pagecontents = getCacheFile($cacheidentifier);
	if ($pagecontents)
	{
		require(pickTemplateFile('layout_default.php'));
		exit();
	}
	
	$limit = 50;
	# Best Selling Products
	$sql = "SELECT COUNT(id) FROM products
		WHERE enabled = 1
		AND parent_id = 0
		AND hidden = 0
		{$stocksql}
		AND salesrank <> 0
		AND ".implode('AND ', $filtersql)."
		ORDER BY salesrank ASC
		LIMIT {$limit}";
	$rs = $db->query($sql);
	
	$pagination['quantity'] = $rs->getSingleResult(); # Probably ends up equal to $limit, assuming that there are enough products, but let's be safe
	if($pagination['quantity'] > $limit) $pagination['quantity'] = $limit;
	$pagination['pages'] = ceil($pagination['quantity']/$pagination['currentperpage']);
	$pagination['baselink'] = URL_SITE.PAGENAME.'/';
	
	# Sort Order
  $orderby = $pagination['sortoptions'][$pagination['currentsort']]['sql'];

  # Limit
  $limitstart = ($pagination['currentpage'] - 1) * $pagination['currentperpage'];
  $limitend = ($limitstart + $pagination['currentperpage'] > $pagination['quantity'])? ($pagination['quantity'] - $limitstart) : $pagination['currentperpage'];
	
	$sql = "SELECT * FROM products
		WHERE enabled = 1
		AND parent_id = 0
		AND hidden = 0
		{$stocksql}
		AND salesrank <> 0
		AND ".implode('AND ', $filtersql)."
		ORDER BY salesrank ASC
		LIMIT {$limitstart}, {$limitend}";
  $rs = $db->query($sql);
	$ra = $rs->getFullArray();
	
	$products = array();
	foreach ($ra as $product)
	{
		if ($product['parent'])
		{
			$product['optionsummary'] = getParentProductOptionSummary($product['id']);
			$product['price'] = $product['optionsummary']['minprice'];
		}
		else
		{
			$product['offer'] = getProductOffer($product['id']);
		}
		$product['variationcount'] = getProductVariationCount($product['id']);
		$product['manufacturer'] = getManufacturer($product['manufacturer_id']);
		$product['image'] = $db->get('productimages', $product['id'], 'product_id', 'sortorder');
		$product['reviewcount'] = $db->value('productreviews', 'COUNT(*)', $product['id'], 'product_id');
		$product['offer'] = getProductOffer($product['id']);
		$products[] = $product;
	}
	

	$pagecontents = getFileContents(pickTemplateFile('bestsellers.php'));
	require(pickTemplateFile('layout_default.php'));
	
	# Create cache file
	createCacheFile($pagecontents, $cacheidentifier);