<?php

	# Product List Only		
	$subcategories = getCategoryList($thiscategory['parent_id']);

	# Filter details
	$filtersql = getProductFilterSQL();
	$currentproductfilters = getSessionProductFilters();
	$sidebarfilters = getFilterOptions(true);
	$stocksql = (PRODUCT_OFFERS_WITHOUT == 1)? '' : 'AND offers > 0';

	# Current pagination options
	$pagination = getPaginationCurrentOptions();

	# Make the title unique, if necessary
	if($pagination['currentpage'] > 1)
	{
		$page_title .= " - ".gTT('PRODUCT_LISTING_PAGE')." {$pagination['currentpage']}";
		$page_description .= "(".gTT('PRODUCT_LISTING_PAGE')." {$pagination['currentpage']})";
	}

	if ($pagination['currentpage'] < 1) redirect(buildListingLink(URL_SITE.PAGENAME.'/', 1, $pagination['currentsort'], 'relevance', $pagination['currentperpage']));

	# No index depending on options chosen, or if product filters set
	if ($pagination['currentsort'] != 'bestselling' || $pagination['currentperpage'] != $defaultperpage || !empty($_SESSION['productfilters']))
	{
		$metanoindex = true;
	}

	# Caching
	$cacheidentifier = getCacheIdentifier(array(PAGENAME, $_GET, isset($_SESSION['productfilters']) ? $_SESSION['productfilters'] : ''));
	$pagecontents = getCacheFile($cacheidentifier);
	if ($pagecontents)
	{
		require(pickTemplateFile('layout_default.php'));
		exit();
	}

	$rs = $db->query("SELECT COUNT(DISTINCT(p.id)) FROM products p, products_categories c
		WHERE p.id = c.product_id AND parent_id = 0
		AND c.category_id = ".$thiscategory['id']."
		AND hidden = 0
		AND enabled = 1
		{$stocksql}
		AND ".implode('AND ', $filtersql));
	$pagination['quantity'] = $rs->getSingleResult();
	$pagination['pages'] = ceil($pagination['quantity']/$pagination['currentperpage']);
	$pagination['baselink'] = URL_SITE.PAGENAME.'/';

	# Sort options
	$pagination['sortoptions'] = getPaginationSortOptions('products');

	# Sort Order
	$orderby = $pagination['sortoptions'][$pagination['currentsort']]['sql'];

	# Limit
	$limitstart = ($pagination['currentpage'] - 1) * $pagination['currentperpage'];

	# Get the products
	$sql = "SELECT DISTINCT (p.id), p.*, IF(p.salesrank <> 0, p.salesrank, 100000) AS salesrank FROM products p, products_categories c
		WHERE p.id = c.product_id
		AND p.parent_id = 0
		AND c.category_id = ".$thiscategory['id']."
		AND hidden = 0
		AND enabled = 1
		{$stocksql}
		AND ".implode('AND ', $filtersql)."
		ORDER BY $orderby
		LIMIT $limitstart, ".$pagination['currentperpage'];
	$rs = $db->query($sql);
	$ra = $rs->getFullArray();

	# Redirect if no results and not on page 1
	if ($pagination['currentpage'] <> 1 && !$ra)
	{	
		$redirectto = buildListingLink('/'.PAGENAME.'/', $pagination['pages'], $pagination['currentsort'], 'relevance', $pagination['currentperpage']);
		redirect($redirectto);
	}

	$products = array();
	foreach ($ra as $product)
	{
		if ($product['parent'])
		{
			$product['optionsummary'] = getParentProductOptionSummary($product['id']);
			$product['price'] = $product['optionsummary']['minprice'];
		}
		else
		{
			$product['offer'] = getProductOffer($product['id']);
		}
		
		$product['variationcount'] = getProductVariationCount($product['id']);
		$product['manufacturer'] = getManufacturer($product['manufacturer_id']);
		$product['image'] = $db->get('productimages', $product['id'], 'product_id', 'sortorder');
		$product['reviewcount'] = $db->value('productreviews', 'COUNT(*)', $product['id'], 'product_id');
		$product['offer'] = getProductOffer($product['id']);
		$products[] = $product;
	}


	# Category Images	
	$rs = $db->query("SELECT * FROM categoryimages WHERE category_id = ".$thiscategory['id']);
	$categoryimages = $rs->getFullArray();

	$pagecontents = getFileContents(pickTemplateFile('category_products.php'));
	require(pickTemplateFile('layout_default.php'));

	# Create cache file
	createCacheFile($pagecontents, $cacheidentifier);