<?php

	$page = getPage(PAGENAME, 'pagename');
	$breadcrumb = getBreadcrumb($pagetype, $page);
	require('page.php');
	
	
	$editinplacename = 'homepage';
	$adminstripename = 'homepage';
	
	$page_title = $page['metatitle'];
	$page_description = $page['metadescription'];
	$page_keywords = $page['metakeywords'];

	# Caching
	$cacheidentifier = getCacheIdentifier(array(PAGENAME, $_GET));
	$pagecontents = getCacheFile($cacheidentifier);
	if ($pagecontents)
	{
		require(PATH_TEMPLATES.TEMPLATE_FOLDER.'/layout_default.php');
		exit();
	}
	
	# Stock SQL
	# $stocksql = (PRODUCT_OFFERS_WITHOUT == 1)? '' : 'AND p.offers > 0';
	# Always showing products that are in stock on the home page
	$stocksql = 'AND offers > 0';
	
	# Random Products
	$limit = getTemplateOption('HOME_RANDOM_QUANTITY');
	if ($limit === false) $limit = 3;
	if ($limit != 0)
	{
		$sql = "SELECT p.*, o.price + o.amountsaved as originalprice FROM products p, productoffers o
				WHERE p.id = o.product_id
				  AND enabled = 1
				  AND parent_id = 0
				  AND hidden = 0
				  {$stocksql}
				  AND salesrank <> 0
				  AND p.id IN (SELECT product_id FROM products_categories)
				  AND o.id IN (SELECT x.id FROM productoffers x WHERE x.product_id = p.id HAVING MIN(x.price))
				ORDER BY RAND() LIMIT $limit";
		$rs = $db->query($sql);
		$ra = $rs->getFullArray();
		$randomproducts = array();
		foreach ($ra as $product)
		{
			$randomproducts[$product['id']] = $product;
			$randomproducts[$product['id']]['image'] = $db->get('productimages',$product['id'], 'product_id', 'sortorder');
			$randomproducts[$product['id']]['offer'] = getProductOffer($product['id']);
		}
	}
	else
	{
		$randomproducts = array();
	}

	# Best Selling Products
	$limit = getTemplateOption('HOME_BESTSELLERS_QUANTITY');
	if ($limit === false) $limit = 3;
	if ($limit != 0)
	{
		$sql = "SELECT p.*, o.price + o.amountsaved as originalprice FROM products p, productoffers o
				WHERE p.id = o.product_id
				  AND enabled = 1
				  AND parent_id = 0
				  AND hidden = 0
				  {$stocksql}
				  AND salesrank <> 0
				  AND p.id IN (SELECT product_id FROM products_categories)
				  AND o.id IN (SELECT x.id FROM productoffers x WHERE x.product_id = p.id HAVING MIN(x.price))
				ORDER BY salesrank ASC LIMIT $limit";
		$rs = $db->query($sql);
		$ra = $rs->getFullArray();
		
		if (sizeof($ra) < $limit)
		{
			$nextlimit = $limit - sizeof($ra);
			# Get some more, i.e. variation products
			$sql = "SELECT p.*, o.price + o.amountsaved as originalprice FROM products p, productoffers o
				WHERE p.id = o.product_id
				  AND enabled = 1
				  AND hidden = 0
				  {$stocksql}
				  AND o.id IN (SELECT x.id FROM productoffers x WHERE x.product_id = p.id HAVING MIN(x.price))
				ORDER BY salesrank ASC LIMIT $nextlimit";
			$rs = $db->query($sql);
			$ra = array_merge($rs->getFullArray(), $ra);
		}
		
		$topproducts = array();
		foreach ($ra as $product)
		{
			$topproducts[$product['id']] = $product;
			$topproducts[$product['id']]['image'] = $db->get('productimages',$product['id'], 'product_id', 'sortorder');
			$topproducts[$product['id']]['offer'] = getProductOffer($product['id']);
		}
	}
	else
	{
		$topproducts = array();
	}
	
	# Reduced Products		
	$limit = getTemplateOption('HOME_SPECIALS_QUANTITY');
	if ($limit === false) $limit = 3;
	if ($limit != 0)
	{
		
		$sql = "SELECT	p.*, o.price + o.amountsaved as originalprice FROM products p, productoffers o
				WHERE	p.id		= o.product_id
				  AND	p.parent_id	= 0
				  AND	p.enabled	= 1
				  AND	p.hidden	= 0
				  {$stocksql}
				  AND	o.percentagesaved > 0
				  AND	o.price > 200
				  AND	p.id IN (SELECT product_id FROM products_categories)
				  AND	o.id IN (SELECT x.id FROM productoffers x WHERE x.product_id = p.id HAVING MIN(x.price))
				ORDER BY o.percentagesaved DESC, p.salesrank DESC LIMIT $limit";	
		
		$rs = $db->query($sql);
		$ra = $rs->getFullArray();
		
		if (count($ra) < $limit)
		{
			$nextlimit = $limit - sizeof($ra);
			# Get some more i.e. variation products
			$sql = "SELECT	p.*, o.price + o.amountsaved as originalprice FROM products p, productoffers o
				WHERE	p.id		= o.product_id
				  AND	p.enabled	= 1
				  AND	p.hidden	= 0
				  {$stocksql}
				  AND	o.percentagesaved > 0
				  AND	o.price > 100
				  AND	o.id IN (SELECT x.id FROM productoffers x WHERE x.product_id = p.id HAVING MIN(x.price))
				ORDER BY o.percentagesaved DESC, p.salesrank DESC LIMIT $nextlimit";	
		
			$rs = $db->query($sql);
			$ra = array_merge($rs->getFullArray(), $ra);
		}
		
		$reducedproducts = array();
		foreach ($ra as $product)
		{
			$reducedproducts[$product['id']] = $product;
			$reducedproducts[$product['id']]['image'] = $db->get('productimages',$product['id'], 'product_id', 'sortorder');
			$reducedproducts[$product['id']]['offer'] = getProductOffer($product['id']);
		}
	}
	else
	{
		$reducedproducts = array();
	}
	

	# Manufacturers
	$limit = getTemplateOption('HOME_LOGOS_QUANTITY');
	if ($limit === false) $limit = 5;
	if ($limit != 0)
	{
		$sql = "SELECT	m.*, COUNT(p.id) as productcount FROM manufacturers m, products p
				WHERE	m.id = p.manufacturer_id
				  AND	m.merge_manufacturer_id = 0
				  AND	p.parent_id	= 0
				  AND	p.enabled	= 1
				  AND	p.hidden	= 0
				  {$stocksql}
				  AND	m.display_homepage	= 1
				  AND	m.id IN (SELECT manufacturer_id FROM manufacturerimages)
				GROUP BY m.id HAVING COUNT(p.id) > 0 ORDER BY COUNT(p.id) DESC LIMIT $limit";
		$rs = $db->query($sql);
		$manufacturers = $rs->getFullArray();
	
		foreach ($manufacturers as $key => $item)
		{
			$manufacturers[$key]['logo'] = $db->get('manufacturerimages', $item['id'], 'manufacturer_id');
		}
	}
	else
	{
		$manufacturers = array();
	}
	

	
	# Homepage Banners
	$homepagebanners[0]['image'] = $db->get('categoryimages', 25, 'category_id');
	$homepagebanners[0]['link'] = $db->value('categories', 'pagename' , 25);
	$homepagebanners[0]['count'] = getCategoryProductCount(25, false);
	$homepagebanners[1]['image'] = $db->get('categoryimages', 18, 'category_id');
	$homepagebanners[1]['link'] = $db->value('categories', 'pagename' , 18);
	$homepagebanners[1]['count'] = getCategoryProductCount(18, false);
	$homepagebanners[2]['image'] = $db->get('categoryimages', 23, 'category_id');
	$homepagebanners[2]['link'] = $db->value('categories', 'pagename' , 23);
	$homepagebanners[2]['count'] = getCategoryProductCount(23, false);
	
	# Stop checkout button showing here on the homepage
	$showcheckoutbutton = false;
	
	$pagecontents = getFileContents(PATH_TEMPLATES.TEMPLATE_FOLDER.'/homepage.php');
	require(PATH_TEMPLATES.TEMPLATE_FOLDER.'/layout_default.php');
	
	# Create cache file
	createCacheFile($pagecontents, $cacheidentifier);