<?php
	$manufacturer = $db->get('manufacturers', PAGENAME, 'pagename');
	if (!$manufacturer || !($manufacturer['display_sidebar'] || $manufacturer['display_allmanufacturers'] || $manufacturer['display_product'] || $manufacturer['display_filter'] || $manufacturer['display_homepage'])) redirect(URL_SITE);
	$breadcrumb = getBreadcrumb($pagetype, array('linktitle' => $manufacturer['linktitle']));
	
	$page_title = $manufacturer['metatitle'];
	$page_description = $manufacturer['metadescription'];
	$page_keywords = $manufacturer['metakeywords'];
	
	# Current pagination options
	$pagination = getPaginationCurrentOptions();

	# Edit in place
	$editinplacename = 'manufacturer';
	
	# No index depending on options chosen
	if ($pagination['currentsort'] != 'bestselling' || $pagination['currentperpage'] != $defaultperpage || !empty($_SESSION['productfilters']))
	{
		$metanoindex = true;
	}
	
	# Caching
	$cacheidentifier = getCacheIdentifier(array(PAGENAME, $_GET, isset($_SESSION['productfilters']) ? $_SESSION['productfilters'] : ''));
	$pagecontents = getCacheFile($cacheidentifier);
	if ($pagecontents)
	{
		require(pickTemplateFile('layout_default.php'));
		exit();
	}

	# Filter details
	$filtersql = getProductFilterSQL();
	$currentproductfilters = getSessionProductFilters();
	$sidebarfilters = getFilterOptions(true);
	$stocksql = (PRODUCT_OFFERS_WITHOUT == 1)? '' : 'AND offers > 0';
	
	# Count results for pagination
	$rs = $db->query("SELECT COUNT(*) FROM products p
		WHERE manufacturer_id = ".$manufacturer['id']."
		AND parent_id = 0
		AND hidden = 0
		AND enabled = 1
		{$stocksql}
		AND ".implode('AND ', $filtersql));
	$pagination['quantity'] = $rs->getSingleResult();
	$pagination['pages'] = ceil($pagination['quantity']/$pagination['currentperpage']);
	$pagination['baselink'] = URL_SITE.PAGENAME.'/';
		
	# Sort options
	$pagination['sortoptions'] = getPaginationSortOptions('products');
	
	# Sort Order
	$orderby = $pagination['sortoptions'][$pagination['currentsort']]['sql'];
	
	# Limit
	$limitstart = ($pagination['currentpage'] - 1) * $pagination['currentperpage'];
	
	# Get the available products for this manufacturer
	$sql = "SELECT * FROM products p
			WHERE	manufacturer_id = ".$manufacturer['id']."
			  AND	parent_id = 0
			  AND	hidden = 0
			  AND	enabled = 1
			  {$stocksql}
			  AND 	".implode('AND ', $filtersql)." 
			ORDER BY $orderby LIMIT $limitstart, ".$pagination['currentperpage'];
	$rs = $db->query($sql);
	$ra = $rs->getFullArray();
	
	#Redirect if no results and not on page 1
	if ($pagination['currentpage'] <> 1 && !$ra)
	{	
		$redirectto = buildListingLink(URL_SITE.PAGENAME.'/', ($pagination['pages'] == 0 ? 1 : $pagination['pages']), $pagination['currentsort'], 'relevance', $pagination['currentperpage']);
		redirect($redirectto);
	}
	
	$products = array();
	$includesParents = false;
	foreach ($ra as $product)
	{
		$products[$product['id']] = $product;
	
		if ($product['parent'])
		{
			$products[$product['id']]['optionsummary'] = getParentProductOptionSummary($product['id']);
			$products[$product['id']]['price'] = $products[$product['id']]['optionsummary']['minprice'];
		}
		else
		{
			$products[$product['id']]['offer'] = getProductOffer($product['id']);
		}

		$products[$product['id']]['variationcount']	= getProductVariationCount($product['id']);
		$products[$product['id']]['image']			= $db->get('productimages', $product['id'], 'product_id', 'sortorder');
		$products[$product['id']]['reviewcount'] = $db->value('productreviews', 'COUNT(*)', $product['id'], 'product_id');
		$products[$product['id']]['offer'] = getProductOffer($product['id']);
	}

	# Get manufacturer images
	$manufacturerimage = $db->get('manufacturerimages', $manufacturer['id'], 'manufacturer_id');

	# Is there a custom logo caption?
	if ($manufacturer['logocaption'] != '') $logocaption = $manufacturer['logocaption'];

	$editinplacevariables = array("manufacturer" => $manufacturer);

	$pagecontents = getFileContents(pickTemplateFile('manufacturer.php'));
	require(pickTemplateFile('layout_default.php'));
	
	# Create cache file
	createCacheFile($pagecontents, $cacheidentifier);