<?php
	# Main Product
	$product = $db->get('products', PAGENAME, 'pagename');
	if (!$product) redirect(URL_SITE);
	$product_id = $product['id'];
	
	
	
	# Does it need redirecting to the parent?
	if ($product['parent_id'] != 0)
	{
		$newproduct = $db->get('products', $product['parent_id']);
		redirect(URL_SITE.$newproduct['pagename'].'/');
	}
	
	# Update View Count
	if (!ADMIN_LOGGED_IN)
	{
		$db->query('UPDATE products SET viewcount = viewcount + 1 WHERE id = ' . $product_id);
	}
	
	# Update the product if required
	updateProductOffers($product);
	updateProductMain($product);
	updateProductAttributes($product);
	updateProductImages($product);
	updateProductReviews($product);
	if ($product['feedurl']) updateProductFeed($product);
	if ($product['parent']) checkUpdateProductVariations($product);
	
	
	# Product Images
	$images = $db->getAll('productimages', $product['id'], 'product_id', 'sortorder');
	$mainimage = $images[0]; unset($images[0]);
	
	# Product Feed
	$product['feed'] = getProductFeed($product_id);
	
	# Additional images if parent
	if ($product['parent'])
	{
		$temp = $db->query("SELECT * FROM productimages WHERE product_id IN (SELECT id FROM products WHERE parent_id = $product_id) ORDER BY sortorder ASC")->getFullArray();
		$images = array_merge($images, $temp);
	}
	
	
	#�Product amazon content
	$amazoncontent = $db->get('productamazoncontent', $product['id'], 'product_id');
	
	#�Related products?
	$relatedlimit = getTemplateOption('PRODUCTDETAIL_RELATED_PRODUCTS');
	if ($relatedlimit !== false)
	{
		$keywords = createKeywordString(array($product['title']), 1);
		$keywords = explode(',', $keywords);
		
		$relatedproducts = array();
		$limitleft = $relatedlimit;
		foreach ($keywords as $keyword)
		{
			$temp = $db->query("SELECT * FROM products WHERE title LIKE '%$keyword%' AND id <> $product_id AND enabled = 1 AND hidden = 0 AND offers > 0 AND parent_id = 0 LIMIT $limitleft")->getFullArray();
			
			foreach ($temp as $key => $item)
			{
				if ($item['parent'])
				{
					$item['optionsummary'] = getParentProductOptionSummary($item['id']);
					$item['price'] = $item['optionsummary']['minprice'];
				}
				$item['offer'] = getProductOffer($item['id']);
				$relatedproducts[$item['id']] = $item;
			}
			
			$limitleft = $relatedlimit - sizeof($relatedproducts);
			if ($limitleft < 1) break;
		}
	}
	
	
	if (isset($_GET['var1']) && $_GET['var1'] == 'reviews')
	{
		#$reviews = getProductReviews($product_id);
		#if (!$reviews) redirect(URL_SITE.$product['pagename'].'/');
		
		# Update the reviews
		$updated = updateProductReviews($product);
		
		if ($updated)
		{
			$product = $db->get('products', PAGENAME, 'pagename');
		}
		
		if ($product['reviewiframelink'] == '') redirect(URL_SITE.$product['pagename'].'/');
		
		if (!$product['parent']) $offer = getProductOffer($product['id']);
		
		# Build Breadcrumb
		$breadcrumb = getBreadcrumb('productreviews', $product);
		
		# Meta info
		$page_title = 'Reviews of '.$product['title'];
		$page_description = 'Customer reviews and ratings for '.$product['title'].' at '.SITE_NAME.'.';
		$page_keywords = $product['metakeywords'];
		
		# No index as there is no unique content
		$metanoindex = true;
		
		$pagecontents = getFileContents(pickTemplateFile('product_reviews.php'));
		
	}
	else
	{
		# Manufacturer
		$manufacturer = $db->get('manufacturers', $product['manufacturer_id']);
		$manufacturerimage = $db->get('manufacturerimages', $manufacturer['id'], 'manufacturer_id');
			
		# Product Attributes
		$attributes = getProductAttributes($product['id']);
		
		
		# Determine Template & Other info Based on Parent (does it have options?)
		if ($product['parent'] == 1)
		{
			$options = getParentProductOptions($product['id']);
			$optionsummary = getParentProductOptionSummary($product['id']);
			
			if (sizeof($optionssummary['options']) > 3 && true == false) # Disabled for now
			{			
				$optionsdisplaytype = 'table';
			}
			else
			{
				$optionsdisplaytype = 'form';
			}
			
			$firstoptionvalues = getProductOptionValues($product['id'], $optionsummary['options'][0]['name']);
			$pagecontents = getFileContents(pickTemplateFile('product_parent.php'));
			$includescripts[] = URL_SITE.'templates/'.TEMPLATE_FOLDER.'/scripts/productoptions.js';
		}
		else
		{
			$offer = getProductOffer($product['id']);
			$pagecontents = getFileContents(pickTemplateFile('product.php'));
			
		}
		
		# Build Breadcrumb
		$breadcrumb = getBreadcrumb($pagetype, $product);
		
		# Meta info
		$page_title = $product['metatitle'];
		$page_description = $product['metadescription'];
		$page_keywords = $product['metakeywords'];
	}
	
	$editinplacevariables = array("page" => $page, "breadcrumb" => $breadcrumb);		
	require(pickTemplateFile('layout_default.php'));