<?php
	
	# Get category
	$category_id = $_GET['var1'];
	$category = getCategory($category_id);
	if (!$category) redirect(URL_SITE.'freshadmin/category/list/');
	
	# Get autopopulate, if exists
	$autopopulate_id = $_GET['var2'];
	if($autopopulate_id)
	{
		$autopopulate = getAutoPopulate($autopopulate_id);
		if($autopopulate)
		{
			# This is the lazy way to display it
			$category = array_merge($category, $autopopulate);
		}
	}
	
	if ($_POST)
	{
	
		# Get the details to update
		$update = $_POST;
		$update['searchindex'] = $update['populationtype'] == 'browsenode' ? $update['browsenodesearchindex'] : $update['searchtermsearchindex'];
		unset($update['browsenodesearchindex']);
		unset($update['searchtermsearchindex']);
		$update['lastpopulated'] = 0;
		$update['lastpopulatedpage'] = 0;
		$update['filterdescription'] = $update['filterdescription'] == 'on' ? 1 : 0;
		
		# Sort out the format of the keywords
		$update['requiredkeywords'] = str_replace("\n", ',', $update['requiredkeywords']);
		$update['filteredkeywords'] = str_replace("\n", ',', $update['filteredkeywords']);
	
		# Get rid of those line breaks
		$update['requiredkeywords'] = str_replace(array("\r", "\r\n", "\n"), '', $update['requiredkeywords']);
		$update['filteredkeywords'] = str_replace(array("\r", "\r\n", "\n"), '', $update['filteredkeywords']);
		
		
		$valid = true;
		
		if ($update['populationtype'] == 'search')
		{
			if ($update['searchterm'] == '')
			{
				setMessage('error', 'Please enter a search term.');
				$valid = false;
			}
		}
		else if ($update['populationtype'] == 'browsenode')
		{
			if ($update['browsenode'] == '')
			{
				setMessage('error', 'Please enter a browse node.');
				$valid = false;
			}
			
			if ($update['searchindex'] == '')
			{
				setMessage('error', 'Please choose a search index.');
				$valid = false;
			}

			if ($valid && !$amazon->testBrowseNode($update['browsenode']))
			{
				setMessage('error', 'The browse node '.$update['browsenode'].' does not appear to be valid.');
				$valid = false;
			}
		}
		
		if($autopopulate)
		{
			$db->update('categories_autopopulate', $autopopulate_id, $update);
		}
		else
		{
			$update['category_id'] = $category_id;
			$db->insert('categories_autopopulate', $update);
		}
		
		if ($valid)
		{
			if ($update['populationtype'] == 'cancel')
			{
				setMessage('success', 'Category "'.$category['title'].'": Auto Population Cancelled');
			}
			else
			{
				setMessage('success', 'Category "'.$category['title'].'": Auto Population Started');
			}
			
			redirect(URL_SITE.'freshadmin/category/listpopulate/'.$category_id);
		}
		else
		{
			setMessage('warning', 'Your auto populate settings have been saved but there are errors');
			redirect(URL_SITE.'freshadmin/category/populate/'.$category_id.'/'.$autopopulate_id.'/');
		}
	}
	
	$searchindexes = getSearchIndexList(array('Blended', 'All'));
	$searchindexessearch = getSearchIndexList();
	
	$navactive = 'categories';

	$template_filename = PATH_CONTROLPANEL_TEMPLATES.'/category/populate.php';
	require(PATH_CONTROLPANEL_TEMPLATES.'/layout_default.php');
?>
