<?php
	
	
	$selectedproducts = array();
	if ($_POST)
	{
		$formaction = $_POST['formaction'];
		
		if ($formaction == 'filters')
		{		
			unset($_POST['formaction']);
			$_SESSION['productallfilters'] = array();
			$_SESSION['productallfilters'] = $_POST;
			setMessage('success', 'Product filters set');
		}
		else if ($formaction == 'products')
		{
	
			$action = strtolower($_POST['action']);
			
			if (isset($_POST['selected']))
			{
				foreach ($_POST['selected'] as $product_id => $trash)
				{
					$selectedproducts[$product_id] = $product_id;
				}
			} 
			
			if (sizeof($selectedproducts) == 0)
			{
				setMessage('error', 'No products selected');
			}
			else if ($_POST['category_id'] != '')
			{
				# Move products to a category
				$category_id = $_POST['category_id'];
				addProductsToCategory($selectedproducts, $category_id);
				setMessage('success', 'Product(s) added to category');
				$selectedproducts = array();
			}
			else if ($action == 'disable')
			{
				disableProducts($selectedproducts);
				setMessage('success', 'Product(s) successfully disabled');
				$selectedproducts = array();
			}
			else if ($action == 'delete')
			{
				deleteProducts($selectedproducts);			
				setMessage('success', 'Product(s) successfully deleted');
				$selectedproducts = array();
			}
			else if ($action == 'enable')
			{
				enableProducts($selectedproducts);			
				setMessage('success', 'Product(s) successfully enabled');
				$selectedproducts = array();
			}
			else if ($action == 'hide')
			{
				hideProducts($selectedproducts);			
				setMessage('success', 'Product(s) successfully hidden');
				$selectedproducts = array();
			}
			else if ($action == 'unlock')
			{
				unlockProducts($selectedproducts);			
				setMessage('success', 'Product(s) successfully unlocked');
				$selectedproducts = array();
			}
			else if ($action == 'lock')
			{
				lockProducts($selectedproducts);			
				setMessage('success', 'Product(s) successfully locked');
				$selectedproducts = array();
			}
			else if ($action == 'removecategory')
			{
				$db->query("DELETE FROM products_categories WHERE product_id IN (".implode(',', $selectedproducts).")");
				setMessage('success', 'Product(s) removed from categories');
				$selectedproducts = array();
			}
			else if ($action == 'removethiscategory')
			{
				$category_id = (is_numeric($filters['category_id']))? $filters['category_id'] : 0;
				$db->query("DELETE FROM products_categories WHERE product_id IN (".implode(',', $selectedproducts).") AND category_id = $category_id");
				setMessage('success', 'Product(s) removed from this category');
				$selectedproducts = array();
			}
		}
	}
	
	$baselink = URL_CONTROLPANEL."product/viewall/";
	$countsql = "SELECT COUNT(*) FROM products p";
	$getsql = "SELECT * FROM products";
	$where = array();
	
	
	# Product Filters?
	if (isset($_SESSION['productallfilters']))
	{
		$filters = $_SESSION['productallfilters'];
		
		if (trim($filters['textsearch']) !== '')
		{
			if (isset($filters['textsearchdescription']))
			{
				$where[] = "(title LIKE '%".mysql_escape_string($filters['textsearch'])."%' OR description LIKE '%".mysql_escape_string($filters['textsearch'])."%')";
			}
			else
			{
				$where[] = "title LIKE '%".mysql_escape_string($filters['textsearch'])."%'";
			}
		}
		
		if ($filters['category_id'] != '0')
		{
			$where[] = "id IN (select product_id FROM products_categories WHERE category_id = ".$filters['category_id'].')';
		}
		
		
		if (trim($filters['minprice']) !== '')
		{
			$where[] = "price >= '".str_replace('.','',$filters['minprice'])."'";
		}
		
		if (trim($filters['maxprice']) !== '')
		{
			$where[] = "price <= '".str_replace('.','',$filters['maxprice'])."'";
		}
		
		if (trim($filters['minsalesrank']) !== '')
		{
			$where[] = "salesrank >= '".str_replace('.','',$filters['minsalesrank'])."'";
		}
		
		if (trim($filters['maxsalesrank']) !== '')
		{
			$where[] = "salesrank <= '".str_replace('.','',$filters['maxsalesrank'])."'";
		}
		
		if ($filters['enabled'] !== 'any')
		{
			if ($filters['enabled'] == 'yes')
				$where[] = "enabled = 1";
			else if ($filters['enabled'] == 'no')
				$where[] = "enabled = 0";
		}
		
		if ($filters['expired'] !== 'any')
		{
			if ($filters['expired'] == 'yes')
				$where[] = "expired = 1";
			else if ($filters['expired'] == 'no')
				$where[] = "expired = 0";
		}
		
		if ($filters['hidden'] !== 'any')
		{
			if ($filters['hidden'] == 'yes')
				$where[] = "hidden = 1";
			else if ($filters['hidden'] == 'no')
				$where[] = "hidden = 0";
		}
		
		if ($filters['asin'] !== '')
		{
			$where[] = "asin = '{$filters['asin']}'";
		}
		
	}
	else
	{
		$filters = array();
	}
	
	# Hides product variants
	$where[] = "parent_id = 0";
	
	if (!empty($where))
	{
		$where = ' WHERE '.implode(' AND ', $where);
		$countsql .= $where;
		$getsql .= $where;
	}
	
	# Current pagination options
	$pagination = getPaginationCurrentOptions();
	$rs = $db->query($countsql);
	$pagination['quantity'] = $rs->getSingleResult();
	$pagination['pages'] = ceil($pagination['quantity']/$pagination['currentperpage']);
	$pagination['baselink'] = URL_SITE.PAGENAME.'/';
	
	# Sort options
	$pagination['sortoptions'] = getPaginationSortOptions('products');

	# Sort Order
	$orderby = $pagination['sortoptions'][$pagination['currentsort']]['sql'];

	# Limit
	$limitstart = ($pagination['currentpage'] - 1) * $pagination['currentperpage'];
	
	# Get the products
	$getsql .= " ORDER BY {$orderby} LIMIT {$limitstart}, {$pagination['currentperpage']}";
	$rs = $db->query($getsql);
	$productlist = $rs->getFullArray();
	
	foreach ($productlist as $key => $item)
	{
		$productlist[$key]['manufacturer'] = $db->get('manufacturers', $item['manufacturer_id']);
		
		if ($item['parent'] == 1)
		{
			$productlist[$key]['optionsummary'] = getParentProductOptionSummary($item['id']);
			$productlist[$key]['price'] = $productlist[$key]['optionsummary']['minprice'];
		}
	}
	
	
	# Filter Option Stuff
	$categorytree = getCategoryChildren();
	
	
		
	$navactive = 'products';

	$template_filename = PATH_CONTROLPANEL_TEMPLATES.'/product/viewall.php';
	require(PATH_CONTROLPANEL_TEMPLATES.'/layout_default.php');
?>
