

			
<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Your Store</h2>
		
		<ul class="tabs">
			<li><a href="#chart">Chart</a></li>
			<li><a href="#stats">Stats</a></li>
			<li><a href="#views">Views</a></li>
			<li><a href="#messages">Messages</a></li>
		</ul>
	</div>
	
	<div class="block_content tab_content" id="chart">
		<h2 style="text-align:center;">Checkouts and Clicks in <?=date("F")?></h2>

		<div id="chart-checkouts"></div>
		
		<p style="float:left;width:60%;"><strong>Legend</strong><br /><span class="checkouts_demo"> </span> Checkouts to Amazon<br /><span class="clicks_demo"> </span> Clicks to Amazon</p>
		<p style="float:right;width:40%;text-align:right;padding-top:44px;">View <a href="<?= URL_SITE ?>freshadmin/report/checkouts/">Full Checkouts Report</a>.</p>

		<script type="text/javascript">
			google.load("visualization", "1", {packages:["corechart"]});
      		google.setOnLoadCallback(drawChart);
      		function drawChart() {
      			var table = new google.visualization.DataTable();
        		table.addColumn('string', 'Day');
        		table.addColumn('number', 'Checkouts');
        		table.addColumn({type:'string', role:'tooltip'});
        		table.addColumn('number', 'Amazon Clicks');
        		table.addColumn({type:'string', role:'tooltip'});

				var maximum = 10;
				$.ajax({
					url: window.siteurl+'freshadmin/report/chartcheckouts/',
					success: function(data)
					{
						data = $.parseJSON(data);
						$.each(data, function(key, value)
						{
							checkouts = parseInt(value[0]);
							checkouts_label = '<?= date("F") ?> '+key+'\u000D\u000ACheckouts: '+checkouts;
							clicks = parseInt(value[1]);
							clicks_label = '<?= date("F") ?> '+key+'\u000D\u000AAmazon Clicks: '+clicks;
							if(clicks == checkouts) clicks_label += '\u000D\u000ACheckouts: '+checkouts;
							table.addRow(
								[key, checkouts, checkouts_label, clicks, clicks_label]
							);
							if(checkouts > maximum) maximum = checkouts;
							if(clicks > maximum) maximum = clicks;
						});
						
						if(maximum == 2) gridCount = 3;
						else
						{
							gridCount = 5;
							maximum = 4 * Math.ceil(maximum / 4);
						}
						
						var options = {
							width: '100%', height: 250,
							chartArea: {
								left: 25,
								top: 15,
								width: '95%',
								height: '85%'
							},
							legend: {
								position: 'none'
							},
							vAxis: {
								format: "#,###",
								maxValue: maximum,
								gridlines: {
									count: gridCount
								}
							},
							hAxis: {
								format: "#",
								textStyle: {
									fontSize: 10
								}
							},
							colors: ['#499510', '#E5E181']
						};

						var chart = new google.visualization.AreaChart(document.getElementById("chart-checkouts"));
						chart.draw(table, options);
					}
				});
			}
			$(window).resize(function()
			{
				drawChart();
			});
		</script>
		
	</div>
	
	<div class="block_content tab_content" id="stats">
	
		<div class="blocksplit-left">
	
		<h3>Checkout Stats</h3>
		
		<ul>
			<li>Today: <?= $checkoutstoday ?></li>
			<li>Yesterday: <?= $checkoutsyesterday ?></li>
			<li>This Month: <?= $checkoutsthismonth ?></li>
			<li>Last Month: <?= $checkoutslastmonth ?></li>
			<li>Amazon Clicks Today: <?= $amazonbuyclicks ?></li>
			<li>View the <a href="<?= URL_SITE ?>freshadmin/report/checkouts/">Checkouts Report</a></li>
		</ul>
		</div>
		
		<div class="blocksplit-right">
		
		<h3>Product Stats</h3>

		<ul>
			<li><a href="<?= URL_SITE ?>freshadmin/category/list/"><?= $activeproducts ?> Active Products</a></li>
			<li><?= $disabledproducts ?> Disabled Products</li>
			<li><a href="<?= URL_SITE ?>freshadmin/product/offerlesslist/"><?= $noofferproducts ?> Products Without Offer</a></li>
			<li><a href="<?= URL_SITE ?>freshadmin/product/hiddenlist/"><?= $hiddenproducts ?> Hidden Products</a></li>
			<li><?= $expiredproducts ?> Expired Products</li>
			<li><a href="<?= URL_SITE ?>freshadmin/product/nocategorylist/"><?= $orphanproducts ?> Orphan Products</a></li>
		</ul>
		</div>
		
	</div>

	<div class="block_content tab_content" id="views">

		<h3>Most Viewed Products</h3>
		<ul>
		<?php
			foreach ($mostviewedproducts as $product)
			{
				?>
					<li><?= $product['viewcount'] ?> - <a href="product/edit/<?= $product['id'] ?>/"><?= substr($product['linktitle'], 0, 75) ?></a></li>
				<?php
			}
		?>
		</ul>
		
	</div>
	
	<div class="block_content tab_content" id="messages">
		
		<h3><a href="<?= URL_SITE ?>freshadmin/message/list/">Messages</a></b> (<?= $totalmessages ?>)</h3>
		
		<ul>
		<?php
			if (sizeof($systemmessages) > 0)
			{
				foreach ($systemmessages as $systemmessage)
				{
					?>
					<li><strong><?= date('d/m/Y H:i:s',strtotime($systemmessage['created'])) ?></strong> - <?= $systemmessage['title'] ?></li>
					<?php
				}
			}
		?>
		</ul>
	
	</div>
	
	
	<div class="bendl"></div>
	<div class="bendr"></div>
</div>			
			
			
