<?php if($_POST): ?>
<div class="block">
	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Multiple Product Addition Results</h2>
	</div>
	
	<div class="block_content">

	<table cellpadding="0" cellspacing="0" width="100%">

		<tr>
			<th>Image</th>
			<th>Product Name</th>
			<th>Price</th>
			<th>Manufacturer</th>
			<th class="center">SalesRank</th>
			<th class="right">Options</th>
		</tr>



		<?php
			if (sizeof($products) == 0)
			{
				?>
				<tr>
					<td colspan="6">
						No products added.
					</td>
				</td>
				<?php
			}
			else
			{
				foreach ($products as $product)
				{
					?>
						<tr id="row_<?= $product['asin'] ?>" class="<?= ($product['exists'] ? 'faded' : '') ?>">
				
							<td>
								<img class="main" src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $product['image']['id'] ?>_50.jpg" alt="product" />
							</td>
							<td>
								<a href="<?= URL_SITE ?>freshadmin/product/edit/<?= $product['id'] ?>/" title="Edit: <?= $product['linktitle'] ?>">
								<?= substr($product['title'], 0, 60) ?>
								</a>
							</td>
							<td>
								<?= formatProductPrice($product['price']) ?>
							</td>
							<td>
								<?php
									if (isset($product['manufacturer']['name']))
									{
										?>
											<a href="<?= URL_SITE ?>freshadmin/product/bymanufacturerlist/<?= $product['manufacturer']['id'] ?>/" title="<?= $product['manufacturer']['name'] ?>">
										<?= (strlen($product['manufacturer']['name']) > 20 ? substr($product['manufacturer']['name'],0,20).'...' : $product['manufacturer']['name']) ?>
										</a>
										<?php
									}
									else
									{
										echo '<em>unknown</em>';
									}
								?>
							</td>
							<td>
								<?= $product['salesrank'] ?>
							</td>
							<td class="options">
								<a href="<?= URL_SITE.$product['pagename'].'/' ?>">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_view.png" alt="View on <?= SITE_NAME ?>" title="View on <?= SITE_NAME ?>" />
								</a>
								<a href="<?= $product['url'] ?>">
									<img src="<?= URL_SITE ?>freshadmin/icons/amazon_<?= strtolower(AMAZON_LOCALE) ?>.png" alt="View on Amazon" title="View on Amazon" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/product/edit/<?= $product['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Edit" title="Edit" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/product/removefromcategory/<?= $product['id'] ?>/<?= $category_id ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_removefromcategory.png" alt="Remove from Category" title="Remove from Category" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/product/changestatus/<?= $product['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_<?= ($product['enabled'] ? 'enabled' : 'disabled') ?>.png" alt="<?= ($product['enabled'] ? 'Product Enabled - Click to Disable' : 'Product Disabled - Click to Enable') ?>" title="<?= ($product['enabled'] ? 'Product Enabled - Click to Disable' : 'Product Disabled - Click to Enable') ?>" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/product/hide/<?= $product['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_hide.png" alt="Hide" title="Hide" onclick="return confirm('Are you sure you wish to hide this product? Hiding a product will make sure it does not appear anywhere on the site.');" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/product/delete/<?= $product['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_delete.png" alt="Delete" title="Delete" onclick="return confirm('Are you sure you wish to delete this product? This cannot be undone and you will lose any custom created content.');" />
								</a>
							</td>			
					
						</tr>
					<?php
				}
			}
		?>



		</table>



		<div class="tableactions">
			<p class="itemcount"><?= sizeof($products) ?> product(s) imported</p>
		</div>



		<div class="paggination right">
	
			<p><a href="<?= URL_SITE ?>freshadmin/product/addmultiple/">Add More Products</a>
	
		</div>



		</form>

	</div>
</div>
	
<?php else: ?>

<form action="<?= URL_CONTROLPANEL ?>product/addmultiple/" method="post">


<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Add Products</h2>
		
		<ul>
			<li>
				<label for="form-category">Choose Category: </label>
				<select name="category_id" id="form-category" size="1">
					<?= generateCategoryFormOptions($categorytree, $category_id) ?>
				</select>
			</li>
		</ul>
	</div>
	
	<div class="block_content">
		
		<p>
			<label for="product-asin" class="required">Product Asins:</label>
			<span class="note">Separated by commas or newlines</span><br />
			<textarea id="product-asin" type="text" name="asin"></textarea>
		</p>
		
		<p>
			<input type="submit" class="submit long" value="Save" />
		</p>

	
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>


<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>About Adding a Multiple Products</h2>
	</div>
	
	<div class="block_content" style="height: 200px;">
	
		<p>This page is for adding multiple product using the products' ASIN (Amazon Standard Identification Number). You can also <a href="<?= URL_SITE ?>freshadmin/product/finder/">add products by browsing</a> and you can <a href="<?= URL_SITE ?>freshadmin/category/list/">set your categories to auto populate</a>.</p>
		
		<h3>Tips</h3>
		<ul>
			<li>You can find the product ASIN on the Amazon product page or in the URL</li>
			<li>An example of an ASIN is B0015T963C</li>
			<li>After you have added the products, you will see a list of products added</li>
			<li>ASINs should be separated by commas or newlines</li>
			<li>Adding a large amount of products can take a while, so it may be best to split requests into smaller groups</li>
		</ul>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>

</form>
<?php endif; ?>
