<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Filter Products</h2>
		
		<ul class="tabs">
			<li><a href="#filter-summary">Hide</a></li>
			<li><a href="#filter-options">Show</a></li>
		</ul>
		
	</div>

	<div class="block_content tab_content" id="filter-summary">
		<p>Filter options allow you to narrow down the products shown below. You can then perform actions on the products such as delete, hide, move category and more. Click "Show" in the top right of this box to view and set filter options.</p>
		
		<?php
			if (!empty($filters))
			{
				?>
				<p>You currently have filters set. <a href="<?= URL_SITE ?>freshadmin/product/resetviewallfilters/">Click here to remove the filters</a></p>
				<?php
			}
		?>
		
	</div>

	<div class="block_content tab_content" id="filter-options">
	
	<form action="<?= URL_SITE ?>freshadmin/product/viewall/" method="post">
		<input type="hidden" name="formaction" value="filters" />
	
		<div class="formfields-left">
		
		<p>
			<label for="filter-textsearch" class="optional">Product Name</label><br />
			<input class="text" id="filter-textsearch" type="text" name="textsearch" value="<?= isset($filters['textsearch']) ? $filters['textsearch'] : '' ?>" /><br />
			<span class="note">Use to filter products by searching the title.</span><br />
			<label for="filter-textsearchdescription">Search in Product Description also?</label> <input type="checkbox" name="textsearchdescription" id="filter-textsearchdescription"<?= isset($filters['textsearchdescription']) ? ' checked' : '' ?> />
		</p>
	
		
	
		<p>
			<label for="filter-minprice" class="optional">Minimum Price</label><br />
			<input class="text" id="filter-minprice" type="text" name="minprice" value="<?= isset($filters['minprice']) ? $filters['minprice'] : '' ?>" /><br />
			<span class="note">Enter a number only (e.g. 15.75)</span>
		</p>
		
		<p>
			<label for="filter-maxprice" class="optional">Maximum Price</label><br />
			<input class="text" id="filter-maxprice" type="text" name="maxprice" value="<?= isset($filters['maxprice']) ? $filters['maxprice'] : '' ?>" /><br />
			<span class="note">Enter a number only (e.g. 120.50)</span>
		</p>
		
		<p>
			<label for="filter-minsalesrank" class="optional">Minimum Salesrank</label><br />
			<input class="text" id="filter-minsalesrank" type="text" name="minsalesrank" value="<?= isset($filters['minsalesrank']) ? $filters['minsalesrank'] : '' ?>" /><br />
			<span class="note">Enter a whole number only</span>
		</p>
	
		<p>
			<label for="filter-maxsalesrank" class="optional">Maximum Salesrank</label><br />
			<input class="text" id="filter-maxsalesrank" type="text" name="maxsalesrank" value="<?= isset($filters['maxsalesrank']) ? $filters['maxsalesrank'] : '' ?>" /><br />
			<span class="note">Enter a whole number only</span>
		</p>
		
		<p>
			<label for="product-asin" class="optional">Product ASIN</label><br />
			<input class="text" id="product-asin" type="text" name="asin" value="<?= isset($filters['asin']) ? $filters['asin'] : '' ?>" /><br />
		</p>
		
		</div>
		
		<div class="formfields-right">
		
		<p>
			<label for="filter-categories" class="optional">Category:</label><br />
			<select name="category_id" id="filter-categories" class="styled medium">
				<option value="0">All</option>
				<?= generateCategoryFormOptions($categorytree, (isset($filters['category_id']) ? $filters['category_id'] : false), 0, false) ?>
			</select>
			<span class="note">Limit to one category</span>
		</p>
		
		<p>
			<label for="filter-enabled" class="optional">Product Enabled?</label>
			<select id="filter-enabled" name="enabled" class="styled medium">
				<option value="any">Any</option>
				<option value="no"<?= isset($filters['enabled']) && $filters['enabled'] == 'no' ? ' selected' : '' ?>>No</option>
				<option value="yes"<?= isset($filters['enabled']) && $filters['enabled'] == 'yes' ? ' selected' : '' ?>>Yes</option>
			</select>
		</p>
		
		<p>
			<label for="filter-expired" class="optional">Product Expired?</label>
			<select id="filter-expired" name="expired" class="styled medium">
				<option value="any">Any</option>
				<option value="no"<?= isset($filters['expired']) && $filters['expired'] == 'no' ? ' selected' : '' ?>>No</option>
				<option value="yes"<?= isset($filters['expired']) && $filters['expired'] == 'yes' ? ' selected' : '' ?>>Yes</option>
			</select>
		</p>
		
		<p>
			<label for="filter-hidden" class="optional">Product Hidden?</label>
			<select id="filter-hidden" name="hidden" class="styled medium">
				<option value="any">Any</option>
				<option value="no"<?= isset($filters['hidden']) && $filters['hidden'] == 'no' ? ' selected' : '' ?>>No</option>
				<option value="yes"<?= isset($filters['hidden']) && $filters['hidden'] == 'yes' ? ' selected' : '' ?>>Yes</option>
			</select>
		</p>
		
		
		
		</div>
		
		<br class="clear" />
	
		
		
		<!--
		<p>
			<label for="filter-images">Number of Images</label>
			<select id="filter-images" name="imagecount" class="styled medium">
				<option value="">Any</option>
				<option value="0">No Images</option>
				<?php
					for($i = 1; $i < 11; $i++)
					{
						?>
							<option value="<?= $i ?>"<?= $i == $category['minimages'] ? ' selected' : '' ?>><?= $i ?> image<?= $i > 1 ? 's' : '' ?></option>
						<?php
					}
				?>
			</select>
		</p>
		-->
		
		
	
		<p>
			<input type="submit" class="submit long" value="Apply Filters" />
		</p>
	
	</form>
	
	</div>
</div>

<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>All Products</h2>
		
		<form action="/" method="get">
			<label for="form-sort">Sort by </label>
			<select id="form-sort" onchange="window.location = this.value;">
				<?php
				$i=0;
				foreach ($pagination['sortoptions'] as $sortkey => $sortoption)
				{
					if ($i == 0) $sortkeydefault = $sortkey;
					$i++;
						?>
						<option value="<?= buildListingLink($pagination['baselink'], $pagination['currentpage'], $sortkey, $sortkeydefault, $pagination['currentperpage'], PER_PAGE_LISTING) ?>" <?= ($sortkey == $pagination['currentsort'] ? 'selected' : '') ?>><?= $sortoption['displayname'] ?></option>
						
						<?php
				}
				?>
			</select>
		</form>	
	</div>

	<div class="block_content">
	
	<form action="<?= URL_SITE ?>freshadmin/product/viewall/" method="post">
		<input type="hidden" name="formaction" value="products" />

	<table cellpadding="0" cellspacing="0" width="100%">
	
		<tr>
			<td width="10"><input type="checkbox" class="check_all" /></td>
			<th>Product Name</th>
			<th>Price</th>
			<th>Manufacturer</th>
			<th class="center">Sales Rank</th>
			<th class="right">Options</th>
		</tr>
		
		<?php
			if (sizeof($productlist) == 0)
			{
				?>
				<tr>
					<td colspan="6">
						There are no products to show - please check your filter options.
					</td>
				</td>
				<?php
			}
			else
			{
				foreach ($productlist as $product)
				{
					?>
						<tr>
							<td>
								<input type="checkbox" name="selected[<?= $product['id'] ?>]"<?= (isset($selectedproducts[$product['id']]) ? ' checked' : '') ?> />
							</td>
							<td>
								<a href="<?= URL_SITE ?>freshadmin/product/edit/<?= $product['id'] ?>/" title="Edit: <?= $product['linktitle'] ?>">
								<?= (strlen($product['linktitle']) > 55 ? substr($product['linktitle'],0,53).'..' : $product['linktitle']) ?>
								</a>
							</td>
							<td>
								<?= formatProductPrice($product['price']) ?>
							</td>
							<td>
								<?php
									if (isset($product['manufacturer']['name']))
									{
										?>
											<a href="<?= URL_SITE ?>freshadmin/product/bymanufacturerlist/<?= $product['manufacturer']['id'] ?>/" title="<?= $product['manufacturer']['name'] ?>">
										<?= (strlen($product['manufacturer']['name']) > 10 ? substr($product['manufacturer']['name'],0,10).'...' : $product['manufacturer']['name']) ?>
										</a>
										<?php
									}
									else
									{
										echo '<em>unknown</em>';
									}
								?>
							</td>
							<td class="center"><?= ($product['salesrank'] == 2147483647)? 'n/a' : $product['salesrank'] ?></td>
							<td class="options">
								<a href="<?= URL_SITE.$product['pagename'].'/' ?>">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_view.png" alt="View on <?= SITE_NAME ?>" title="View on <?= SITE_NAME ?>" />
								</a>
								<a href="<?= $product['url'] ?>">
									<img src="<?= URL_SITE ?>freshadmin/icons/amazon_<?= strtolower(AMAZON_LOCALE) ?>.png" alt="View on Amazon" title="View on Amazon" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/product/edit/<?= $product['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Edit" title="Edit" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/product/removefromcategory/<?= $product['id'] ?>/<?= $category_id ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_removefromcategory.png" alt="Remove from Category" title="Remove from Category" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/product/changestatus/<?= $product['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_<?= ($product['enabled'] ? 'enabled' : 'disabled') ?>.png" alt="<?= ($product['enabled'] ? 'Product Enabled - Click to Disable' : 'Product Disabled - Click to Enable') ?>" title="<?= ($product['enabled'] ? 'Product Enabled - Click to Disable' : 'Product Disabled - Click to Enable') ?>" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/product/hide/<?= $product['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_hide.png" alt="Hide" title="Hide" onclick="return confirm('Are you sure you wish to hide this product? Hiding a product will make sure it does not appear anywhere on the site.');" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/product/delete/<?= $product['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_delete.png" alt="Delete" title="Delete" onclick="return confirm('Are you sure you wish to delete this product? This cannot be undone and you will lose any custom created content.');" />
								</a>
							</td>
							
						</tr>
					<?php
				}
			}
		?>



		</table>
		
		
		
		<div class="tableactions">
			
			<select name="action">
				<option value="">--select--</option>
				<option value="delete">Delete</option>
				<option value="disable">Disable</option>
				<option value="enable">Enable</option>
				<option value="hide">Hide</option>
				<option value="unlock">Unlock</option>
				<option value="lock">Lock</option>
				<?php if($filters['category_id'] != '0') { ?>
					<option value="removethiscategory">Remove From This Category</option>
				<?php } ?>
				<option value="removecategory">Remove From Categories</option>
			</select>
			
			<input type="submit" class="submit tiny" value="Apply to selected" onclick="return confirm('This action cannot be undone - are you sure?');" />
			
			<br /><br />
			
			<select name="category_id">
				<option value="">--select--</option>
				<?= generateCategoryFormOptions($categorytree, false, 0, false) ?>
			</select>
			
			<input type="submit" class="submit tiny" value="Add to Category" onclick="" />
			
			<!--
			<p>
				<input type="checkbox" value="1" name="applytoall" id="applytoall" /> <label for="applytoall">Apply to Products on All Pages? (i.e. every page)</label>
			</p>
			-->
		</div>
		
		
		
		<div class="paggination right">
			<?= getPaginationPagesHTML($pagination); ?>
		</div>
		
		<p class="itemcount"><?php require (PATH_CONTROLPANEL_TEMPLATES.'elements/listing_information.php') ?></p>
		
		</form>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
</div>


	


