<form action="/freshadmin/productqueuerun/edit/<?= $productqueuerun_id ?>/" method="post">

	<?php
		# This puts in the original values, which can then be overriden further on in the form
		# Saves time on checkboxes
		unset($productqueuerun['id']);
		foreach ($productqueuerun as $key => $item)
		{
			if (!is_numeric($key))
			{
				if ($item == 1) $item = 0;
				?>
				<input type="hidden" name="<?= $key ?>" value="<?= $item ?>" />
				<?php
			}
		}
	?>



<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Edit Product Queue Run: <?= $productqueuerun['name'] ?></h2>
	</div>
	
	<div class="block_content" style="height: 300px;">
	
	
		<p>
			<label class="required" for="form-productqueue">Product Queue</label><br />
			<select name="productqueue_id" id="form-productqueue" class="styled">
				<?php
					foreach ($productqueues as $item)
					{
						?>
						<option value="<?= $item['id'] ?>"<?= $item['id'] == $productqueuerun['productqueue_id'] ? ' selected="selected"' : '' ?>><?= $item['name'] ?></option>
						<?php
					}
				?>
			</select>
		</p>
		
		<p>
			<label for="form-name" class="required">Name</label><br />
			<input class="text" id="form-name" type="text" name="name" value="<?= $productqueuerun['name'] ?>" />
		</p>
			
		
		<p>
			<label for="form-productsperpage">Products per Page</label><br />
			<input class="text" id="form-productsperpage" type="text" name="productsperpage" value="<?= $productqueuerun['productsperpage'] ?>" />
		</p>
		
		<p>
			<input id="run-enableproduct" type="checkbox" name="enableonsave" value="1"<?= $productqueuerun['enableonsave'] == 1  ? ' checked="checked"' : '' ?> class="checkbox" />
			<label for="run-enableproduct">Enable products on save?</label>
		</p>
		
		<p>
			<input type="submit" class="submit long" value="Save Queue Run" />
		</p>

	
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>


<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>About Product Queues</h2>
	</div>
	
	<div class="block_content" style="height: 300px;">
	
		<p>A product queue run is what you use to process a product queue. Set your options here for the queue run, give it a name and you can then begin editing the products in the queue.</p>

		<p>Choose the product queue you want to use for this product queue run. You should already have created a product queue and added products to it.</p>
		
		<p>You can come back to a product queue run at any time. Once you have edited a product on the product queue run, it will be removed. If you leave and come back, you will start at the next unedited product.</p>
		
		<h3>Tips</h3>
		<ul>
			<li>Set the number of products per page to your preference</li>
			<li>Only select the product details and attributes that you want to edit</li>
			<li>Adding useful, unique content is the key to good Search Engine rankings</li>
		</ul>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>

<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Attributes to Edit</h2>
	</div>
	
	<div class="block_content">
	
		<?php
			foreach ($attributes as $item)
			{
				?>
				<p>
					<input id="attribute-<?= $item['id'] ?>" type="checkbox" class="checkbox" name="attributes[<?= $item['id'] ?>]" value="<?= $item['id'] ?>"<?= isset($currentattributes[$item['id']]) ? ' checked="checked"' : '' ?> /> <label for="attribute-<?= $item['id'] ?>"><?= $item['displayname'] ?></label>
				</p>
				<?php
			}
		?>
		
		
		<p>
			<input type="submit" class="submit long" value="Save Queue Run" />
		</p>
	
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>


<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Product Details to Edit</h2>
	</div>
	
	<div class="block_content">
	
		<p>
			<input id="product-title" type="checkbox" class="checkbox" name="edittitle" value="1"<?= $productqueuerun['edittitle'] == 1  ? ' checked="checked"' : '' ?> />
			<label for="product-title">Title</label>
		</p>
		
		<p>
			<input id="product-linktitle" type="checkbox" class="checkbox" name="editlinktitle" value="1"<?= $productqueuerun['editlinktitle'] == 1  ? ' checked="checked"' : '' ?> />
			<label for="product-linktitle">Link Title</label>
		</p>
		
		<p>
			<input id="product-logotext" type="checkbox" class="checkbox" name="editlogotext" value="1"<?= $productqueuerun['editlogotext'] == 1  ? ' checked="checked"' : '' ?> />
			<label for="product-logotext">Logo Text</label>
		</p>
		
		<p>
			<input id="product-metatitle" type="checkbox" class="checkbox" name="editmetatitle" value="1"<?= $productqueuerun['editmetatitle'] == 1  ? ' checked="checked"' : '' ?> />
			<label for="product-metatitle">Meta Title</label>
		</p>
		
		<p>
			<input id="product-metadescription" type="checkbox" class="checkbox" name="editmetadescription" value="1"<?= $productqueuerun['editmetadescription'] == 1  ? ' checked="checked"' : '' ?> />
			<label for="product-metadescription">Meta Description</label>
		</p>
		
		<p>
			<input id="product-metakeywords" type="checkbox" class="checkbox" name="editmetakeywords" value="1"<?= $productqueuerun['editmetakeywords'] == 1  ? ' checked="checked"' : '' ?> />
			<label for="product-metakeywords">Meta Keywords</label>
		</p>
		
		<p>
			<input id="product-keyfeatures" type="checkbox" class="checkbox" name="editkeyfeatures" value="1"<?= $productqueuerun['editkeyfeatures'] == 1  ? ' checked="checked"' : '' ?> />
			<label for="product-keyfeatures">Key Features</label>
		</p>
		
		<p>
			<input id="product-description" type="checkbox" class="checkbox" name="editdescription" value="1"<?= $productqueuerun['editdescription'] == 1  ? ' checked="checked"' : '' ?> />
			<label for="product-description">Description</label>
		</p>
		
		<p>
			<input id="product-descriptionsecondary" type="checkbox" class="checkbox" name="editdescriptionsecondary" value="1"<?= $productqueuerun['editdescriptionsecondary'] == 1  ? ' checked="checked"' : '' ?> />
			<label for="product-descriptionsecondary">Secondary Description</label>
		</p>
		
		<p>
			<input id="product-categories" type="checkbox" class="checkbox" name="editcategories" value="1"<?= $productqueuerun['editcategories'] == 1  ? ' checked="checked"' : '' ?> />
			<label for="product-categories">Categories</label>
		</p>
	
		
		<p>
			<input type="submit" class="submit long" value="Save Queue Run" />
		</p>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>



</form>


