<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Configure Template - <?= $currenttemplate ?></h2>
		
		<ul class="tabs">
			<li><a href="#template-options">Options</a></li>
			<li><a href="#template-images">Images</a></li>
			<li><a href="#template-css">CSS</a></li>
		</ul>
	</div>

	<div class="block_content tab_content" id="template-options">
	
		<h2>Template Options</h2>
		
		<p><em>In this section you can change various aspects of your template, such as featured products on the homepage. Take a look below for the different options available.</em></p>
		
		<table cellpadding="0" cellspacing="0" width="100%">
	
		<tr>
			<th>Name</th>
			<th>Description</th>
			<th>Changed?</th>
			<th class="right">Options</th>
		</tr>


		<?php
			if (sizeof($options) == 0)
			{
				?>
				<tr>
					<td colspan="4">
						There are no options for this template.
					</td>
				</td>
				<?php
			}
			else
			{
				foreach ($options as $option)
				{
					?>
						<tr>
							<td><a href="<?= URL_SITE ?>freshadmin/template/editoption/<?= $option['id'] ?>/"><?= $option['name'] ?></a></td>
							<td><?= $option['description'] ?></td>
							<td><?= $option['value'] == '' ? 'No' : '<strong>Yes</strong>' ?></td>
							<td class="options">
								<a href="<?= URL_SITE ?>freshadmin/template/editoption/<?= $option['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Edit" title="Edit" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/template/resetoption/<?= $option['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_hide.png" alt="Reset this Option" title="Reset this Option" onclick="return confirm('Are you sure you wish to reset this option? It will be changed back to the template default and you will lose any changes.');" />
								</a>
							</td>
						</tr>
						
						
					<?php
				}
			}
		?>



		</table>
		
		<div class="tableactions">
		</div>

		<div class="paggination right">
		</div>
		
		
		
		</form>
		
	</div>
	

	<div class="block_content tab_content" id="template-images">
	
		<h2>Template Images</h2>
		
		<p><em>In this section you can replace the standard images in your store. The obvious example is your logo, but take a look below for more options.</em></p>
		
		<table cellpadding="0" cellspacing="0" width="100%">
	
		<tr>
			<th>Name</th>
			<th>Description</th>
			<th>Changed?</th>
			<th class="right">Options</th>
		</tr>


		<?php
			if (sizeof($images) == 0)
			{
				?>
				<tr>
					<td colspan="3">
						There are no images for this template.
					</td>
				</td>
				<?php
			}
			else
			{
				foreach ($images as $image)
				{
					?>
						<tr>
							<td><a href="<?= URL_SITE ?>freshadmin/template/editimage/<?= $image['id'] ?>/"><?= $image['name'] ?></a></td>
							<td><?= $image['description'] ?></td>
							<td><?= $image['src'] == '' ? 'No' : '<strong>Yes</strong>' ?></td>
							<td class="options">
								<a href="<?= URL_SITE ?>freshadmin/template/editimage/<?= $image['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Edit" title="Edit" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/template/resetimage/<?= $image['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_hide.png" alt="Reset this Image" title="Reset this Image" onclick="return confirm('Are you sure you wish to reset this image? It will be changed back to the template default and you will lose any changes.');" />
								</a>
							</td>
						</tr>
						
						
					<?php
				}
			}
		?>



		</table>
		
		<div class="tableactions">
		</div>

		<div class="paggination right">
		</div>
		
		
		
		</form>
		
	</div>
	
	
	
	<div class="block_content tab_content" id="template-css">
	
		<h2>Template CSS</h2>
	
		<p><em>These CSS options control different styles within your store. This is generally things like the font used, colors of text, link colors etc. Click on a CSS option to edit.</em></p>
		
		<table cellpadding="0" cellspacing="0" width="100%">
	
		<tr>
			<th>Name</th>
			<th>Description</th>
			<th>Changed?</th>
			<th class="right">Options</th>
		</tr>


		<?php
			if (sizeof($css) == 0)
			{
				?>
				<tr>
					<td colspan="3">
						There are no css options for this template.
					</td>
				</td>
				<?php
			}
			else
			{
				foreach ($css as $cssitem)
				{
					?>
						<tr>
							<td><a href="<?= URL_SITE ?>freshadmin/template/editcss/<?= $cssitem['id'] ?>/"><?= $cssitem['name'] ?></a></td>
							<td><?= $cssitem['description'] ?></td>
							<td><?= $cssitem['decleration'] == '' ? 'No' : '<strong>Yes</strong>' ?></td>
							<td class="options">
								<a href="<?= URL_SITE ?>freshadmin/template/editcss/<?= $cssitem['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Edit" title="Edit" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/template/resetcss/<?= $cssitem['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_hide.png" alt="Reset this CSS Option" title="Reset this CSS Option" onclick="return confirm('Are you sure you wish to reset this CSS option? It will be changed back to the template default and you will lose any changes.');" />
								</a>
							</td>
						</tr>
						
						
					<?php
				}
			}
		?>



		</table>
		
		<div class="tableactions">
		</div>

		<div class="paggination right">
		</div>
		
		
		
		</form>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
</div>