<?php
/**
 * Main Page
 * 
 * Takes the get parameter and uses it to find the correct page.
 *
 * @author Carey Baird contact@freshassociate.com
 */

 require('start/app.php');
 
 # Redirect away from index.php to /
 /*
 if ($_SERVER['SCRIPT_URL'] == '/index.php')
 {
 	redirect('/'); exit();
 }
 */
 
 # Get the type of page
 $pagetype = findPageType(PAGENAME);
  
 
 # If no page, try to find a redirect or show 404
 if (!$pagetype)
 {
 	# Attempt to find a new pagename
 	$newpagename = findMovedPage(PAGENAME);
 	if ($newpagename)
 	{
 		redirect(URL_SITE.$newpagename.'/');
 		exit();
 	}
 	else if ($newpagename === '')
 	{
 		redirect(URL_SITE);
 		exit();
 	}
 	else
 	{
 	
 		# Attempt to find the page on a wildcard search
 		$pagetype = findPageType(PAGENAME.'%');
 		if (!$pagetype)
 		{
 			$pagetype = '404';
 		}
 		else
 		{
 			# Need to redirect to the actual pagename since we found it on a wildcard
 			redirect(URL_SITE.getPageNameByPartialPageName(PAGENAME.'%').'/');
 		}
 	}
 }
 
 
# Change the pagetype if the site isn't live and not logged in
if (SITE_LIVE == 0 && !loggedIn())
{
	$pagetype = 'sitenotlive';
}
  
 # Get the controller
 include PATH_CONTROLLERS.'app.php'; 
 include PATH_CONTROLLERS.$pagetype.'.php';
?>