<?php

	require('../library/misc.php');
	require('../library/mysql.php');

	# Check current install status
	if (file_exists('../config/mysql.php'))
	{
		require('../config/mysql.php');
		$db = @mysql_connect(MYSQL_HOST, MYSQL_USERNAME, MYSQL_PASSWORD);
		$db_selected = @mysql_select_db(MYSQL_DATABASE);
		
		if (!$db || !$db_selected)
		{
			header("Location: install_database.php");
			exit();
		}
	}
	else
	{
		header("Location: install_database.php");
		exit();
	}
	
	
	# Process post
	
	if ($_POST)
	{
		$parameters = $_POST['parameters'];
		$parameters['EMAIL_FROM'] = $parameters['EMAIL_TO'];
		$error = '';
		#Error checking
		if (trim($parameters['AMAZON_TAG']) == '' || trim($parameters['AMAZON_KEY']) == '' || trim($parameters['AMAZON_SECRET_KEY']) == '')
		{
			$error = '- Please enter your Amazon Tag, Amazon Key and Amazon Secret Key';
		}
		
		
		/*
		$tagending = substr($parameters['AMAZON_TAG'], strlen($parameters['AMAZON_TAG'])-2, 2);
		
		if ($tagending != '20' && $tagending != '21')
		{
			$error .= '<br />- Please enter a valid Amazon Tag e.g. site-20 for a US site or site-21 for a UK site';
		}
		*/
		
		if (!preg_match('|^http(s)?://[a-z0-9-]+(.[a-z0-9-]+)*(:[0-9]+)?(/.*)?$|i', $parameters['URL_SITE']))
		{
			$error .= '<br />- Please enter a valid website address e.g. http://www.site.com/';
		}
		
		if (strlen($error) == 0)
		{
			# Clean up some of the vales
			$parameters['AMAZON_KEY'] = trim($parameters['AMAZON_KEY']);
			$parameters['AMAZON_SECRET_KEY'] = trim($parameters['AMAZON_SECRET_KEY']);
			
			
			foreach ($parameters as $key => $value)
			{
				if ($key == 'URL_SITE')
				{
					if (substr($value, strlen($value)-1, 1) !== '/')
					{
						$value .= '/';
					}
					$subdirectory = str_replace((($_SERVER['HTTPS'])? 'https://' : 'http://').$_SERVER['HTTP_HOST'], '', $value);
					updateHtaccessFiles($subdirectory);
				}
			
				$parameter = mysql_real_escape_string($parameter);
				mysql_query("UPDATE parameters SET value = '$value' WHERE parameter = '$key'");
			}
			
			
			# Do the homepage info based on the site name
			$name = mysql_real_escape_string($parameters['SITE_NAME']);
			$title = $parameters['SITE_NAME'].' - Secure Online Shop';
			$description = 'Welcome to '.$parameters['SITE_NAME'].' where you can find the best products at the best prices. Shop securely online today!';
			$title = mysql_real_escape_string($title);
			$description = mysql_real_escape_string($description);
			mysql_query("UPDATE pages SET title = '$name', linktitle = '$name', metatitle = '$title', metadescription = '$description' WHERE pagekey = 'homepage'");
			
			$db = new mysql(MYSQL_HOST, MYSQL_USERNAME, MYSQL_PASSWORD, MYSQL_DATABASE);
			resetDatabaseTimeOffset();
			
			$url = (!empty($_SERVER['HTTPS'])) ? "https://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'] : "http://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];
			$url = str_replace('install/install_parameters.php', 'freshadmin/', $url);
			header("Location: $url");
			exit();
		}
	}
	else
	{
		$rs = mysql_query("SELECT * FROM parameters");
		while (($ra = mysql_fetch_array($rs)) !== false)
		{
			$parameters[$ra['parameter']] = $ra['value'];
		}
		
		$parameters['URL_SITE'] = str_replace('install/install_parameters.php', '', $_SERVER['SCRIPT_URI']);
		if ($parameters['URL_SITE'] == '') $parameters['URL_SITE'] = str_replace('install/install_parameters.php', '', $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']);
		$parameters['URL_SITE'] = str_replace('//', '/', $parameters['URL_SITE']);
		$parameters['URL_SITE'] = 'http://'.$parameters['URL_SITE'];
	}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
	<head>
		<title>Parameters - Install Fresh Store Builder</title>
		
		<link rel="stylesheet" href="css/blueprint/screen.css" type="text/css" media="screen, projection">
		<link rel="stylesheet" href="css/blueprint/print.css" type="text/css" media="print">
		<!--[if lt IE 8]>
			<link rel="stylesheet" href="css/blueprint/ie.css" type="text/css" media="screen, projection">
		<![endif]-->
	</head>
	
	<body>
	
	
		<div class="prepend-4 append-4 span-16 prepend-top">
		
		<img src="images/logo.png" />
		
		<hr />
		
		<h1>3/3 - Configure Your Site</h1>
	
		<p>Enter the details below to finish setting up your Fresh Store Builder shop. These can be changed via your admin control panel later.</p>
		
		<p>For help on getting your Amazon details (e.g. your Amazon Secret Key) please read this guide: <a href="http://www.freshstorebuilder.c0m/guides/v/setup-amazon/">Setting Up Your Amazon Account</a></p>
		
		<?php
			if ($error)
			{
				?>
					<p class="error"><?= $error ?></p>
				<?php
			}
		?>
		
		<form action="install_parameters.php" method="post">
		
		<fieldset>
			<legend>Site Parameters</legend>
			
			<p>
				<label for="parameters-urlsite">Site URL</label><br />
				<input type="text" class="title text" name="parameters[URL_SITE]" id="" value="<?= isset($parameters['URL_SITE']) ? $parameters['URL_SITE'] : '' ?>" />
			</p>
			
			<p>
				<label for="parameters-sitename">Site Name</label><br />
				<input type="text" class="title text" name="parameters[SITE_NAME]" id="" value="<?= isset($parameters['SITE_NAME']) ? $parameters['SITE_NAME'] : '' ?>" />
			</p>
			
			<p>
				<label for="parameters-emailto">Email to send contact from the website.</label><br />
				<input type="text" class="title text" name="parameters[EMAIL_TO]" id="emailto" value="<?= isset($parameters['EMAIL_TO']) ? $parameters['EMAIL_TO'] : '' ?>" />
			</p>
			
			<p>
				<label for="parameters-ga">Google Analytics Reference (e.g. UA-123456-78)</label><br />
				<input type="text" class="title text" name="parameters[GOOGLEANALYTICS_REFERENCE]" id="parameters-ga" value="<?= isset($parameters['GOOGLEANALYTICS_REFERENCE']) ? $parameters['GOOGLEANALYTICS_REFERENCE'] : '' ?>" />
			</p>
			
			<p>
				<label for="parameters-azlocale">Amazon Locale</label><br />
				<select name="parameters[STORE_LOCALE]" id="parameters-azlocale">
					<option value="USA">Amazon.com (USA)</option>
					<option value="UK">Amazon.co.uk (UK)</option>
					<option value="DE">Amazon.de (Germany)</option>
					<option value="FR">Amazon.fr (France)</option>
					<option value="JP">Amazon.co.jp (Japan)</option>
					<option value="CA">Amazon.ca (Canada)</option>
					<option value="IT">Amazon.it (Italy)</option>
					<option value="ES">Amazon.es (Spain)</option>
					<option value="ES">Amazon.cn (China)</option>
				</select>
			</p>
			
			<p>
				<label for="parameters-aztag">Amazon Tag (e.g. site-21)</label><br />
				<input type="text" class="title text" name="parameters[AMAZON_TAG]" id="parameters-aztag" value="<?= isset($parameters['AMAZON_TAG']) ? $parameters['AMAZON_TAG'] : '' ?>" />
			</p>
			
			<p>
				<label for="parameters-azkey">Amazon Key (A long string e.g. 9NP6P5TTPRPT2T71MR12)</label><br />
				<input type="text" class="title text" name="parameters[AMAZON_KEY]" id="parameters-azkey" value="<?= isset($parameters['AMAZON_KEY']) ? $parameters['AMAZON_KEY'] : '' ?>" />
			</p>
			
			<p>
				<label for="parameters-azsecretkey">Amazon Secret Key (A longer string e.g. jRJrlOIen+wqJBYPbcdlN1qtF83DTdL1gF/u8nWm)</label><br />
				<input type="text" class="title text" name="parameters[AMAZON_SECRET_KEY]" id="parameters-azsecretkey" value="<?= isset($parameters['AMAZON_SECRET_KEY']) ? $parameters['AMAZON_SECRET_KEY'] : '' ?>" />
			</p>
			
			<p>
				<input type="submit" value="Save Parameters" />
			</p>
		</fieldset>	
		
		</form>

		<hr />
		
		<p><em>Please note that it is an offence to use Fresh Store Builder without a valid license - visit <a href="http://www.freshstorebuilder.c0m/">http://www.freshstorebuilder.c0m/</a> to purchase your license</em></p>
		
		</div>
	
	
	
	</body>
</html>
