-- --------------------------------------------------------

--
-- Table structure for table `amazonerrors`
--

CREATE TABLE IF NOT EXISTS `amazonerrors` (
  `id` int(11) NOT NULL auto_increment,
  `url` varchar(255) NOT NULL,
  `errorcode` varchar(255) NOT NULL,
  `errors` text NOT NULL,
  `created` datetime NOT NULL,
  `attempt` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=192 ;

-- --------------------------------------------------------

--
-- Table structure for table `categories`
--

CREATE TABLE IF NOT EXISTS `categories` (
  `id` int(11) NOT NULL auto_increment,
  `parent_id` int(11) NOT NULL default '0',
  `title` varchar(255) NOT NULL,
  `linktitle` varchar(255) NOT NULL,
  `logocaption` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `metadescription` text NOT NULL,
  `metakeywords` varchar(255) NOT NULL,
  `metatitle` varchar(255) NOT NULL,
  `pagename` varchar(255) NOT NULL,
  `populationtype` varchar(255) NOT NULL,
  `searchterm` varchar(255) NOT NULL,
  `browsenode` varchar(255) NOT NULL,
  `searchindex` varchar(255) NOT NULL,
  `requiredkeywords` varchar(255) NOT NULL,
  `filteredkeywords` varchar(255) NOT NULL,
  `lastpopulated` datetime NOT NULL default '0000-00-00 00:00:00',
  `lastpopulatedpage` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=26 ;

-- --------------------------------------------------------

--
-- Table structure for table `categoryimages`
--

CREATE TABLE IF NOT EXISTS `categoryimages` (
  `id` int(11) NOT NULL auto_increment,
  `category_id` int(11) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `alt` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `contenttemplates`
--

CREATE TABLE IF NOT EXISTS `contenttemplates` (
  `id` int(11) NOT NULL auto_increment,
  `attributesrequired` varchar(255) NOT NULL,
  `productgroup` varchar(255) NOT NULL,
  `generic` smallint(1) NOT NULL,
  `titletemplate` varchar(255) NOT NULL,
  `descriptiontemplate` text NOT NULL,
  `descriptionsecondarytemplate` text NOT NULL,
  `linktitletemplate` varchar(255) NOT NULL,
  `metadescriptiontemplate` text NOT NULL,
  `metatitletemplate` varchar(255) NOT NULL,
  `pagenametemplate` varchar(255) NOT NULL,
  `logocaptiontemplate` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

-- --------------------------------------------------------

--
-- Table structure for table `ga_pageviews`
--

CREATE TABLE IF NOT EXISTS `ga_pageviews` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `session_id` int(11) NOT NULL,
  `pagetype` varchar(255) NOT NULL,
  `pagename` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `referringurl` varchar(255) NOT NULL,
  `timestamp` int(11) NOT NULL,
  `ip` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1754 ;

-- --------------------------------------------------------

--
-- Table structure for table `ga_sessions`
--

CREATE TABLE IF NOT EXISTS `ga_sessions` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `pageviews` int(11) NOT NULL,
  `responses` int(11) NOT NULL,
  `sessionstarted` int(11) NOT NULL,
  `sessionlastseen` int(11) NOT NULL,
  `referralcount` int(11) NOT NULL,
  `sourcecount` int(11) NOT NULL,
  `source` varchar(255) NOT NULL,
  `medium` varchar(255) NOT NULL,
  `keyword` varchar(255) NOT NULL,
  `campaigncontent` varchar(255) NOT NULL,
  `campaignname` varchar(255) NOT NULL,
  `adwords` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=169 ;

-- --------------------------------------------------------

--
-- Table structure for table `ga_users`
--

CREATE TABLE IF NOT EXISTS `ga_users` (
  `id` int(11) NOT NULL auto_increment,
  `gaunique` varchar(255) NOT NULL,
  `firstvisit` int(11) NOT NULL,
  `previousvisit` int(11) NOT NULL,
  `currentvisit` int(11) NOT NULL,
  `ips` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=72 ;

-- --------------------------------------------------------

--
-- Table structure for table `manufacturerimages`
--

CREATE TABLE IF NOT EXISTS `manufacturerimages` (
  `id` int(11) NOT NULL auto_increment,
  `manufacturer_id` int(11) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `alt` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;

-- --------------------------------------------------------

--
-- Table structure for table `manufacturers`
--

CREATE TABLE IF NOT EXISTS `manufacturers` (
  `id` int(11) NOT NULL auto_increment,
  `merge_manufacturer_id` int(11) NOT NULL default '0',
  `display` int(1) NOT NULL default '0',
  `amazonname` varchar(255) NOT NULL,
  `pageheading` varchar(255) NOT NULL,
  `linktitle` varchar(255) NOT NULL,
  `logocaption` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `metadescription` text NOT NULL,
  `metakeywords` varchar(255) NOT NULL,
  `metatitle` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `pagename` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_mergemanufacturerid` (`merge_manufacturer_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=166 ;

-- --------------------------------------------------------

--
-- Table structure for table `merchants`
--

CREATE TABLE IF NOT EXISTS `merchants` (
  `id` int(11) NOT NULL auto_increment,
  `merchantid` varchar(255) NOT NULL,
  `averagerating` float(12,4) NOT NULL,
  `totalratings` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `merchantid` (`merchantid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=109 ;

-- --------------------------------------------------------

--
-- Table structure for table `messages`
--

CREATE TABLE IF NOT EXISTS `messages` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `message` text NOT NULL,
  `item` varchar(255) NOT NULL,
  `identifier` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  `dismissed` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `newsletterusers`
--

CREATE TABLE IF NOT EXISTS `newsletterusers` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  `ip` varchar(255) default NULL,
  `server` text,
  `created` datetime default NULL,
  `deleted` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Table structure for table `pagelegacy`
--

CREATE TABLE IF NOT EXISTS `pagelegacy` (
  `oldpagename` varchar(255) NOT NULL,
  `newpagename` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `pages`
--

CREATE TABLE IF NOT EXISTS `pages` (
  `id` int(11) NOT NULL auto_increment,
  `core` smallint(1) NOT NULL default '0',
  `corereference` varchar(255) NOT NULL,
  `corecontroller` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `linktitle` varchar(255) NOT NULL,
  `logocaption` varchar(255) NOT NULL,
  `maintext` text NOT NULL,
  `metatitle` varchar(255) NOT NULL,
  `metadescription` text NOT NULL,
  `metakeywords` varchar(255) NOT NULL,
  `pagename` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=30 ;

-- --------------------------------------------------------

--
-- Table structure for table `parameters`
--

CREATE TABLE IF NOT EXISTS `parameters` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `parameter` varchar(255) NOT NULL,
  `value` text NOT NULL,
  `modified` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=24 ;

-- --------------------------------------------------------

--
-- Table structure for table `productamazoncontent`
--

CREATE TABLE IF NOT EXISTS `productamazoncontent` (
  `id` int(11) NOT NULL auto_increment,
  `product_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `keyfeatures` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=882 ;

-- --------------------------------------------------------

--
-- Table structure for table `productattributenames`
--

CREATE TABLE IF NOT EXISTS `productattributenames` (
  `id` int(11) NOT NULL auto_increment,
  `originalname` varchar(255) NOT NULL,
  `displayname` varchar(255) NOT NULL,
  `display` int(1) NOT NULL default '1',
  `metabrowse` int(1) NOT NULL default '1',
  `searchable` int(1) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=83 ;

-- --------------------------------------------------------

--
-- Table structure for table `productattributes`
--

CREATE TABLE IF NOT EXISTS `productattributes` (
  `id` int(11) NOT NULL auto_increment,
  `product_id` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_productid` (`product_id`),
  KEY `idx_name` (`name`),
  KEY `idx_productid_name` (`product_id`,`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=14323 ;

-- --------------------------------------------------------

--
-- Table structure for table `productimages`
--

CREATE TABLE IF NOT EXISTS `productimages` (
  `id` int(11) NOT NULL auto_increment,
  `product_id` int(11) NOT NULL,
  `source` varchar(255) NOT NULL,
  `baseurl` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2252 ;

-- --------------------------------------------------------

--
-- Table structure for table `productoffers`
--

CREATE TABLE IF NOT EXISTS `productoffers` (
  `id` int(11) NOT NULL auto_increment,
  `product_id` int(11) NOT NULL,
  `productcondition` varchar(255) NOT NULL,
  `offerlistingid` varchar(255) NOT NULL,
  `price` int(11) NOT NULL,
  `amountsaved` varchar(255) NOT NULL,
  `percentagesaved` varchar(255) NOT NULL,
  `availabilitytext` text NOT NULL,
  `availabilitytype` varchar(255) NOT NULL,
  `availabilitymin` varchar(255) NOT NULL,
  `availabilitymax` varchar(255) NOT NULL,
  `ispreorder` int(1) NOT NULL default '0',
  `quantity` int(11) NOT NULL,
  `supersavershipping` int(1) NOT NULL,
  `merchantid` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_productid` (`product_id`),
  KEY `idx_price` (`price`),
  KEY `idx_percentagesaved` (`percentagesaved`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=28916 ;

-- --------------------------------------------------------

--
-- Table structure for table `productoptionnames`
--

CREATE TABLE IF NOT EXISTS `productoptionnames` (
  `id` int(11) NOT NULL auto_increment,
  `originalname` varchar(255) NOT NULL,
  `displayname` varchar(255) NOT NULL,
  `searchable` int(1) NOT NULL default '1',
  `metabrowse` int(1) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

-- --------------------------------------------------------

--
-- Table structure for table `productoptions`
--

CREATE TABLE IF NOT EXISTS `productoptions` (
  `id` int(11) NOT NULL auto_increment,
  `product_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_productid` (`product_id`),
  KEY `idx_name` (`name`),
  KEY `idx_value` (`value`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=16 ;

-- --------------------------------------------------------

--
-- Table structure for table `productpromotions`
--

CREATE TABLE IF NOT EXISTS `productpromotions` (
  `id` int(11) NOT NULL auto_increment,
  `product_id` int(11) NOT NULL,
  `promotion` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `productreviews`
--

CREATE TABLE IF NOT EXISTS `productreviews` (
  `id` int(11) NOT NULL auto_increment,
  `product_id` int(11) NOT NULL,
  `source` varchar(255) NOT NULL,
  `rating` varchar(255) NOT NULL,
  `helpfulvotes` int(11) NOT NULL,
  `totalvotes` int(11) NOT NULL,
  `customerid` varchar(255) NOT NULL,
  `reviewername` varchar(255) NOT NULL,
  `reviewernickname` varchar(255) NOT NULL,
  `reviewerlocation` varchar(255) NOT NULL,
  `date` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `review` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=429 ;

-- --------------------------------------------------------

--
-- Table structure for table `products`
--

CREATE TABLE IF NOT EXISTS `products` (
  `id` int(11) NOT NULL auto_increment,
  `parent_id` int(11) NOT NULL default '0',
  `parent` int(1) NOT NULL default '0',
  `manufacturer_id` int(11) NOT NULL default '0',
  `original_manufacturer_id` int(11) NOT NULL default '0',
  `asin` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `salesrank` int(11) NOT NULL,
  `price` int(11) NOT NULL,
  `averagescore` float(12,4) NOT NULL,
  `offers` int(11) NOT NULL default '0',
  `enabled` int(1) NOT NULL default '1',
  `hidden` int(1) NOT NULL default '0',
  `edited` int(1) NOT NULL default '0',
  `viewcount` int(11) NOT NULL,
  `description` text NOT NULL,
  `descriptionsecondary` text NOT NULL,
  `keyfeatures` text NOT NULL,
  `linktitle` varchar(255) NOT NULL,
  `metadescription` text NOT NULL,
  `metakeywords` varchar(255) NOT NULL,
  `metatitle` varchar(255) NOT NULL,
  `pagename` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `logocaption` varchar(255) NOT NULL,
  `productupdated` datetime NOT NULL default '0000-00-00 00:00:00',
  `offersupdated` datetime NOT NULL default '0000-00-00 00:00:00',
  `variationsupdated` datetime NOT NULL default '0000-00-00 00:00:00',
  `optionsupdated` datetime NOT NULL default '0000-00-00 00:00:00',
  `reviewsupdated` datetime NOT NULL default '0000-00-00 00:00:00',
  `promotionsupdated` datetime NOT NULL default '0000-00-00 00:00:00',
  `imagesupdated` datetime NOT NULL default '0000-00-00 00:00:00',
  `attributesupdated` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `asin` (`asin`),
  KEY `idx_salesrank` (`salesrank`),
  KEY `idx_viewcount` (`viewcount`),
  KEY `idx_offersupdated` (`offersupdated`),
  KEY `idx_manufacturerid` (`manufacturer_id`),
  FULLTEXT KEY `idx_search` (`description`,`keyfeatures`,`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=724 ;

-- --------------------------------------------------------

--
-- Table structure for table `products_categories`
--

CREATE TABLE IF NOT EXISTS `products_categories` (
  `id` int(11) NOT NULL auto_increment,
  `product_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_productid` (`product_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=823 ;

-- --------------------------------------------------------

--
-- Table structure for table `products_categories_banned`
--

CREATE TABLE IF NOT EXISTS `products_categories_banned` (
  `product_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `searches`
--

CREATE TABLE IF NOT EXISTS `searches` (
  `id` int(11) NOT NULL auto_increment,
  `keywords` varchar(255) NOT NULL,
  `timestamp` datetime NOT NULL,
  `ip` varchar(255) NOT NULL,
  `debug` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

--
-- Table structure for table `searchindexes`
--

CREATE TABLE IF NOT EXISTS `searchindexes` (
  `locale` varchar(5) NOT NULL,
  `searchindex` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tracker_action`
--

CREATE TABLE IF NOT EXISTS `tracker_action` (
  `id` int(11) NOT NULL auto_increment,
  `gauser_id` int(11) NOT NULL,
  `gasession_id` int(11) NOT NULL,
  `action` varchar(255) NOT NULL,
  `notes` text NOT NULL,
  `timestamp` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=165 ;

-- --------------------------------------------------------

--
-- Table structure for table `tracker_actionproducts`
--

CREATE TABLE IF NOT EXISTS `tracker_actionproducts` (
  `id` int(11) NOT NULL auto_increment,
  `action_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `asin` varchar(255) NOT NULL,
  `quantity` int(11) NOT NULL,
  `price` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `pagename` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=150 ;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL auto_increment,
  `username` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `level` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `deleted` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;
