INSERT INTO `parameters` (`group`, `name`, `description`, `parameter`, `value`, `modified`) VALUES ('Store Settings', 'Hide Add to Cart Link', 'This option will hide the Add to Cart link on the product info page. Typically used if you enable the Click to Amazon Link.', 'PRODUCT_HIDE_ADD_TO_CART', '0', '');

INSERT INTO `parameters` (`group` , `name` , `description` , `parameter` , `value` , `modified`)
VALUES ('Best Spinner', 'Best Spinner Email', 'The email address for your Best Spinner account. Used for authentication. <a href="http://www.freshstorebuilder.c0m/go/bestspinner/" target="_blank">Get Best Spinner</a> or <a href="http://www.freshstorebuilder.c0m/tools/view/content-spinning/" target="_blank">find out more</a>.', 'BESTSPINNER_EMAIL', '', ''),
('Best Spinner', 'Best Spinner Pasword', 'The password for your Best Spinner account. Used for authentication. <a href="http://www.freshstorebuilder.c0m/go/bestspinner/" target="_blank">Get Best Spinner</a> or <a href="http://www.freshstorebuilder.c0m/tools/view/content-spinning/" target="_blank">find out more</a>.', 'BESTSPINNER_PASSWORD', '', ''
),
('Best Spinner', 'Best Spinner Synonym Type', 'Enter the synonym generation type - either normal or favorites. Used for creating spintax templates. <a href="http://www.freshstorebuilder.c0m/go/bestspinner/" target="_blank">Get Best Spinner</a> or <a href="http://www.freshstorebuilder.c0m/tools/view/content-spinning/" target="_blank">find out more</a>.', 'BESTSPINNER_SYNONYMTYPE', 'favorites', ''
),
('Best Spinner', 'Best Spinner Synonym Favorite Quality', 'Enter the quality for synonym generation (when type is set to favorites). 1 = Good, 2 = Better and 3 = Best. A higher quality will return less synonyms. Used for creating spintax templates. <a href="http://www.freshstorebuilder.c0m/go/bestspinner/" target="_blank">Get Best Spinner</a> or <a href="http://www.freshstorebuilder.c0m/tools/view/content-spinning/" target="_blank">find out more</a>.', 'BESTSPINNER_SYNONYMQUALITY', '3', ''
),
('Best Spinner', 'Best Spinner Max Synonyms', 'Enter the maximum synonyms to generate per word/phrase. Default is 3. Used for creating spintax templates. <a href="http://www.freshstorebuilder.c0m/go/bestspinner/" target="_blank">Get Best Spinner</a> or <a href="http://www.freshstorebuilder.c0m/tools/view/content-spinning/" target="_blank">find out more</a>.', 'BESTSPINNER_MAXSYNONYMS', '3', ''
),
('Best Spinner', 'Auto Spin Amazon Content', 'Set to 1 to automatically spin the Amazon content on all your products. This will use the Best Spinner API to find suitable synonyms and then spin the content based on your other settings.', 'BESTSPINNER_AUTOSPINAMAZON', '0', ''
);

INSERT INTO `parameters` (`group`, `name`, `description`, `parameter`, `value`, `modified`) VALUES ('Currency', 'Decimal Places', 'The number of decimal places to show on the prices in your store.', 'CURRENCYCONVERSION_DECIMALS', '2', '');


INSERT INTO `autorun` (`autorunkey`, `filename`, `name`, `description`, `lastrun`, `delay`) VALUES
('CLEANCACHE', 'bg_cleancache.php', 'Clean Up Cache Files', 'This autorun task will delete any rogue cache files ensuring no space is wasted.', '0000-00-00 00:00:00', 604800);


INSERT INTO `parameters` (`group`, `name`, `description`, `parameter`, `value`, `modified`) VALUES ('Products', 'Limit Offers', 'This option will limit the prices shown for products to this Merchant ID. This is useful if you want to only show prices from one seller, such as Amazon themselves. Default is "All" and this allows offers from any merchant.', 'PRODUCT_OFFERS_MERCHANTID', 'All', '');


INSERT INTO `parameters` (`group`, `name`, `description`, `parameter`, `value`, `modified`) VALUES ('Products', 'Limit Pages of Offers', 'This option will limit the pages of offers retrieved from Amazon. Amazon returns 10 offers per page and 1 page = 1 request, so setting this higher will use more requests. The cheapest offer should typically be in the first page of results', 'PRODUCT_OFFERS_PAGESTOGET', '2', '');

INSERT INTO `parameters` (`group`, `name`, `description`, `parameter`, `value`, `modified`) VALUES ('Products', 'Auto Populate Status', 'This option sets the category Auto Populate to on or off, globally. Set to 1 to enable or set to 0 to disable ALL autopopulating.', 'AUTOPOPULATE_GLOBAL_STATUS', '1', '');



UPDATE `autorun` SET `delay` = '30' WHERE `autorunkey` = 'UPDATEPRODUCTS';
