<?php
	
	require_once("../library/misc.php");

	$notwriteable = array();
	$notfound = array();
	$defaultpermission = 0777;
	
	$permissions[] = "../cache/";
	$permissions[] = "../images/";
	$permissions[] = "../config/";
	$permissions[] = "../logs/";
	$permissions[] = "../sitemaps/";
	$permissions[] = "../sitemap.xml";
	
	foreach($permissions as $file)
	{
		@chmod($file, $defaultpermission);
	}
	
	foreach ($permissions as $file)
	{
		if (!file_exists($file))
		{
			$notfound[] = str_replace("..", "", $file); 
		}
		elseif (!is_writeable($file))
		{
			$notwriteable[] = str_replace("..", "", $file);
		}
	}
	
	
	if (empty($notwriteable) && empty($notfound))
	{
		header("Location: upgrade.php");
	}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
	<head>
		<title>File Permissions - Upgrade Fresh Store Builder</title>
		
		<link rel="stylesheet" href="css/blueprint/screen.css" type="text/css" media="screen, projection">
		<link rel="stylesheet" href="css/blueprint/print.css" type="text/css" media="print">
		<!--[if lt IE 8]>
			<link rel="stylesheet" href="css/blueprint/ie.css" type="text/css" media="screen, projection">
		<![endif]-->
	</head>
	
	<body>
	
		<div class="prepend-4 append-4 span-16 prepend-top">
		<img src="images/logo.png" />
		
		<hr />
		
		<h1>Error - File Permissions</h1>
	
		<p>To install Fresh Store Builder some files and folders need to be writeable. We have detected the following files and/or folders need changing to writeable. The following files and/or folders are either missing or have the wrong permissions. Please verify they exist (and create blank folders/files if not) and set the permissions to 0777:</p>
		
		<?php if(!empty($notwriteable)): ?>
			<h2>Folders or files that aren't writeable</h2>
			<ul>
				<?php
					foreach ($notwriteable as $item)
					{
						?>
						<li><?= $item ?></li>
						<?php
					}
				?>
			</ul>
		<?php endif; ?>
		
		<?php if(!empty($notfound)): ?>
			<h2>Folders or files that don't exist</h2>
			<ul>
				<?php
					foreach ($notfound as $item)
					{
						?>
						<li><?= $item ?></li>
						<?php
					}
				?>
			</ul>
		<?php endif; ?>
		
		<p>Once you have changed the file permissions <a href="/install/upgrade_checker.php">click here to recheck the above files and folders</a></p>

		<hr />

		<p><em>Please note that it is an offence to use Fresh Store Builder without a valid license - visit <a href="http://www.freshstorebuilder.c0m/">http://www.freshstorebuilder.c0m/</a> to purchase your license</em></p>
		
		</div>
		
	
	</body>
</html>
