<?php

	class AnalyticsLocal
	{
		function AnalyticsLocal(&$db, $parsecookies = false)
		{		
			$this->db =& $db;
			$this->pagename = $pagename;
			$this->cookies = true;
			
			if ($parsecookies)
			{			
				$this->parseCookies();
				$this->saveUser();
				$this->saveUserSession();
				
			}
		}
		
		function parseCookiesFromAjax($cookiestring)
		{
			$temp = explode(';', $cookiestring);
			$cookies = array();
			foreach ($temp as $item)
			{
				$split = strpos($item,'=');
				$name = substr($item, 0, $split);
				$value = substr($item,$split+1);
				$_COOKIE[$name] = $value;
			}
						
			$this->parseCookies();
			$this->saveUser();
			$this->saveUserSession();
		}
		
		function parseCookies()
		{
			$utma = $_COOKIE['__utma'];
			$utmb = $_COOKIE['__utmb'];
			$utmz = $_COOKIE['__utmz'];
			
			/*			
			PHPSESSID=5d51a87b66e52a049b2ef840d685d0bf; __utma=118065355.1647997184991446800.1219423535.1219432930.1219447099.4; __utmc=118065355; __utmz=118065355.1219423535.1.1.utmcsr=google|utmccn=(organic)|utmcmd=organic|utmctr=shopkidstoys; CartId=105-3213700-3096463; HMAC=6u7MMW%252BkvFhaH92hdh3Lm3DafXU%253D; __utmb=118065355.1.10.1219447099
			*/
		
			# utma - long term cookie with main details
			$utma = explode('.', $utma);
			$this->user['gaunique'] = $utma[1]; # Unique number identifying user
			$this->user['firstvisit'] = $utma[2]; # Unix timestamp of first visit (start of session)
			$this->user['previousvisit'] = $utma[3]; # Unix timestamp of previous visit (start of session)
			$this->user['currentvisit'] = $utma[4]; # Unix timestamp of this visit (start of session)
			
			# utmb - current session details
			$utmb = explode('.', $utmb);
			$this->session['pageviews'] = $utmb[1];
			$this->session['responses'] = $utmb[2];
			$this->session['sessionstarted'] = ($utmb[3] == '' ? 0 : $utmb[3]) ;
			
			# utmz - current session referral details
			$utmz = explode('.', $utmz);
			$this->session['referralcount'] = $utmz[2];
			$this->session['sourcecount'] = $utmz[3];
			$utmz_details = explode('|',$utmz[4]);
			foreach ($utmz_details as $key => $item)
			{
				$item = explode('=',$item);
				if ($item[0] == 'utmcsr') $this->session['source'] = $item[1];
				if ($item[0] == 'utmcmd') $this->session['medium'] = $item[1];
				if ($item[0] == 'utmctr') $this->session['keyword'] = $item[1];
				if ($item[0] == 'utmcct') $this->session['campaigncontent'] = $item[1];
				if ($item[0] == 'utmccn') $this->session['campaignname'] = $item[1];
				if ($item[0] == 'utmgclid') $this->session['adwords'] = $item[1];
			}
			
			
			# Other details not from cookies
			$this->session['sessionlastseen'] = time();
			$this->user['ips'][] = $_SERVER['REMOTE_ADDR'];

		}
		
		function saveUser()
		{
			# Does user exist?
			$user_id = $this->db->value('ga_users', 'id', $this->user['gaunique'], 'gaunique');
			
			if (!$user_id)
			{
				$this->user['ips'] = serialize($this->user['ips']);
				$user_id = $this->db->insert('ga_users', $this->user);
				$this->user['ips'] = unserialize($this->user['ips']);
			}
			else
			{
				# Get existing ip addresses
				$this->user['ips'] = array_merge($this->user['ips'], unserialize($this->db->value('ga_users', 'ips', $user_id)));
				$this->user['ips'] = array_unique($this->user['ips']);
				
				
				$this->user['ips'] = serialize($this->user['ips']);
				$this->db->update('ga_users', $user_id, $this->user);
				$this->user['ips'] = unserialize($this->user['ips']);
			}
			
			$this->user['id'] = $user_id;
		}
		
		function saveUserSession()
		{
			$this->session['user_id'] = $this->user['id'];
			
			$sql = "SELECT id FROM ga_sessions WHERE user_id = " . $this->user['id'] . " AND sessionstarted = " . $this->session['sessionstarted'];
			$rs = $this->db->query($sql);
			$session_id = $rs->getSingleResult();
			
			if (!$session_id)
			{
				$session_id = $this->db->insert('ga_sessions', $this->session);
			}
			else
			{
				$this->db->update('ga_sessions', $session_id, $this->session);
			}
			
			$this->session['id'] = $session_id;
			
		}
		
		function recordPageView($pagetype, $pagename, $url = false, $referringurl = false)
		{
			$data['user_id'] = $this->user['id'];
			$data['session_id'] = $this->session['id'];
			$data['pagetype'] = $pagetype;
			$data['pagename'] = $pagename;
			$data['url'] = ($url ? $url : $_SERVER['SCRIPT_URI']);
			$data['referringurl'] = ($referringurl ? $referringurl : (isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : ''));
			$data['timestamp'] = time();
			$data['ip'] = $_SERVER['REMOTE_ADDR'];
			
			$this->db->insert('ga_pageviews', $data);
		}
		
		function recordAction($action, $notes = '', $products = array())
		{
			if (!isset($this->user['id']))
			{
				$this->parseCookies();
				$this->saveUser();
				$this->saveUserSession();
			}
		
			$data['gauser_id'] = $this->user['id'];
			$data['gasession_id'] = $this->session['id'];
			$data['action'] = $action;
			$data['notes'] = $notes;
			$data['timestamp'] = time();
		
			$action_id = $this->db->insert('tracker_action', $data);
			
			if (sizeof($products) > 0)
			{
				foreach ($products as $product)
				{
					$product['action_id'] = $action_id;
					$this->db->insert('tracker_actionproducts', $product);
				}
			}
		}		
	}


?>