<?php

	function authenticateBestSpinner($username, $password)
	{
	
		# First we authenticate
		$url = 'http://thebestspinner.com/api.php';
		
		$post['action'] = 'authenticate';
		$post['format'] = 'php';
		$post['username'] = $username;
		$post['password'] = $password;
	
		$return = sendRemoteRequestPOST($url, $post);
		$response = unserialize($return);
		
		if ($response['success'] == 'false') return false;
		else return $response['session'];
	}
	
	function createBestSpinnerTemplate($text, $favourites = true)
	{
		# Authenticate first
		$result = authenticateBestSpinner(BESTSPINNER_EMAIL, BESTSPINNER_PASSWORD);
		
		if ($result === false) return false;
		
		# First we replace the attribute placeholders with a random string
		# So they aren't "spun" by Best Spinner
		$temp = extractContentTemplateAttributes($text);
		$attributes = array();
		foreach ($temp as $key => $item)
		{	
			$key = md5($item);
			$item = '['.$item.']';
			$attributes[$key] = $item;
			$text = str_replace($item, $key, $text);
		}
		# Same for Constants
		$temp = extractContentTemplateConstants($text);
		$constants = array();
		foreach ($temp as $key => $item)
		{	
			$key = md5($item);
			$item = '[['.$item.']]';
			$constants[$key] = $item;
			$text = str_replace($item, $key, $text);
		}
		
		
		# We can't send a template to best spinner.. so just in case we give it a spin
		$spun = performContentSwitching($text);
		$text = $spun[0];
		
		# Build the data array for the example.
		$post = array();
		$post['session'] = $result;
		$post['format'] = 'php'; # You can also specify 'xml' as the format.
		$post['text'] = $text;
		if ($favourites) $post['action'] = 'replaceEveryonesFavorites';
		else $post['action'] = 'identifySynonyms';
		
		$post['maxsyns'] = '3'; # The number of synonyms per term.
		$post['quality'] = '1';
		
		$url = 'http://thebestspinner.com/api.php';
		$return = sendRemoteRequestPOST($url, $post);
		$response = unserialize($return);
		
		if (!isset($response['success']) || $response['success'] !== 'true') return false;
		
		# Replace slashes
		$response['output'] = stripslashes($response['output']);
		
		# Put the attribute placeholders back in
		foreach ($attributes as $key => $item)
		{	
			$response['output'] = str_replace($key, $item, $response['output']);
		}
		
		# Put the constant placeholders back in
		foreach ($constants as $key => $item)
		{	
			$response['output'] = str_replace($key, $item, $response['output']);
		}
				
		return $response['output'];
		
	}
	
	

/*	
		
		
		$testmethod = 'identifySynonyms';
		#$testmethod = 'replaceEveryonesFavorites';
		
		# Authenticate and get back the session id.
		# You only need to authenticate once per session.
		# A session is good for 24 hours.
		$output = unserialize(curl_post($url, $data, $info));
		
		if($output['success']=='true'){
		  # Success.
		  $session = $output['session'];
		  
		  # Build the data array for the example.
		  $data = array();
		  $data['session'] = $session;
		  $data['format'] = 'php'; # You can also specify 'xml' as the format.
		  $data['text'] = 'Losing weight can be a difficult thing to do.';
		  $data['action'] = $testmethod;
		  $data['maxsyns'] = '3'; # The number of synonyms per term.
		  
		  if($testmethod=='replaceEveryonesFavorites'){
		    # Add a quality score for this method.
		    $data['quality'] = '1';
		  }
		
		  # Post to API and get back results.
		  $output = curl_post($url, $data, $info);
		  $output = unserialize($output);
		  
		  $output = curl_post($url, $data, $info);
		  $output = unserialize($output);
		  
		  # Show results.
		  echo "<p><b>Method:</b><br>$testmethod</p>";
		  echo "<p><b>Text:</b><br>$data[text]</p>";
		  
		  $data['action'] = 'apiQueries';
		  $quota = curl_post($url, $data, $info);
		  $quota = unserialize($quota);
		  
		  if($output['success']=='true'){
		    echo "<p><b>Output:</b><br>" . str_replace("\r", "<br>", $output['output']) . "</p><p>Remaining quota: $quota[output]</p>";
		  }
		  else{
		    echo "<p><b>Error:</b><br>$output[error]</p>";
		  }
		  
		  # Spin the Content
		  $data['action'] = 'randomSpin';
		  $data['text'] = $output['output'];
		  $output = curl_post($url, $data, $info);
		  $output = unserialize($output);
		  echo "<p><b>Spun:</b><br>$output[output]</p>";
		}
		else{
		  # There were errors.
		  echo "<p><b>Error:</b><br>$output[error]</p>";
		}
		
	}
*/
?>