<?php

	function getCacheIdentifier($identifier)
	{
		$string = '';
		foreach ($identifier as $item)
		{
			$string .= (is_array($item) ? print_r($item, true) : $item);
		}
		return md5($string);
	}

	function getCacheFile($identifier)
	{
		if (loggedIn()) return false;
		global $db;
		$cachefile = $db->get('cachefiles', $identifier, 'identifier');
		
		if ($cachefile === false) return false;
		
		if ($cachefile['created'] < date('Y-m-d H:i:s', time()-(60*60*24)) || !file_exists(PATH_ROOT.'cache/'.$cachefile['cachefile']))
		{
			# Delete cache file and delete from db
			@unlink(PATH_ROOT.'cache/'.$cachefile['cachefile']);
			$db->delete('cachefiles', $identifier, 'identifier');
			return false;
		}
		else
		{
			return file_get_contents(PATH_ROOT.'cache/'.$cachefile['cachefile']);
		}
		
	}
	
	function createCacheFile($contents, $identifier, $alwayscache = false)
	{
		if (loggedIn() && !$alwayscache) return;
	
		global $db;
		$filename = $identifier;
		@unlink(PATH_ROOT.'cache/'.$filename); # Just in case it exists
		file_put_contents(PATH_ROOT.'cache/'.$filename, $contents);
		$db->insert('cachefiles', array('identifier' => $identifier, 'cachefile' => $filename, 'created' => 'NOW()'));
	}
	
	function getFileContents($file)
	{
		foreach ($GLOBALS as $key => $val) { global $$key; }
		ob_start();
		require($file);
		$filecontents = ob_get_contents();
		ob_end_clean();
		return $filecontents;
	}
	
	function clearAllCache()
	{
		global $db;
	
		$db->query('delete from cachefiles');	
	
		$dir = PATH_ROOT.'cache/';
	
		$dh = opendir($dir);
		while (($file = readdir($dh)) !== false)
		{
			if (!is_dir($dir.$file)) unlink($dir.$file);
		}
		closedir($dh);
	}

?>