<?php

	function generateContent($productattributes, $product_id = 0)
	{		
		$generatedcontent = selectRandomContentTemplate($productattributes);
		$generatedcontent = replaceContentTemplateAttributes($generatedcontent, $productattributes);
		$generatedcontent = replaceContentTemplateConstants($generatedcontent);
		$generatedcontent = performContentSwitching($generatedcontent);
		if (isset($generatedcontent['pagenametemplate']))
		{
			$generatedcontent['pagenametemplate'] = tidyPagename($generatedcontent['pagenametemplate']);
			$generatedcontent['pagenametemplate'] = getUniquePagename($generatedcontent['pagenametemplate'], array('product_id' => $product_id));
		}
				
		$productcontent = array();
		foreach ($generatedcontent as $key => $item)
		{
			if (is_numeric($key)) continue;
			$key = str_replace('template', '', $key);
			$productcontent[$key] = $item;
		}
		
		
		return ($productcontent);
	}
	
	function selectRandomContentTemplate($productattributes)
	{
		global $db;
		
		# First get product group specific templates
		$templates = $db->query("SELECT * FROM contenttemplates WHERE productgroup = '{$productattributes['ProductGroup']}' OR productgroup = '' ORDER BY productgroup DESC");
		$templates = $templates->getFullArray();
		
		# If none get non specific templates
		if (sizeof($templates) == 0)
		{
			$templates = $db->query("SELECT * FROM contenttemplates ORDER BY productgroup DESC");
			$templates = $templates->getFullArray();
		}
				
		$validtemplates = array();
		$maxattributes = 0;
		# Narrow down the templates by the required attributes, favouring more attributes
		foreach ($templates as $item)
		{
			$requiredattributes = explode(',', $item['attributesrequired']);
			$attributequantity = count($requiredattributes);
			
		
			$valid = true;
			foreach ($requiredattributes as $ra)
			{
				if (!isset($productattributes[$ra])) $valid = false;
			}
			
			if ($valid)
			{
				$validtemplates[$attributequantity][] = $item;
				if ($attributequantity > $maxattributes) $maxattributes = $attributequantity;
			}
		}
		
		if (sizeof($validtemplates) == 0) return false;

		# Pick a random template (with the largest number of attributes)
		$selectedtemplate = $validtemplates[$maxattributes][array_rand($validtemplates[$maxattributes])];	
		
		# Just return the template fields
		$temp = $selectedtemplate;
		$selectedtemplate = array();
		foreach ($temp as $key => $item)
		{
			if (strpos($key, 'template') > 0)
			{
				$selectedtemplate[$key] = $item;
			}
		}
		
		return ($selectedtemplate);
	}


	function extractContentTemplateAttributes($templatetext)
	{
		if (!is_array($templatetext))
		{
			$temp = $templatetext;
			$templatetext = array(0=>$temp);
		}
	
		$attributes = array();
		foreach ($templatetext as $item)
		{
			$temp = array();
			preg_match_all("/\[[a-zA-Z1-9]+\]/",$item, $temp);
			
			foreach ($temp[0] as $attribute)
			{
				$attribute = str_replace('[','',$attribute);
				$attribute = str_replace(']','',$attribute);
				$attributes[$attribute] = $attribute;
			}
		}
		
		return $attributes;
	}
	
	function replaceContentTemplateAttributes($templates, $attributes)
	{
		if (!is_array($templates))
		{
			$temp = $templates;
			$templates = array(0=>$temp);
		}
				
		foreach ($templates as $key => $template)
		{
			$templateattributes = extractContentTemplateAttributes($template);
			
			foreach ($templateattributes as $item)
			{
				$template = str_replace('['.$item.']', $attributes[$item], $template);
			}
			
			$templates[$key] = $template;
		}
		
		return ($templates);
	}
	
	
	function extractContentTemplateConstants($templatetext)
	{
		if (!is_array($templatetext))
		{
			$temp = $templatetext;
			$templatetext = array(0=>$temp);
		}
	
		$attributes = array();
		foreach ($templatetext as $item)
		{
			$temp = array();
			preg_match_all("/\[\[[a-zA-Z1-9_]+\]\]/",$item, $temp);
			
			foreach ($temp[0] as $attribute)
			{
				$attribute = str_replace('[[','',$attribute);
				$attribute = str_replace(']]','',$attribute);
				$attributes[$attribute] = $attribute;
			}
		}
		
		return $attributes;
	}
	
	function replaceContentTemplateConstants($templates)
	{
		if (!is_array($templates))
		{
			$temp = $templates;
			$templates = array(0=>$temp);
		}
		
		$constantsarray = get_defined_constants();
				
		foreach ($templates as $key => $template)
		{
			$templateconstants = extractContentTemplateConstants($template);
						
			foreach ($templateconstants as $item)
			{
				$template = str_replace('[['.$item.']]', $constantsarray[$item], $template);
			}
			
			$templates[$key] = $template;
		}
		
		return ($templates);
	}
	
	function performContentSwitching($templates)
	{
		if (!is_array($templates))
		{
			$temp = $templates;
			$templates = array(0=>$temp);
		}
	
		foreach ($templates as $key => $template)
		{			
			$templates[$key] = switchContent($template);
		}
		
		return ($templates);
	}

	function switchContent($template)
	{
		preg_match_all('({([^{}}]+)})', $template, $matches);
		$matches = $matches[0];
		foreach ($matches as $match)
		{
			if (!strpos($match,'|')) continue;
			
			$choices = str_replace('{','',$match);
			$choices = str_replace('}','',$choices);
			$choices = explode('|',$choices);
			$id = array_rand($choices);
			
			$choice = $choices[$id];
			$template = str_replace($match,$choice,$template);
		}

		preg_match_all('({([^{}}]+)})', $template, $matches);
		if(count($matches[0])) $template = switchContent($template);

		return $template;
	}

?>
