<?php

	function createFormSelect($name, $id, $options, $selected = '')
	{
		$select = '<select name="'.$name.'" id="'.$id.'">';
		
		foreach ($options as $value => $option)
		{
			$select .= '<option value="'.$value.'"'.($selected == $value ? ' selected' : '').'>';
			$select .= $option;
			$select .= '</option>';			
		}
		
		$select .= '</select>';
		
		return $select;
	}
	
	function getBannerHTML($bannerkey, $cssid = '', $cssclass = '')
	{
		global $db;
		
		$banners = $db->getAll('banners', $bannerkey, 'bannerkey');
		
		if (!$banners) return '';
		
		$banner = $banners[array_rand($banners)];
		
		$html = '<img'.($cssid ? ' id="'.$cssid.'"' : '').($cssclass ? ' class="'.$cssclass.'"' : '').' src="/images/banner/'.$banner['image'].'" alt="'.$banner['alt'].'" title="'.$banner['title'].'" />';
		
		if ($banner['url'] != '')
		{
			$html = '<a href="'.$banner['url'].'"'.($banner['nofollow'] ? ' rel="nofollow"' : '').'>'.$html;
			$html .= '</a>';
		}
		
		return ($html);
	
	}
	
	function getProductRatingHTML($product, $admin = false)
	{	
		$rating = $product['averagescore'];
	
		if ($admin)
		{
			$imagepath = URL_SITE.'freshadmin/icons/';
		}
		else
		{
			$imagepath = URL_SITE.'templates/'.TEMPLATE_FOLDER.'/icons/';
		}
		
		$return = '';
		
		if ($rating == 0)
		{
			$return = '<em>No Reviews</em>';
		}
		else
		{
			$stars = floor($rating);
			$alttext = number_format($rating,2) . ' out of 5';
			for ($starcount=0; $starcount < $stars; $starcount++)
			{
				$return .= '<img src="'.URL_SITE.'templates/'.TEMPLATE_FOLDER.'/icons/star_full.gif" alt="'.$alttext.'" title="'.$alttext.'" />';
			}
			
			if ($rating % 1 <> 0)
			{
				$starcount++;
				$return .= '<img src="'.URL_SITE.'templates/'.TEMPLATE_FOLDER.'/icons/star_half.gif" alt="'.$alttext.'" title="'.$alttext.'" />';
			}
			
			while($starcount < 5)
			{
				$return .= '<img src="'.URL_SITE.'templates/'.TEMPLATE_FOLDER.'/icons/star_empty.gif" alt="'.$alttext.'" title="'.$alttext.'" />';

				$starcount++;	
			}
			
			if (!$admin) $return .= ' <a title="'.$product['totalreviews'].' review(s) for '.$product['title'].'" href="'.URL_SITE.$product['pagename'].'/reviews/">'.$product['totalreviews'].'</a>';
		}
		
		return ($return);
	}

?>