<?php
/**
 * File containing class to connect to mysql database
 *
 * @author Carey Baird
 * @package MySQL
 * @version 1.0.0
 * @link http://www.freshdevelopment.co.uk
 */


/**
* @access public
* @package MySQL
*/
Class MySQL
{

	var	$connection;

	function MySQL()
	{
		$this->connect();
	}

	function connect()
	{
		// attempt connection
		if (!$this->connection = mysql_connect(MYSQL_HOST,MYSQL_USERNAME,MYSQL_PASSWORD))
		{
			trigger_error("Problem connecting to database: " . mysql_error());
		}
		mysql_select_db(MYSQL_DATABASE,$this->connection) or trigger_error("Problem selecting the database: ".mysql_error());
	}

	function &query($sql, $description = 'No Description', $showerrors = true)
	{
		$rs = mysql_query($sql, $this->connection);

		if (!$rs)
		{
			if ($showerrors)
			{
				echo mysql_error() . '('.$description.') sql: '.$sql;
				
				$body = mysql_error() . '('.$description.') sql: '.$sql;
				$body .= "\n\n";
				$body .= print_r($_SESSION,true);
				$body .= "\n\n";
				$body .= print_r($_SERVER,true);
	
				#mail (EMAIL_TO, 'Error at ' . SITE_NAME, $body);
			}
			
			return false;
		}
		else
		{
			$mysqlrs = new MySQLResultSet($this, $rs);
			return ($mysqlrs);
		}
	}
	
	function cleanValue($value)
	{
		$value = mysql_real_escape_string($value);
		return ($value);
	}
	
	function cleanValues($values)
	{
		$clean = array();
		foreach ($values as $key => $value)
		{
			$clean[$key] = $this->cleanValue($value);
		}
		return ($clean);
	}
	
	function update($table, $id, $values, $idfield = 'id')
	{
		$sql = "UPDATE ".$table." ";
		$sql .= "SET ";
		foreach ($values as $field => $value)
		{
			$sql .= "$field = '" . $this->cleanValue($value) . "', ";
		}
		$sql = substr($sql,0,strlen($sql)-2);
		$sql .= " WHERE $idfield = '$id'";
		
		$this->query($sql);
	}
	
	function insert($table, $values)
	{
		$sql = "INSERT INTO ".$table." ";
		$sql_fields = "(";
		$sql_select = "SELECT ";
		foreach ($values as $field => $value)
		{
			$sql_fields .= "`$field`, ";
			
			
			if ($value === 'NOW()')
				$sql_select .= "NOW(), ";
			else
				$sql_select .= "'" . $this->cleanValue($value) . "', ";
			
		}
		$sql_fields = substr($sql_fields,0,strlen($sql_fields)-2).")";
		$sql_select = substr($sql_select,0,strlen($sql_select)-2);
		$sql .= $sql_fields . ' ' . $sql_select;

		$rs = $this->query($sql);
		
		return ($rs->insertID());
	}
	
	function delete($table, $id, $column = 'id')
	{
		$sql = "DELETE FROM $table WHERE $column = '" . $this->cleanValue($id)."'";
		$this->query($sql);
	}
	
	function get($table, $id, $column = 'id', $orderfield = false, $orderdirection = 'ASC')
	{
		if ($orderfield)
		{
			$orderby = ' ORDER BY '.$orderfield.' '.$orderdirection;
		}
	
		$rs = $this->query("SELECT * FROM $table WHERE $column = '" . $this->cleanValue($id)."'".$orderby);
		return ($rs->fetch());
	}
	
	function getAll($table, $id = false, $column = 'id', $orderfield = false, $orderdirection = 'ASC')
	{
		if ($orderfield)
		{
			$orderby = ' ORDER BY '.$orderfield.' '.$orderdirection;
		}
	
		if ($id === false)
		{
			$rs = $this->query("SELECT * FROM $table".$orderby);
		}
		else
		{
			$rs = $this->query("SELECT * FROM $table WHERE $column = '" . $this->cleanValue($id)."'".$orderby);
		}
		
		return ($rs->getFullArray());
	}
	
	function value($table, $field, $id, $column = 'id')
	{
		$rs = $this->query("SELECT $field FROM $table WHERE $column = '$id'");
		return ($rs->getSingleResult());
	}
		
}



/**
 * File containing class to perform mysql queries
 *
 * @author Carey Baird
 * @package MySQL
 * @version 1.0.0
 * @link http://www.freshdevelopment.co.uk
 */


/**
* @access public
* @package MySQL
*/

class MySQLResultSet
{

	function MySQLResultSet(&$mysql, $rs)
	{
		$this->mysql 	= &$mysql;
		$this->rs		= $rs;
	}

	function fetch($result_type = MYSQL_BOTH)
	{
		if ($row = mysql_fetch_array($this->rs, $result_type))
		{
			return $row;
		}
		else if ($this->rows() > 0)
		{
			mysql_data_seek($this->rs, 0);
			return false;
		}
		else
		{
			return false;
		}
	}

	function getSingleResult()
	{
		if ($this->rows() > 1)
		{
			#trigger_error('This query returned more than one result');
		}
		else if ($this->fields() <> 1)
		{
			#trigger_error('This query has more than one column');
		}
		else if ($this->rows() == 0)
		{
			return false;
		}
		return mysql_result($this->rs, 0);
	}

	function getFullArray($singlecolumn = false, $result_type = MYSQL_BOTH)
	{
		$ra = array();
		$fra = array();

		while ($ra = $this->fetch($result_type))
		{
			if(($singlecolumn && $result_type == MYSQL_BOTH))
			{
				$fra[] = $ra[0];
			}
			else
			{
				$fra[] = $ra;
			}
		}

		return $fra;
	}

	function rows()
	{
		return mysql_num_rows($this->rs);
	}

	function fields()
	{
		return mysql_num_fields($this->rs);
	}

	function insertID()
	{
		return mysql_insert_id($this->mysql->connection);
	}

	function affectedRows()
	{
		return mysql_affected_rows($this->mysql->connection);
	}

}
?>
