<?php
		
	/******************** Pages */
	
	function findPageType($pagename)
	{
		global $db;
		
		$wildcard = (strstr($pagename, '%') ? true : false);
		
		# Home Page?
		if ($pagename == '' || $pagename == '/')
		{
			define('IS_PAGE', true);
			return 'homepage';
		}
		
		# Product Image?
		if ($pagename == 'productimage')
		{
			define('IS_PAGE', true);
			return 'productimage';
		}
		
		# Custom Page?
		$sql = "SELECT id FROM pages WHERE pagename ".($wildcard ? 'LIKE' : '=')." '$pagename' LIMIT 1";
		$rs = $db->query($sql, 'Checking for product pagename');
		$page_id = $rs->getSingleResult();
		
		
		if ($page_id)
		{
			define('IS_PAGE', true);
		
			$sql = "SELECT * FROM pages WHERE id = $page_id";
			$rs = $db->query($sql, 'Getting page');
			$page = $rs->fetch();
						
			if ($page['core'])
			{
				return $page['corecontroller'];
			}
			else
			{
				return 'custompage';
			}
		}		
		
		# Product?
		$sql = "SELECT id FROM products WHERE pagename ".($wildcard ? 'LIKE' : '=')." '$pagename' AND hidden = 0 AND expired = 0 LIMIT 1";
		
		$rs = $db->query($sql, 'Checking for product pagename');
		$product_id = $rs->getSingleResult();
		if ($product_id) return 'product';
		
		# Category?
		$sql = "SELECT id FROM categories WHERE pagename ".($wildcard ? 'LIKE' : '=')." '$pagename' LIMIT 1";
		$rs = $db->query($sql, 'Checking for category pagename');
		$category_id = $rs->getSingleResult();
		if ($category_id) return 'category';
		
		# Manufacturer?
		$sql = "SELECT id FROM manufacturers WHERE pagename ".($wildcard ? 'LIKE' : '=')." '$pagename' LIMIT 1";
		$rs = $db->query($sql, 'Checking for manufacturer pagename');
		$category_id = $rs->getSingleResult();
		if ($category_id) return 'manufacturer';
		
		# Nothing found, return false
		return false;
	}
	
	function getPageNameByPartialPageName($partialpagename)
	{
		global $db;

		$tables = array();
		$tables[] = 'pages';
		$tables[] = 'products';
		$tables[] = 'categories';
		$tables[] = 'manufacturers';
		
		foreach ($tables as $table)
		{
			$sql = "SELECT pagename FROM $table WHERE pagename LIKE '$partialpagename' LIMIT 1";
			$rs = $db->query($sql);
			$pagename = $rs->getSingleResult();
			if ($pagename) return ($pagename);
		}
	}
	
	
	function findMovedPage($pagename)
	{
		global $db;		
		$sql = "SELECT newpagename FROM pagelegacy WHERE oldpagename = '$pagename'";
		$rs = $db->query($sql, 'Looking up a page change');
		return ($rs->getSingleResult());
	}
	
	function setPageRedirect($oldpagename, $newpagename)
	{
		global $db;
		
		if ($oldpagename == $newpagename) return;
		if ($oldpagename == '') return;
		
		$oldpagename = $db->cleanValue($oldpagename);
		$newpagename = $db->cleanValue($newpagename);
		
		$sql = "SELECT COUNT(*) FROM pagelegacy WHERE oldpagename = '$oldpagename'";
		$rs = $db->query($sql);
		$count = $rs->getSingleResult();
		
		# Updating or inserting?
		if ($count > 0)
		{
			$sql = "UPDATE pagelegacy SET newpagename = '$newpagename' WHERE oldpagename = '$oldpagename'";
		}
		else
		{
			$sql = "INSERT INTO pagelegacy SELECT '$oldpagename', '$newpagename'";
		}
		$db->query($sql);
		
		# Repoint any other page legacy's so its not doing a double 301
		$sql = "UPDATE pagelegacy SET newpagename = '$newpagename' WHERE newpagename = '$oldpagename'";
		$db->query($sql);
		
		# Delete any legacys that are pointing to themselves (happens if a pagename is switched then switched back)
		$sql = "DELETE FROM pagelegacy WHERE newpagename = oldpagename";
		$db->query($sql);
	}
	
	
	
	function getUniquePageName($pagename, $ids = array())
	{
		global $db;
		
		$count = 0;
		
		$sql = "SELECT COUNT(*) FROM products WHERE pagename = '$pagename' AND id <> '".$ids['product_id']."'";
		$rs = $db->query($sql);
		$count += $rs->getSingleResult();
		
		$sql = "SELECT COUNT(*) FROM categories WHERE pagename = '$pagename' AND id <> '".$ids['category_id']."'";
		$rs = $db->query($sql);
		$count += $rs->getSingleResult();
		
		$sql = "SELECT COUNT(*) FROM manufacturers WHERE pagename = '$pagename' AND id <> '".$ids['manufacturer_id']."' AND (display_sidebar = 1 OR display_allmanufacturers = 1 OR display_product = 1 OR display_filter = 1 OR display_homepage = 1)";
		$rs = $db->query($sql);
		$count += $rs->getSingleResult();
		
		$sql = "SELECT COUNT(*) FROM pages WHERE pagename = '$pagename' AND id <> '".$ids['page_id']."'";
		$rs = $db->query($sql);
		$count += $rs->getSingleResult();
		
		$blacklisted = array("ajax", "autorun", "cache", "config", "controllers", "emails", "freshadmin", "icons", "images", "install", "library", "logs", "min", "start", "templates");
		if(in_array($pagename, $blacklisted)) $count++;
		
		if ($count > 0)
		{
			$pagename .= '-'.rand();
			return (getUniquePageName($pagename, $ids));
		}
		else
		{
			return $pagename;
		}
	}
	
	function createPageName($content, $ids = array())
	{
		$pagename = '';
		
		if (!is_array($content))
		{
			$temp = $content;
			$content = array();
			$content[] = $temp;
		}
		
		$words = array();
		foreach ($content as $key => $item)
		{
			$item = strtolower($item);
			$item = trim($item);
			$item = preg_replace('([^A-Za-z0-9-\s]+)','',$item);
			$item = preg_replace('([\s]+)',',',$item);
			$words = array_merge($words, explode(',', $item));
		}
		
		# http://www.textfixer.com/
		$commonwords = explode(',', "'tis,'twas,a,able,about,across,after,ain't,all,almost,also,am,among,an,and,any,are,aren't,as,at,be,because,been,but,by,can,can't,cannot,could,could've,couldn't,dear,did,didn't,do,does,doesn't,don't,either,else,ever,every,for,from,get,got,had,has,hasn't,have,he,he'd,he'll,he's,her,hers,him,his,how,how'd,how'll,how's,however,i,i'd,i'll,i'm,i've,if,in,into,is,isn't,it,it's,its,just,least,let,like,likely,may,me,might,might've,mightn't,most,must,must've,mustn't,my,neither,no,nor,not,of,off,often,on,only,or,other,our,own,rather,said,say,says,shan't,she,she'd,she'll,she's,should,should've,shouldn't,since,so,some,than,that,that'll,that's,the,their,them,then,there,there's,these,they,they'd,they'll,they're,they've,this,tis,to,too,twas,us,wants,was,wasn't,we,we'd,we'll,we're,were,weren't,what,what'd,what's,when,when,when'd,when'll,when's,where,where'd,where'll,where's,which,while,who,who'd,who'll,who's,whom,why,why'd,why'll,why's,will,with,won't,would,would've,wouldn't,yet,you,you'd,you'll,you're,you've,your");
		
		foreach ($commonwords as $key => $item)
		{
			$commonwords[$key] = str_replace("'", '', $item);
		}
		
		foreach ($words as $key => $item)
		{
			if (in_array($item, $commonwords)) unset($words[$key]);
		}
				
		$pagename = implode('-', $words);
		
		$pagename = preg_replace("/[-]{2,}/", '-', $pagename); #removes multiple -
		
		# Remove spaces
		$pagename = str_replace(' ', '-', $pagename);
		
		# Check the size
		if (strlen($pagename) > 70)
		{
			$pagename = substr($pagename,0,70);
			$ta = explode('-',$pagename);
			$trimchunk = $ta[sizeof($ta)-1];
			$pagename = substr($pagename,0,70-(strlen($trimchunk)+1));
		}
		
		$pagename = getUniquePageName($pagename, $ids);
	
		return($pagename);
	}
	
	function tidyPagename($pagename)
	{
		$pagename = trim($pagename);
		$pagename = strtolower($pagename);
		$pagename = preg_replace('([^A-Za-z0-9-\s]+)','',$pagename);
		$pagename = preg_replace('([\s]+)','-',$pagename);
		$pagename = preg_replace("/[-]{2,}/", '-', $pagename);
		return ($pagename);
	}
	
	/****************************/
	
?>