<?php
	
	function getPaginationCurrentOptions($basevar = 1)
	{
		$defaultperpage = getTemplateOption('PRODUCT_LISTING_QUANTITY');
		if(!$defaultperpage || strpos(PAGENAME, 'freshadmin') !== false) $defaultperpage = PER_PAGE_LISTING;
		$pagination = array();

		# Sort out GET vars
		$pagination['currentpage']	= ((isset($_GET['var'.$basevar]) && is_numeric($_GET['var'.$basevar])) ? $_GET['var'.$basevar] : 1);
		$pagination['currentsort']	= (isset($_GET['var'.(++$basevar)]) ? $_GET['var'.$basevar] : 'bestselling');
		$pagination['currentperpage']	= (isset($_GET['var'.(++$basevar)]) ? $_GET['var'.$basevar] : $defaultperpage);
		
		return $pagination;
	}

	function getPaginationSortOptions($type)
	{
		if ($type == 'products')
		{
			# Sort options
			$sortoptions['bestselling']['displayname'] = 'Best Sellers';
			$sortoptions['bestselling']['sql'] = 'salesrank ASC';
			$sortoptions['price-asc']['displayname'] = 'Price (Low to High)';
			$sortoptions['price-asc']['sql'] = 'price ASC';
			$sortoptions['price-desc']['displayname'] = 'Price (High to Low)';
			$sortoptions['price-desc']['sql'] = 'price DESC';
			$sortoptions['reviewscore']['displayname'] = 'Customer Review Score';
			$sortoptions['reviewscore']['sql'] = 'averagescore DESC';
			$sortoptions['random']['displayname'] = 'Random';
			$sortoptions['random']['sql'] = 'RAND()';
		}
		
		if ($type == 'manufacturers')
		{
			# Sort options
			$sortoptions['title']['displayname'] = 'Name';
			$sortoptions['title']['sql'] = 'name ASC';
			$sortoptions['amazonname']['displayname'] = 'Amazon Name';
			$sortoptions['amazonname']['sql'] = 'amazonname ASC';
		}
		
		if ($type == 'messages')
		{
			# Sort options
			$sortoptions['date-desc']['displayname'] = 'Date (New to Old)';
			$sortoptions['date-desc']['sql'] = 'created DESC';
			$sortoptions['date-asc']['displayname'] = 'Date (Old to New)';
			$sortoptions['date-asc']['sql'] = 'created ASC';
			$sortoptions['item']['displayname'] = 'Item Type';
			$sortoptions['item']['sql'] = 'item ASC';
		}

		if($type == 'emails')
		{
			$sortoptions['address-asc']['displayname'] = 'Address (A to Z)';
			$sortoptions['address-asc']['sql'] = 'email ASC';
			$sortoptions['address-desc']['displayname'] = 'Address (Z to A)';
			$sortoptions['address-desc']['sql'] = 'email DESC';
			$sortoptions['date-desc']['displayname'] = 'Date (New to Old)';
			$sortoptions['date-desc']['sql'] = 'created DESC';
			$sortoptions['date-asc']['displayname'] = 'Date (Old to New)';
			$sortoptions['date-asc']['sql'] = 'created ASC';
		}
	
		return ($sortoptions);
	}
	
	function getPaginationPagesHTML($pagination)
	{
		?>
		<a href="<?= buildListingLink($pagination['baselink'], $pagination['currentpage']-1, $pagination['currentsort'], key($pagination['sortoptions']), $pagination['currentperpage'], PER_PAGE_LISTING) ?>">&laquo;</a>
		<?php
		
		if ($pagination['pages'] > 12)
		{
			$start = $pagination['currentpage'] - 6;
			if ($start < 1) $start = 1;
			
			$end = $start + 12;
			if ($end < 12) $end = 13 - $start;
			
			$offset = $pagination['currentpage'] - 1;
		
			if ($start > 1)
			{
				?>
					<a href="<?= buildListingLink($pagination['baselink'], 1, $pagination['currentsort'], key($pagination['sortoptions']), $pagination['currentperpage'], PER_PAGE_LISTING) ?>" <?= ($i == $pagination['currentpage'] ? 'class="active"' : '') ?>>1</a>
				<?php
				echo '....';
			}
		
			for ($i=$start; $i <= $end; $i++)
			{
				?>
					<a href="<?= buildListingLink($pagination['baselink'], $i, $pagination['currentsort'], key($pagination['sortoptions']), $pagination['currentperpage'], PER_PAGE_LISTING) ?>" <?= ($i == $pagination['currentpage'] ? 'class="active"' : '') ?>><?= $i ?></a>
				<?php
			}
			
			if ($end < $pagination['pages'])
			{
				echo '....';
				?>
					<a href="<?= buildListingLink($pagination['baselink'], $pagination['pages'], $pagination['currentsort'], key($pagination['sortoptions']), $pagination['currentperpage'], PER_PAGE_LISTING) ?>" <?= ($i == $pagination['currentpage'] ? 'class="active"' : '') ?>><?= $pagination['pages'] ?></a>
				<?php
				
			}
		}
		else
		{		
			for ($i=1; $i <= $pagination['pages']; $i++)
			{
			
				?>
					<a href="<?= buildListingLink($pagination['baselink'], $i, $pagination['currentsort'], key($pagination['sortoptions']), $pagination['currentperpage'], PER_PAGE_LISTING) ?>" <?= ($i == $pagination['currentpage'] ? 'class="active"' : '') ?>><?= $i ?></a>
				<?php
			}
		}
		?>
		<a href="<?= buildListingLink($pagination['baselink'], $pagination['currentpage']+1, $pagination['currentsort'], key($pagination['sortoptions']), $pagination['currentperpage'], PER_PAGE_LISTING) ?>">&raquo;</a>
		<?php
	}
	
	# Sorts an array of arrays by values in the child arrays
	function sortArrayByChildValue($data, $childField)
	{
		$code = "return strnatcmp(\$a['$childField'], \$b['$childField']);";
		usort($data, create_function('$a,$b', $code));
		return $data;
	}

?>
