<?php

	# Sort out the get parameters from .htaccess rule
	$querystring = explode('/', $_GET['q']);
	
	$controller = (!empty($querystring[0]) ? $querystring[0] : 'dashboard');
	$action = (!empty($querystring[1]) ? $querystring[1] : 'index');
	unset($querystring[0]);
	unset($querystring[1]);
	
	$i=0;
	foreach ($querystring as $key => $item)
	{
		$i++;
		if ($item != '')
		{
			#$item = preg_replace('/[^a-zA-Z0-9-]/', ' ', $item);
			$_GET['var'.$i] = $item;
		}
	}


	## Paths, URLs and Configs
	$tp = '../';
	if (!file_exists($tp.'config/paths.php')) $tp .= '../';
	require($tp.'config/paths.php');
	require(PATH_CONFIG.'server.php');
	require(PATH_CONFIG.'mysql.php');

	##  Current Page Name Requested
	define('PAGENAME', "freshadmin/{$controller}/{$action}");
	
	##  Session
	session_start();


	##  Core Application Functions and Classes
	require(PATH_LIBRARY.'amazon.php');
	require(PATH_LIBRARY.'authentication.php');
	require(PATH_LIBRARY.'messages.php');
	require(PATH_LIBRARY.'pagenames.php');
	require(PATH_LIBRARY.'categories.php');
	require(PATH_LIBRARY.'categories_images.php');
	require(PATH_LIBRARY.'parameters.php');
	require(PATH_LIBRARY.'misc.php');
	require(PATH_LIBRARY.'mysql.php');
	require(PATH_LIBRARY.'remote.php');
	require(PATH_LIBRARY.'xmltoarray.php');
	require(PATH_LIBRARY.'html.php');
	require(PATH_LIBRARY.'products.php');
	require(PATH_LIBRARY.'manufacturers.php');
	require(PATH_LIBRARY.'searchindexes.php');
	require(PATH_LIBRARY.'pages.php');
	require(PATH_LIBRARY.'phpThumb/phpthumb.class.php');
	require(PATH_LIBRARY.'pagination.php');
	require(PATH_LIBRARY.'merchants.php');
	require(PATH_LIBRARY.'contenttemplates.php');
	require(PATH_LIBRARY.'cache.php');
	require(PATH_LIBRARY.'templates.php'); #To support old templates
	require(PATH_LIBRARY.'simplepie.php');
	require(PATH_LIBRARY.'autorun.php');
	require(PATH_LIBRARY.'bestspinner.php');
	
	##  Setup MySQL Connection
	$db = new mysql(MYSQL_HOST, MYSQL_USERNAME, MYSQL_PASSWORD, MYSQL_DATABASE);
	
	## Load and Setup Local Parameters
	defineParameters();
	
	# Setup URLs
	require(PATH_CONFIG.'urls.php');
	
	# Time Zone
	$db->query("SET time_zone = '".TIME_ZONE."'", 'Setting Time Zone', false);
	@putenv('TZ='.TIME_ZONE);
	@mktime(0,0,0,1,1,1970);
	
	# Basically Clean slashes from the GET, POST & COOKIE
	cleanGPC();
	
	# Set the Locale
	define('AMAZON_LOCALE', checkAmazonTagLocale(AMAZON_TAG));
		
	
	## Check Authentication
	if (loggedIn() && $_GET['controller'] == 'user' && $_GET['action'] == 'login')
	{
		setMessage('error', 'You are already logged in.');
		header("Location: ".URL_SITE."freshadmin/");
		exit();
	}
	else if (!loggedIn() && !($controller == 'user' && ($action == 'login' || $action == 'resetpassword')))
	{
		header("Location: ".URL_SITE."freshadmin/user/login/");
		exit();
	}
	
	# [DEPRECATE]
	## Top Admin Stripe
	if (loggedIn()) $template_show_stripe = true;
	else $template_show_stripe = false;

	## Initialise the Amazon Class
	$amazon = initialiseAmazon();

	# Amazon cart
	$amazon->getCart();
	
	# Disable admin checks for certain controllers
	if ($controller == 'report' && $action == 'chartcheckouts') $disableadminchecks = true;
	
	# Check for file permissions
	if (loggedIn() && !$disableadminchecks)
	{
		$permissions[] = "../";
		$permissions[] = "../cache/";
		$permissions[] = "../images/";
		$permissions[] = "../config/";
		$permissions[] = "../logs/";
		$permissions[] = "../sitemap.xml";

		foreach ($permissions as $file){
			if (!is_writeable($file)) setMessage('warning', 'The file or folder "'.str_replace("..", "", $file).'" is not writeable - please change the permissions or ask support for more information.', true);
		}
	}
	
	# Version
	$version = $db->query("SELECT Version FROM version ORDER BY version DESC LIMIT 1")->getSingleResult();
	
	if (loggedIn() && !$disableadminchecks)
	{
		# Install Folder Exists?
		if (is_dir(PATH_ROOT.'install/'))
		{
			setMessage('warning', 'Please delete the /install/ directory from your server, for security purposes', true);
		}
	}
	
	# Site not live?
	if (loggedIn() && !$disableadminchecks)
	{
		# Install Folder Exists?
		if (!SITE_LIVE)
		{
			setMessage('warning', 'Your site is not yet live!', true);
		}
	}
	
	# [DEPRECATE]
	#If template options haven't been set, set them
	$options = $db->getAll('template_options');
	if (sizeof($options) == 0)
	{
		getTemplateConfig(TEMPLATE_FOLDER);
	}
	
	# Check if any scripts need to be autorun in the background
	checkAutoRun();
	
?>
