<?php

# Fresh Store Builder Template
# Configuration File
# http://www.freshstorebuilder.c0m/

# General template information
$template['meta']['uid'] = 'classic';
$template['meta']['name'] = 'Classic Template';
$template['meta']['author'] = 'Carey Baird';
$template['meta']['url'] = 'http://www.freshstorebuilder.c0m/';

/* Options */

	# Left Category Menu
	$t = array();
	$t['name'] = 'Left Category Menu Type';
	$t['description'] = 'Determines the left category menu status. Can be full (complete category list) or compact (only expands sub categories when on main category).';
	$t['datatype'] = 'options';
	$t['options'] = 'full|compact';
	$t['editable'] = '1';
	$t['default_value'] = 'compact';
	$template['options']['LEFT_CATEGORY_TYPE'] = $t;

	# Language
	$t = array();
	$t['name'] = 'Template Language';
	$t['description'] = 'The language to use for images and default text.';
	$t['datatype'] = 'options';
	$t['options'] = 'en|de|it';
	$t['editable'] = '1';
	$t['default_value'] = 'en';
	$template['options']['TEMPLATE_LANGUAGE'] = $t;
	
	# Homepage Logos
	$t = array();
	$t['name'] = 'Homepage Brand Logos';
	$t['description'] = 'The quantity of brand logos to show on the homepage.';
	$t['datatype'] = 'int';
	$t['options'] = '';
	$t['editable'] = '1';
	$t['default_value'] = '5';
	$template['options']['HOME_LOGOS_QUANTITY'] = $t;

	# Homepage Special Offers
	$t = array();
	$t['name'] = 'Homepage Special Offers';
	$t['description'] = 'The quantity of special offers to show on the homepage.';
	$t['datatype'] = 'int';
	$t['options'] = '';
	$t['editable'] = '1';
	$t['default_value'] = '3';
	$template['options']['HOME_SPECIALS_QUANTITY'] = $t;
	
	# Homepage Best Sellers
	$t = array();
	$t['name'] = 'Homepage Best Sellers';
	$t['description'] = 'The quantity of best sellers to show on the homepage.';
	$t['datatype'] = 'int';
	$t['options'] = '';
	$t['editable'] = '1';
	$t['default_value'] = '3';
	$template['options']['HOME_BESTSELLERS_QUANTITY'] = $t;
	
	# Product Listing Quantity
	$t = array();
	$t['name'] = 'Product Listing Quantity';
	$t['description'] = 'The quantity of products to show on each product page.';
	$t['datatype'] = 'int';
	$t['options'] = '';
	$t['editable'] = '1';
	$t['default_value'] = '30';
	$template['options']['PRODUCT_LISTING_QUANTITY'] = $t;
	
/* Images */
	
	# Logo
	$i = array();
	$i['name'] = 'Main Logo Image';
	$i['description'] = 'The logo that appears in the header.';
	$i['type'] = 'html';
	$i['cssselector'] = '';
	$i['default_cssdecleration'] = '';
	$i['width'] = '400';
	$i['height'] = '200';
	$i['forcedimensions'] = '0';
	$i['default_src'] = '%TEMPLATEFOLDER%/images/logo.png';
	$i['default_alt'] = '';
	$i['default_title'] = '';
	$i['default_link'] = '[PAGE]homepage';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '0';
	$i['disable_link_settings'] = '0';
	$i['default_disabled'] = '0';
	$template['images']['HEAD_LOGO'] = $i;
	
	# Header Banner
	$i = array();
	$i['name'] = 'Header Banner';
	$i['description'] = 'A banner that appears in the header.';
	$i['type'] = 'html';
	$i['cssselector'] = '';
	$i['default_cssdecleration'] = '';
	$i['width'] = '460';
	$i['height'] = '150';
	$i['forcedimensions'] = '0';
	$i['default_src'] = '';
	$i['default_alt'] = '';
	$i['default_title'] = '';
	$i['default_link'] = '';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '0';
	$i['disable_link_settings'] = '0';
	$i['default_disabled'] = '1';
	$template['images']['HEAD_BANNER'] = $i;
	
	# Home Banner Left
	$i = array();
	$i['name'] = 'Home Banner - Left';
	$i['description'] = 'A banner that appears on the homepage - top left position.';
	$i['type'] = 'html';
	$i['cssselector'] = '';
	$i['default_cssdecleration'] = '';
	$i['width'] = '350';
	$i['height'] = '200';
	$i['forcedimensions'] = '1';
	$i['default_src'] = '%TEMPLATEFOLDER%/images/special_offer_banner.jpg';
	$i['default_alt'] = '';
	$i['default_title'] = '';
	$i['default_link'] = '[PAGE]specialoffers';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '0';
	$i['disable_link_settings'] = '0';
	$i['default_disabled'] = '0';
	$template['images']['HOME_BANNER_LEFT'] = $i;
	
	# Home Banner Right
	$i = array();
	$i['name'] = 'Home Banner - Right';
	$i['description'] = 'A banner that appears on the homepage - top right position.';
	$i['type'] = 'html';
	$i['cssselector'] = '';
	$i['default_cssdecleration'] = '';
	$i['width'] = '350';
	$i['height'] = '200';
	$i['forcedimensions'] = '1';
	$i['default_src'] = '%TEMPLATEFOLDER%/images/secure_shopping.jpeg';
	$i['default_alt'] = '';
	$i['default_title'] = '';
	$i['default_link'] = '[PAGE]termsofuse';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '0';
	$i['disable_link_settings'] = '0';
	$i['default_disabled'] = '0';
	$template['images']['HOME_BANNER_RIGHT'] = $i;
	
	# Background Image
	$i = array();
	$i['name'] = 'Background Image';
	$i['description'] = 'The main background image for the site.';
	$i['type'] = 'css';
	$i['cssselector'] = 'body';
	$i['default_cssdecleration'] = "{background-image: url(%IMAGE_URL%);}";
	$i['width'] = '1828';
	$i['height'] = '1392';
	$i['forcedimensions'] = '0';
	$i['default_src'] = '';
	$i['default_alt'] = '';
	$i['default_title'] = '';
	$i['default_link'] = '';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '0';
	$i['disable_link_settings'] = '0';
	$i['default_disabled'] = '0';
	$template['images']['MAIN_BACKGROUND'] = $i;
	
	# Proceed to Checkout
	$i = array();
	$i['name'] = 'Proceed to Checkout button';
	$i['description'] = 'The proceed to checkout button.';
	$i['type'] = 'html';
	$i['cssselector'] = '';
	$i['default_cssdecleration'] = '';
	$i['width'] = '156';
	$i['height'] = '27';
	$i['forcedimensions'] = '0';
	$i['default_src'] = '%TEMPLATEFOLDER%/buttons/checkout_amazon.gif';
	$i['default_alt'] = 'Proceed to Checkout';
	$i['default_title'] = 'Proceed to Checkout';
	$i['default_link'] = '';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '0';
	$i['default_disabled'] = '0';
	$i['disable_link_settings'] = '1';
	$template['images']['BUTTON_PROCEED_CHECKOUT'] = $i;
	
	# Continue to Amazon Button
	$i = array();
	$i['name'] = 'Continue to Amazon button';
	$i['description'] = 'The continue to amazon button shown on the checkout page.';
	$i['type'] = 'html';
	$i['cssselector'] = '';
	$i['default_cssdecleration'] = '';
	$i['width'] = '94';
	$i['height'] = '22';
	$i['forcedimensions'] = '0';
	$i['default_src'] = '%TEMPLATEFOLDER%/images/amazon_checkout_continue.gif';
	$i['default_alt'] = 'Continue to Amazon';
	$i['default_title'] = 'Continue to Amazon';
	$i['default_link'] = '';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '0';
	$i['default_disabled'] = '0';
	$i['disable_link_settings'] = '1';
	$template['images']['BUTTON_AMAZON_CONTINUE'] = $i;
	
	# Secure Payments Image
	$i = array();
	$i['name'] = 'Secure Payments Image';
	$i['description'] = 'The secure payments button shown in the footer.';
	$i['type'] = 'html';
	$i['cssselector'] = '';
	$i['default_cssdecleration'] = '';
	$i['width'] = '300';
	$i['height'] = '40';
	$i['forcedimensions'] = '0';
	$i['default_src'] = '%TEMPLATEFOLDER%/images/securepayments.jpg';
	$i['default_alt'] = 'Secure Payments - Click for Details';
	$i['default_title'] = 'Secure Payments';
	$i['default_link'] = '[PAGE]ordersshipping';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '1';
	$i['default_disabled'] = '0';
	$i['disable_link_settings'] = '0';
	$template['images']['IMAGE_SECURE_SHOPPING'] = $i;
	
	# Add to Basket Button
	$i = array();
	$i['name'] = 'Add to Basket Button';
	$i['description'] = 'The add to basket button on product listings.';
	$i['type'] = 'html';
	$i['cssselector'] = '';
	$i['default_cssdecleration'] = '';
	$i['width'] = '128';
	$i['height'] = '22';
	$i['forcedimensions'] = '0';
	$i['default_src'] = '%TEMPLATEFOLDER%/buttons/add_product.gif';
	$i['default_alt'] = 'Add to Basket';
	$i['default_title'] = 'Add to Basket';
	$i['default_link'] = '';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '1';
	$i['default_disabled'] = '0';
	$i['disable_link_settings'] = '1';
	$template['images']['BUTTON_ADD_BASKET'] = $i;
	
	# Add to Basket Button
	$i = array();
	$i['name'] = 'Add to Basket Button (product info)';
	$i['description'] = 'The add to basket button on the product info page.';
	$i['type'] = 'html';
	$i['cssselector'] = '';
	$i['default_cssdecleration'] = '';
	$i['width'] = '163';
	$i['height'] = '29';
	$i['forcedimensions'] = '0';
	$i['default_src'] = '%TEMPLATEFOLDER%/buttons/addtocart.gif';
	$i['default_alt'] = 'Add to Basket';
	$i['default_title'] = 'Add to Basket';
	$i['default_link'] = '';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '1';
	$i['default_disabled'] = '0';
	$i['disable_link_settings'] = '1';
	$template['images']['BUTTON_ADD_BASKET_PRODUCTINFO'] = $i;
	
	
	
	# View Product Button
	$i = array();
	$i['name'] = 'View Product Button';
	$i['description'] = 'The view product button on product listings.';
	$i['type'] = 'html';
	$i['cssselector'] = '';
	$i['default_cssdecleration'] = '';
	$i['width'] = '128';
	$i['height'] = '22';
	$i['forcedimensions'] = '0';
	$i['default_src'] = '%TEMPLATEFOLDER%/buttons/view_product.gif';
	$i['default_alt'] = 'View Product';
	$i['default_title'] = 'View Product';
	$i['default_link'] = '';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '1';
	$i['default_disabled'] = '0';
	$i['disable_link_settings'] = '1';
	$template['images']['BUTTON_VIEW_PRODUCT'] = $i;
	
	# Proceed to Checkout Button
	$i = array();
	$i['name'] = 'Proceed to Checkout Button';
	$i['description'] = 'Proceed to checkout button in the header.';
	$i['type'] = 'html';
	$i['cssselector'] = '';
	$i['default_cssdecleration'] = '';
	$i['width'] = '128';
	$i['height'] = '22';
	$i['forcedimensions'] = '0';
	$i['default_src'] = '%TEMPLATEFOLDER%/buttons/checkout.gif';
	$i['default_alt'] = 'Proceed to Checkout';
	$i['default_title'] = 'Proceed to Checkout';
	$i['default_link'] = '';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '1';
	$i['default_disabled'] = '0';
	$i['disable_link_settings'] = '1';
	$template['images']['BUTTON_CHECKOUT'] = $i;
	
/* CSS */

	# Link
	$c = array();
	$c['name'] = 'Links';
	$c['description'] = 'The color and decoration of the general links on your site.';
	$c['type'] = 'color|text-decoration';
	$c['decleration_template'] = 'a{color:%COLOR%; text-decoration:%TEXT-DECORATION%;}';
	$c['defaultvalues'] = 'color:#97cbd9|text-decoration:none';
	$template['css']['LINK_MAIN'] = $c;
	
	# Link Hover
	$c = array();
	$c['name'] = 'Link hover';
	$c['description'] = 'The color and decoration of the links when the user hovers over.';
	$c['type'] = 'color|text-decoration';
	$c['decleration_template'] = 'a{color:%COLOR%; text-decoration:%TEXT-DECORATION%;}';
	$c['defaultvalues'] = 'color:#aaaaaa|text-decoration:none';
	$template['css']['LINK_MAIN_HOVER'] = $c;
	
	# Header Basket Link
	$c = array();
	$c['name'] = 'Header Basket Link';
	$c['description'] = 'The color and decoration of the link in the basket, in the header.';
	$c['type'] = 'color|text-decoration';
	$c['decleration_template'] = '#header-right h3 a {color: %COLOR%; text-decoration:%TEXT-DECORATION%;}';
	$c['defaultvalues'] = 'color:#ad0000|text-decoration:none';
	$template['css']['HEADER_BASKET_LINK'] = $c;
	
	# Header Border Color
	$c = array();
	$c['name'] = 'Header Bottom Border';
	$c['description'] = 'The color of the bottom border in the header.';
	$c['type'] = 'color';
	$c['decleration_template'] = '#header {border-bottom: 8px solid %COLOR%;}';
	$c['defaultvalues'] = 'color:#eeeeee';
	$template['css']['HEADER_BOTTOM_BORDER'] = $c;


	# Left Menu Links
	$c = array();
	$c['name'] = 'Left Menu Links';
	$c['description'] = 'The color/style of the links in the left menu.';
	$c['type'] = 'color|text-decoration';
	$c['decleration_template'] = '.menu-left-contents a {color: %COLOR%; text-decoration: %TEXT-DECORATION%;}';
	$c['defaultvalues'] = 'color:#000000|text-decoration:none';
	$template['css']['LEFT_MENU_LINKS'] = $c;
	
	# Left Menu Links - Hover
	$c = array();
	$c['name'] = 'Left Menu Links - Hover';
	$c['description'] = 'The color/style of the links in the left menu, when hovered over.';
	$c['type'] = 'color|text-decoration';
	$c['decleration_template'] = '.menu-left-contents a:hover {color: %COLOR%; text-decoration: %TEXT-DECORATION%;}';
	$c['defaultvalues'] = 'color:#97cbd9|text-decoration:none';
	$template['css']['LEFT_MENU_LINKS_HOVER'] = $c;
	
	# Left Menu All Products Links
	$c = array();
	$c['name'] = 'Left Menu "All Products" Links';
	$c['description'] = 'The color/style of the "All Products" links in the left menu.';
	$c['type'] = 'color|text-decoration';
	$c['decleration_template'] = '.menu-left-contents a.allproducts {color: %COLOR%; text-decoration: %TEXT-DECORATION%;}';
	$c['defaultvalues'] = 'color:#f0961a|text-decoration:none';
	$template['css']['LEFT_MENU_LINKS_ALLPRODUCTS'] = $c;
	
	# Left Menu All Products Links - Hover
	$c = array();
	$c['name'] = 'Left Menu "All Products" Links - Hover';
	$c['description'] = 'The color/style of the "All Products" links in the left menu, when hovered over.';
	$c['type'] = 'color|text-decoration';
	$c['decleration_template'] = '.menu-left-contents a.allproducts:hover {color: %COLOR%; text-decoration: %TEXT-DECORATION%;}';
	$c['defaultvalues'] = 'color:#97cbd9|text-decoration:none';
	$template['css']['LEFT_MENU_LINKS_ALLPRODUCTS_HOVER'] = $c;
	
	# Left Menu Selected Links
	$c = array();
	$c['name'] = 'Left Menu Selected Links';
	$c['description'] = 'The color/style of the selected links in the left menu.';
	$c['type'] = 'color|text-decoration';
	$c['decleration_template'] = '.menu-left-contents a.selected {color: %COLOR%; text-decoration: %TEXT-DECORATION%;}';
	$c['defaultvalues'] = 'color:#97cbd9|text-decoration:none';
	$template['css']['LEFT_MENU_LINKS_SELECTED'] = $c;
	
	# Left Menu Selected Links - Hover
	$c = array();
	$c['name'] = 'Left Menu Selected Links - Hover';
	$c['description'] = 'The color/style of the selected links in the left menu, when hovered over.';
	$c['type'] = 'color|text-decoration';
	$c['decleration_template'] = '.menu-left-contents a.selected:hover {color: %COLOR%; text-decoration: %TEXT-DECORATION%;}';
	$c['defaultvalues'] = 'color:#aaaaaa|text-decoration:none';
	$template['css']['LEFT_MENU_LINKS_SELECTED_HOVER'] = $c;
	
	# Background Options
	$c = array();
	$c['name'] = 'Main Background';
	$c['description'] = 'The color/style of the main background.';
	$c['type'] = 'background-repeat|background-color|background-position|background-attachment';
	$c['decleration_template'] = 'body {background-repeat: %BACKGROUND-REPEAT%; background-color: %BACKGROUND-COLOR%; background-position: %BACKGROUND-POSITION%;background-attachment: %BACKGROUND-ATTACHMENT%;}';
	$c['defaultvalues'] = 'background-color:#F4F4F5|background-repeat:no-repeat|background-position:center top|background-attachment: scroll;';
	$template['css']['MAIN_BACKGROUND'] = $c;
?>
