<div class="pagecontent">

<h1><?= $page['title'] ?></h1>


<?php
	if (!$amazon->cart || sizeof($amazon->cart['items']) == 0)
	{
		?>
		
		<p>You currently have no items in your cart.</p>
		
		<?php
	}
	else
	{
		?>
		
		
		
		<table id="basket-products" cellpadding="0" cellspacing="0">
			<thead>
				<tr>
					<th colspan="2">&nbsp;</th>
					<th>Quantity</th>
					<th class="remove">Remove</th>
					<th class="basketprice">Price</th>
				</tr>
			</thead>
			<tfoot>
				<?php
				if ($freedelivery)
				{
					?>
					<tr>
						<th>&nbsp;</th>
						<th>&nbsp;</th>
						<th>&nbsp;</th>
						<th><em>Delivery:</em></th>
						<th class="price">
							<?= formatProductPrice(0) ?>
						</th>
					</tr>
					<?php
				}
				?>
				<tr>
					<th>&nbsp;</th>
					<th>&nbsp;</th>
					<th>&nbsp;</th>
					<th><em>Total:</em></th>
					<th class="price">
						<?= formatProductPrice($amazon->cart['subtotal']) ?>
					</th>
				</tr>
			</tfoot>	
			<tbody>
		
		
		<?php
		$count = 0;
		foreach ($basketitems as $item)
		{
			$count++;
			?>
			<tr<?= $count % 2 == 0 ? ' class="even"' : '' ?>>
				<td>
					<img class="productimage" src="<?= $item['image'] ?>" />
				</td>
				<td>
					<a href="<?= URL_SITE ?><?= $item['pagename'] ?>/">
						<?= $item['title'] ?>
					</a>
					<?php
						if (isset($item['options']))
						{
							echo '<br />';
							foreach ($item['options'] as $name => $value)
							{
								echo '<em>'.$name . '</em> - ' . $value . '<br />';
							}
						}
					?>
				</td>
				<td>
					<form action="<?= URL_SITE ?><?= $pages['basket']['pagename'] ?>/change-quantity/" method="post" />
						<input type="hidden" value="<?= $item['asin'] ?>" name="asin" />
						<select name="quantity" onchange="this.form.submit();">
						<?php
							for ($i=1; $i<11; $i++)
							{
								?>
								<option value="<?= $i ?>"<?= ($i == $item['quantity'] ? ' selected' : '') ?>><?= $i ?></option>
								<?php
							}
						?>
						</select>
					
					</form>
				</td>
				<td class="remove">
					<a href="<?= URL_SITE ?><?= $pages['basket']['pagename'] ?>/remove/<?= $item['asin'] ?>/">
						<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/icons/basket_delete.png" alt="Remove from Cart" />
					</a>
				</td>
				<td class="price">
					<?= formatProductPrice($item['price']) ?>
				</td>
			</p>
			<?php
		}
		?>
		</table>
		
		<div id="basket-delivery-information">
		<?php
			if ($freedelivery)
			{
				?>
				<strong>Shipping</strong> - your order qualifies for free super saver delivery. Simply select "Super Saver Shipping" during checkout. <em>Alternative shipping options will be shown during checkout.</em>
				<?php
			}
			else if ($supersavercount > 0)
			{
				?>
				<strong>Shipping</strong> - part of your order qualifies for free super saver delivery. Super saver delivery applies to products over <?= formatProductPrice($amazon->supersavershippinglimit, false) ?>, on selected products only. <em>Your full shipping options will be shown during checkout.</em>
				<?php
			}
			else
			{
				?>
				<strong>Shipping</strong> - Your full shipping options will be shown during checkout.
				<?php
			}
		?>
			
		
		
		</div>
			
		
		<div id="basket-checkout-link">
			<a href="<?= URL_SITE ?>checkout/" rel=""nofollow><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/buttons/checkout_amazon.gif" alt="Proceed to Checkout" title="Proceed to Checkout" /></a>
		</div>
		
		<br class="clearall" />
		
		
		
		<?= $page['maintext'] ?>		
		
		<?= $page['secondarytext'] ?>

		
		<?php
	}
?>


</div>