<?php

# Fresh Store Builder Template
# Configuration File
# http://www.freshstorebuilder.c0m/

# General template information
$template['meta']['uid'] = 'modernshop';
$template['meta']['name'] = 'Modern Shop';
$template['meta']['author'] = 'Carey Baird';
$template['meta']['url'] = 'http://www.freshstorebuilder.c0m/';

/* Options */

	# Language
	$t = array();
	$t['name'] = 'Template Language';
	$t['description'] = 'The language to use for images and default text.';
	$t['datatype'] = 'options';
	$t['options'] = 'en|de';
	$t['editable'] = '1';
	$t['default_value'] = 'en';
	$template['options']['TEMPLATE_LANGUAGE'] = $t;

	# Left Category Menu
	$t = array();
	$t['name'] = 'Left Category Menu Type';
	$t['description'] = 'Determines the left category menu status. Can be full (complete category list) or compact (only expands sub categories when on main category).';
	$t['datatype'] = 'options';
	$t['options'] = 'full|compact';
	$t['editable'] = '1';
	$t['default_value'] = 'full';
	$template['options']['LEFT_CATEGORY_TYPE'] = $t;
	
	
	# Top Navigation Links
	$t = array();
	$t['name'] = 'Top Nav Links';
	$t['description'] = 'The links displayed in the top navigation menu.';
	$t['datatype'] = 'pages';
	$t['options'] = '';
	$t['editable'] = '1';
	$t['default_value'] = '';
	$template['options']['TOP_NAV_LINKS'] = $t;
	
	
	# Home Specials Quantity
	$t = array();
	$t['name'] = 'Home Special Offers Quantity';
	$t['description'] = 'The number of special offer products showing on the homepage.';
	$t['datatype'] = 'int';
	$t['options'] = '';
	$t['editable'] = '1';
	$t['default_value'] = '6';
	$template['options']['HOME_SPECIALS_QUANTITY'] = $t;
	
	
	# Home Bestsellers Quantity
	$t = array();
	$t['name'] = 'Home Best Sellers Quantity';
	$t['description'] = 'The number of bestselling products showing on the homepage.';
	$t['datatype'] = 'int';
	$t['options'] = '';
	$t['editable'] = '1';
	$t['default_value'] = '2';
	$template['options']['HOME_BESTSELLERS_QUANTITY'] = $t;
	
	
	# Home Manufacturer Logos Quantity
	$t = array();
	$t['name'] = 'Home Manufacturer Logos Quantity';
	$t['description'] = 'The number of manufacturer logos showing on the homepage.';
	$t['datatype'] = 'int';
	$t['options'] = '';
	$t['editable'] = '1';
	$t['default_value'] = '5';
	$template['options']['HOME_LOGOS_QUANTITY'] = $t;
	
	
	# Home Slideshow Products
	$t = array();
	$t['name'] = 'Home Slideshow Products';
	$t['description'] = 'The products to feature on the homepage slideshow.';
	$t['datatype'] = 'products';
	$t['options'] = '';
	$t['editable'] = '1';
	$t['default_value'] = '';
	$template['options']['HOME_SLIDESHOW_PRODUCTS'] = $t;
	
	# Related Products on Product Detail
	$t = array();
	$t['name'] = 'Product Detail Related Products';
	$t['description'] = 'The related products to show on the product detail pages.';
	$t['datatype'] = 'int';
	$t['options'] = '';
	$t['editable'] = '1';
	$t['default_value'] = '5';
	$template['options']['PRODUCTDETAIL_RELATED_PRODUCTS'] = $t;

	# Product Listing Quantity
	$t = array();
	$t['name'] = 'Product Listing Quantity';
	$t['description'] = 'The quantity of products to show on each product page.';
	$t['datatype'] = 'int';
	$t['options'] = '';
	$t['editable'] = '1';
	$t['default_value'] = '30';
	$template['options']['PRODUCT_LISTING_QUANTITY'] = $t;

/* Images */

	# Logo
	$i = array();
	$i['name'] = 'Main Logo Image';
	$i['description'] = 'The logo that appears in the header.';
	$i['type'] = 'html';
	$i['cssselector'] = '';
	$i['default_cssdecleration'] = '';
	$i['width'] = '230';
	$i['height'] = '100';
	$i['forcedimensions'] = '0';
	$i['default_src'] = '%TEMPLATEFOLDER%/images/logo.png';
	$i['default_alt'] = '';
	$i['default_title'] = '';
	$i['default_link'] = '[PAGE]homepage';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '0';
	$i['disable_link_settings'] = '0';
	$i['default_disabled'] = '0';
	$template['images']['HEAD_LOGO'] = $i;
	
	# Footer Logo
	$i = array();
	$i['name'] = 'Footer Logo Image';
	$i['description'] = 'The logo that appears in the footer.';
	$i['type'] = 'css';
	$i['cssselector'] = '#mastfooter h1 a,#mastfooter h1 a:hover';
	$i['default_cssdecleration'] = '{background:url(%IMAGE_URL%) no-repeat left top;}';
	$i['width'] = '200';
	$i['height'] = '30';
	$i['forcedimensions'] = '1';
	$i['default_src'] = '';
	$i['default_alt'] = '';
	$i['default_title'] = '';
	$i['default_link'] = '';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '';
	$i['disable_link_settings'] = '0';
	$i['default_disabled'] = '0';
	$template['images']['FOOTER_LOGO'] = $i;
	
	# Header Banner
	$i = array();
	$i['name'] = 'Header Banner';
	$i['description'] = 'A banner that appears in the header.';
	$i['type'] = 'html';
	$i['cssselector'] = '';
	$i['default_cssdecleration'] = '';
	$i['width'] = '490';
	$i['height'] = '70';
	$i['forcedimensions'] = '1';
	$i['default_src'] = '';
	$i['default_alt'] = '';
	$i['default_title'] = '';
	$i['default_link'] = '';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '0';
	$i['disable_link_settings'] = '0';
	$i['default_disabled'] = '1';
	$template['images']['HEADER_BANNER'] = $i;
	
	# Secure Payments Image
	$i = array();
	$i['name'] = 'Left Column Secure Payments';
	$i['description'] = 'The image with card logos and security notice.';
	$i['type'] = 'html';
	$i['cssselector'] = '';
	$i['default_cssdecleration'] = '';
	$i['width'] = '190';
	$i['height'] = '80';
	$i['forcedimensions'] = '0';
	$i['default_src'] = '%TEMPLATEFOLDER%/images/securepayments.jpg';
	$i['default_alt'] = 'Secure Payments - click for details';
	$i['default_title'] = 'Secure Payments - click for details';
	$i['default_link'] = '[PAGE]ordersshipping';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '0';
	$i['disable_link_settings'] = '0';
	$i['default_disabled'] = '0';
	$template['images']['LEFT_SECUREPAYMENTS'] = $i;

	# Background Image
	$i = array();
	$i['name'] = 'Background Image';
	$i['description'] = 'The main background image for the site.';
	$i['type'] = 'css';
	$i['cssselector'] = 'body';
	$i['default_cssdecleration'] = "{background-image: url(%IMAGE_URL%);}";
	$i['width'] = '5';
	$i['height'] = '600';
	$i['forcedimensions'] = '0';
	$i['default_src'] = '';
	$i['default_alt'] = '';
	$i['default_title'] = '';
	$i['default_link'] = '';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '0';
	$i['disable_link_settings'] = '0';
	$i['default_disabled'] = '0';
	$template['images']['MAIN_BACKGROUND'] = $i;

/* CSS */

	# Link
	$c = array();
	$c['name'] = 'Links';
	$c['description'] = 'The color and decoration of the links on your site.';
	$c['type'] = 'color|text-decoration';
	$c['decleration_template'] = 'a{color:%COLOR%; text-decoration:%TEXT-DECORATION%;}';
	$c['defaultvalues'] = 'color:#e33700|text-decoration:none';
	$template['css']['LINK_MAIN'] = $c;
	
	# Link Hover
	$c = array();
	$c['name'] = 'Link hover';
	$c['description'] = 'The color and decoration of the links when the user hovers over.';
	$c['type'] = 'color|text-decoration';
	$c['decleration_template'] = 'a{color:%COLOR%; text-decoration:%TEXT-DECORATION%;}';
	$c['defaultvalues'] = 'color:#e33700|text-decoration:underline';
	$template['css']['LINK_MAIN_HOVER'] = $c;
	

	# H1 Colour and size
	$c = array();
	$c['name'] = 'Heading 1';
	$c['description'] = 'The color and size of Heading 1 (H1).';
	$c['type'] = 'font-size|color';
	$c['decleration_template'] = 'h1{font-size:%FONT-SIZE%; color:%COLOR%;}';
	$c['defaultvalues'] = 'font-size: 28px|color:#232323;';
	$template['css']['H1_MAIN'] = $c;
	
	# H2 Colour and size
	$c = array();
	$c['name'] = 'Heading 2';
	$c['description'] = 'The color and size of Heading 2 (H2).';
	$c['type'] = 'font-size|color';
	$c['decleration_template'] = 'h2{font-size:%FONT-SIZE%; color:%COLOR%;}';
	$c['defaultvalues'] = 'font-size: 24px|color:#232323;';
	$template['css']['H2_MAIN'] = $c;
	
	# H3 Colour and size
	$c = array();
	$c['name'] = 'Heading 3';
	$c['description'] = 'The color and size of Heading 3 (H3).';
	$c['type'] = 'font-size|color';
	$c['decleration_template'] = 'h3{font-size:%FONT-SIZE%; color:%COLOR%;}';
	$c['defaultvalues'] = 'font-size: 20px|color:#232323;';
	$template['css']['H3_MAIN'] = $c;
	
	# H4 Colour and size
	$c = array();
	$c['name'] = 'Heading 4';
	$c['description'] = 'The color and size of Heading 4 (H4).';
	$c['type'] = 'font-size|color';
	$c['decleration_template'] = 'h4{font-size:%FONT-SIZE%; color:%COLOR%;}';
	$c['defaultvalues'] = 'font-size: 16px|color:#232323;';
	$template['css']['H4_MAIN'] = $c;
	
	# Background Options
	$c = array();
	$c['name'] = 'Main Background';
	$c['description'] = 'The color/style of the main background.';
	$c['type'] = 'background-repeat|background-color|background-position|background-attachment';
	$c['decleration_template'] = 'body {background-repeat: %BACKGROUND-REPEAT%; background-color: %BACKGROUND-COLOR%; background-position: %BACKGROUND-POSITION%; background-attachment: %BACKGROUND-ATTACHMENT%;}';
	$c['defaultvalues'] = 'background-color:#cdcdcd|background-repeat:repeat-x|background-position:left top|background-attachment: scroll;';
	$template['css']['MAIN_BACKGROUND'] = $c;
?>
