<?php

# Fresh Store Builder Template
# Configuration File
# http://www.freshstorebuilder.c0m/

# General template information
$template['meta']['uid'] = 'modernshop';
$template['meta']['name'] = 'Modern Shop';
$template['meta']['author'] = 'Carey Baird';
$template['meta']['url'] = 'http://www.freshstorebuilder.c0m/';

/* Options */

	# Left Category Menu
	$t = array();
	$t['name'] = 'Left Category Menu Type';
	$t['description'] = 'Determines the left category menu status. Can be full (complete category list) or compact (only expands sub categories when on main category).';
	$t['datatype'] = 'options';
	$t['options'] = 'full|compact';
	$t['editable'] = '1';
	$t['default_value'] = 'compact';
	$template['options']['LEFT_CATEGORY_TYPE'] = $t;
	
	
	# Top Navigation Links
	$t = array();
	$t['name'] = 'Top Nav Links';
	$t['description'] = 'The links displayed in the top navigation menu.';
	$t['datatype'] = 'pages';
	$t['options'] = '';
	$t['editable'] = '1';
	$t['default_value'] = '';
	$template['options']['TOP_NAV_LINKS'] = $t;
	
	
	# Home Specials Quantity
	$t = array();
	$t['name'] = 'Home Special Offers Quantity';
	$t['description'] = 'The number of special offer products showing on the homepage.';
	$t['datatype'] = 'int';
	$t['options'] = '';
	$t['editable'] = '1';
	$t['default_value'] = '4';
	$template['options']['HOME_SPECIALS_QUANTITY'] = $t;
	
	
	# Home Bestsellers Quantity
	$t = array();
	$t['name'] = 'Home Best Sellers Quantity';
	$t['description'] = 'The number of bestselling products showing on the homepage.';
	$t['datatype'] = 'int';
	$t['options'] = '';
	$t['editable'] = '1';
	$t['default_value'] = '4';
	$template['options']['HOME_BESTSELLERS_QUANTITY'] = $t;
	
	
	# Home Manufacturer Logos Quantity
	$t = array();
	$t['name'] = 'Home Manufacturer Logos Quantity';
	$t['description'] = 'The number of manufacturer logos showing on the homepage.';
	$t['datatype'] = 'int';
	$t['options'] = '';
	$t['editable'] = '1';
	$t['default_value'] = '4';
	$template['options']['HOME_LOGOS_QUANTITY'] = $t;
	
	
	# Home Slideshow Products
	$t = array();
	$t['name'] = 'Home Slideshow Products';
	$t['description'] = 'The products to feature on the homepage slideshow.';
	$t['datatype'] = 'products';
	$t['options'] = '';
	$t['editable'] = '1';
	$t['default_value'] = '';
	$template['options']['HOME_SLIDESHOW_PRODUCTS'] = $t;
	
	# Related Products on Product Detail
	$t = array();
	$t['name'] = 'Product Detail Related Products';
	$t['description'] = 'The related products to show on the product detail pages.';
	$t['datatype'] = 'int';
	$t['options'] = '';
	$t['editable'] = '1';
	$t['default_value'] = '4';
	$template['options']['PRODUCTDETAIL_RELATED_PRODUCTS'] = $t;

	# Product Listing Quantity
	$t = array();
	$t['name'] = 'Product Listing Quantity';
	$t['description'] = 'The quantity of products to show on each product page.';
	$t['datatype'] = 'int';
	$t['options'] = '';
	$t['editable'] = '1';
	$t['default_value'] = '30';
	$template['options']['PRODUCT_LISTING_QUANTITY'] = $t;

/* Images */

	# Logo
	$i = array();
	$i['name'] = 'Main Logo Image';
	$i['description'] = 'The logo that appears in the header.';
	$i['type'] = 'html';
	$i['cssselector'] = '';
	$i['default_cssdecleration'] = '';
	$i['width'] = '400';
	$i['height'] = '90';
	$i['forcedimensions'] = '1';
	$i['default_src'] = '%TEMPLATEFOLDER%/images/logo.png';
	$i['default_alt'] = '';
	$i['default_title'] = '';
	$i['default_link'] = '[PAGE]homepage';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '0';
	$template['images']['HEAD_LOGO'] = $i;
	
	# Footer Logo
	$i = array();
	$i['name'] = 'Footer Logo Image';
	$i['description'] = 'The logo that appears in the footer.';
	$i['type'] = 'css';
	$i['cssselector'] = '#mastfooter h1 a,#mastfooter h1 a:hover';
	$i['default_cssdecleration'] = '{background:url(%IMAGE_URL%) no-repeat left top;}';
	$i['width'] = '200';
	$i['height'] = '30';
	$i['forcedimensions'] = '1';
	$i['default_src'] = '';
	$i['default_alt'] = '';
	$i['default_title'] = '';
	$i['default_link'] = '';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '';
	$template['images']['FOOTER_LOGO'] = $i;
	
	# Header Banner
	$i = array();
	$i['name'] = 'Header Banner';
	$i['description'] = 'A banner that appears in the header.';
	$i['type'] = 'html';
	$i['cssselector'] = '';
	$i['default_cssdecleration'] = '';
	$i['width'] = '490';
	$i['height'] = '70';
	$i['forcedimensions'] = '1';
	$i['default_src'] = '';
	$i['default_alt'] = '';
	$i['default_title'] = '';
	$i['default_link'] = '';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '0';
	$template['images']['HEADER_BANNER'] = $i;

	# Background Image
	$i = array();
	$i['name'] = 'Background Image';
	$i['description'] = 'The main background image for the site.';
	$i['type'] = 'css';
	$i['cssselector'] = 'body';
	$i['default_cssdecleration'] = "{background-image: url('%IMAGE_URL%');}";
	$i['width'] = '5';
	$i['height'] = '600';
	$i['forcedimensions'] = '0';
	$i['default_src'] = '';
	$i['default_alt'] = '';
	$i['default_title'] = '';
	$i['default_link'] = '';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '0';
	$template['images']['MAIN_BACKGROUND'] = $i;
	
	# Secure Payments Image
	$i = array();
	$i['name'] = 'Secure Payments Image';
	$i['description'] = 'The secure payments button shown in the left column.';
	$i['type'] = 'html';
	$i['cssselector'] = '';
	$i['default_cssdecleration'] = '';
	$i['width'] = '190';
	$i['height'] = '82';
	$i['forcedimensions'] = '0';
	$i['default_src'] = '%TEMPLATEFOLDER%/img/securepayments.jpg';
	$i['default_alt'] = 'Secure Payments - Click for Details';
	$i['default_title'] = 'Secure Payments';
	$i['default_link'] = '[PAGE]ordersshipping';
	$i['default_linktarget'] = '';
	$i['default_linknofollow'] = '1';
	$i['default_disabled'] = '0';
	$i['disable_link_settings'] = '0';
	$template['images']['LEFT_SECUREPAYMENTS'] = $i;

/* CSS */

	# Link
	$c = array();
	$c['name'] = 'Links';
	$c['description'] = 'The color and decoration of the links on your site.';
	$c['type'] = 'color|text-decoration';
	$c['decleration_template'] = 'a{color:%COLOR%; text-decoration:%TEXT-DECORATION%;}';
	$c['defaultvalues'] = 'color:#6ec80e|text-decoration:none';
	$template['css']['LINK_MAIN'] = $c;
	
	# Link Hover
	$c = array();
	$c['name'] = 'Link hover';
	$c['description'] = 'The color and decoration of the links when the user hovers over.';
	$c['type'] = 'color|text-decoration';
	$c['decleration_template'] = 'a:hover{color:%COLOR%; text-decoration:%TEXT-DECORATION%;}';
	$c['defaultvalues'] = 'color:#cccccc|text-decoration:none';
	$template['css']['LINK_MAIN_HOVER'] = $c;
	
	# Background Options
	$c = array();
	$c['name'] = 'Main Background';
	$c['description'] = 'The color/style of the main background.';
	$c['type'] = 'background-repeat|background-color|background-position';
	$c['decleration_template'] = 'body {background-repeat: %BACKGROUND-REPEAT%; background-color: %BACKGROUND-COLOR%; background-position: %BACKGROUND-POSITION%;}';
	$c['defaultvalues'] = 'background-color:#ffffff|background-repeat:repeat-x|background-position:left top';
	$template['css']['MAIN_BACKGROUND'] = $c;
?>
